c  This is fr2in.for
c  It was written in 2011-12 by Alex Brown with the guidance of Ian Thompson.
c  The program uses the *.tna files from oxbash, nushell and nushellx to make
c  the fresco input for the one-step and two-step reaction channels for two-nucleon transfer.
c  It contains a built in table of binding energies to get the Q values.
c  It is can be used for (p,t), (t,p), (p,3He) and (3He,p) reactions
c  on targets with J=0 (even=even). Any final J is allowed.

      common/caud11/be(150,200),bee(150,200),iaud(150,200)
      common/ctna/ieni,ienf,iai,iaf,izi,izf,iji,ijf,ipi,ipf,exti,extf
     1,exbab,exn
      common/cfiletna/filetna
      common/cmain/iter,elab,qval_td,qval_tp,qval_hn,spe,spet,rmatch
      common/cipot/ipot_p,ipot_d,ipot_t,ipot_h,e_p,e_d,e_t 
      common/cinput/iens,exs,exa,iters,spes,rmatchs
      common/cifirst/ifirst,ifirst2
      character*2 reac      
      common/creac/reac      
      character*20 filetna

      open(unit=97,file='fort.201')
      close(97)
      open(unit=97,file='fort.202')
      close(97)

      call main_input
      
      if(iters.eq.3) itermin = 1
      if(iters.eq.3) itermax = 2
      if(iters.eq.2) itermin = 2
      if(iters.eq.2) itermax = 2
      if(iters.eq.1) itermin = 1
      if(iters.eq.1) itermax = 1   
      
      do 2000 iter = itermin,itermax  
      ifirst = 0
      ifirst2 = 0      
c      write(6,2001) iter
c2001  format('iter = ',i1)
      open(unit=31,file='pp.dao')
      open(unit=32,file='dp.dao')
      if(reac.eq.'tp') open(unit=33,file='tp.dao') 
      if(reac.eq.'hn') open(unit=33,file='hn.dao')       
      if(reac.eq.'pt') open(unit=33,file='tp.dao') 
      if(reac.eq.'ph') open(unit=34,file='hp.dao')  
      if(reac.eq.'hp') open(unit=34,file='hp.dao')                    
            
     
      if(iter.eq.1) open(unit=20,file='babt1.in')
      if(iter.eq.2) open(unit=20,file='babt2.in')      

      if(reac.eq.'tp') ieni = 1
      if(reac.eq.'tp') ienf = iens
      if(reac.eq.'hn') ieni = 1
      if(reac.eq.'hn') ienf = iens      
      if(reac.eq.'pt') ieni = iens
      if(reac.eq.'pt') ienf = 1   
      if(reac.eq.'hp') ieni = 1
      if(reac.eq.'hp') ienf = iens            
      if(reac.eq.'ph') ieni = iens
      if(reac.eq.'ph') ienf = 1             
c      ieni = ienis
c      ienf = ienfs
c      if(iter.eq.1) write(6,177)
c177   format(/,'*t1.in output for direct -----------------------------')
c      if(iter.eq.2) write(6,178)
c178   format(/,'*t2.in output for direct plus sequenctial ------------')
      if(iter.eq.1) write(6,76) ieni,ienf
76    format('ni, nf = ',2i3,2f8.3)
      call readtna
      if(iter.eq.1) write(6,78) iji,ijf
78    format(/,'2ji,2jf from tna file ',2i3)
c      write(6,77) exti,extf
c77    format('exi,exf from tna file ',2f8.3)
     
c      if(reac.eq.'tp') exf = extf 
c      if(reac.eq.'pt') exf = exti
c      if(reac.eq.'ph') exf = exti  
c      if(reac.eq.'hp') exf = extf           
c      if(exf.lt.0.) write(6,551)
c551   format('warning  - you must enter the final excitation energy'
c     1,' by hand: ex = x')
      exn = exbab+exa
      if(exs.ne.0.) exn = exs
      ini = iai-izi
      inf = iaf-izf
      xmi = iai
      xmt = 3.
      xmd = 2.
      xmp = 1.         
      if(iter.eq.1) print 851
851   format('1 = light nucleus, 2 = heavy nucleus')
      if(iter.eq.1) print 853
853   format('spe = effective separation energy = (be2*-be1*)/2',
     1/,    '      where be2* and be1* include the excitation energy')
      if(iter.eq.1) write(6,852) iai,izi,iaf,izf      
852   format('(a1,z1),(a2,z2) =     ',2i4,2x,2i4)

      if(reac.eq.'tp') go to 810
      if(reac.eq.'hn') go to 860     
      if(reac.eq.'pt') go to 820
      if(reac.eq.'ph') go to 830
      if(reac.eq.'hp') go to 840
      
810   continue
cbab tp
      be1 = be(izi,ini)
      be2 = be(izi,ini+2)  
      bem = be(izi,ini+1)            
      bei = be1
      bef = be2-exn
      if(iter.eq.1) print 811,be1,be2,exn,bef
811   format('be1, be2, exn, be2-exn =  ',4f10.3)
      bem = (bei+bef)/2.
      bed = be(1,1)
      be3 = be(1,2)
      bep = 0.
      qval_td = bem + bed - bei - be3
      qval_tp = bef + bep - bei - be3 
      spe = (bef-bei)/2.
      spet = (be3-bep)/2. 
      if(spes.ne.0.) spe = spes
      e_t = (xmi/(xmt+xmi))*elab
      e_p = ((xmp+xmi+2.)/(xmi+2.))*(e_t + qval_tp)
      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)
        
      if(iter.eq.1) write(6,812) qval_tp,qval_td,spe      
812   format('qval_tp,qval_td,spe = ',12x,10f10.3) 
      if(iter.eq.1) write(6,813) elab,e_p,e_d,e_t      
813   format('elab,ep,ed,et =         ',10f10.3)
      go to 850
      
860   continue
cbab tp
      be1 = be(izi,ini)
      be2 = be(izi+2,ini)      
      bei = be1
      bef = be2-exn
      if(iter.eq.1) print 861,be1,be2,exn,bef
861   format('be1, be2, exn, be2-exn =  ',4f10.3)
      bem = (bei+bef)/2.
      bed = be(1,1)
      be3 = be(2,1)
      ben = 0.
      qval_hd = bem + bed - bei - be3
      qval_hn = bef + ben - bei - be3 
      spe = (bef-bei)/2.
      spet = (be3-ben)/2. 
      if(spes.ne.0.) spe = spes
      e_t = (xmi/(xmt+xmi))*elab
      e_p = ((xmp+xmi+2.)/(xmi+2.))*(e_t + qval_hn)
      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_hd)
        
      if(iter.eq.1) write(6,862) qval_hn,qval_hd,spe      
862   format('qval_hn,qval_td,spe = ',12x,10f10.3) 
      if(iter.eq.1) write(6,863) elab,e_p,e_d,e_t      
863   format('elab,en,ed,eh =         ',10f10.3)
      go to 850
      

820   continue
cbab pt
      be1 = be(izi,ini)
      be2 = be(izi,ini+2)      
      bei = be1-exn
      bef = be2
      if(iter.eq.1) print 821,be1,be2,exn,bei
821   format('be1, be2, exn, be1-exn =  ',4f10.3)
      bem = (bei+bef)/2.
      bed = be(1,1)
      be3 = be(1,2)
      bep = 0.
      qval_td = bem + bed - bei - be3
      qval_tp = bef + bep - bei - be3 
      spe = (bef-bei)/2.
      spet = (be3-bep)/2. 
      if(spes.ne.0.) spe = spes

c      e_t = (xmi/(xmt+xmi))*elab
c      e_p = ((xmp+xmi+2.)/(xmi+2.))*(e_t + qval_tp)
c      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)
      
      e_p = ((xmi+2.)/(xmp+2.+xmi))*elab
      e_t = ((xmt+xmi)/(xmi))*(e_p - qval_tp)
      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)        
        
      if(iter.eq.1) write(6,822) qval_tp,qval_td,spe      
822   format('qval_tp,qval_td,spe = ',12x,10f10.3) 
      if(iter.eq.1) write(6,823) elab,e_p,e_d,e_t      
823   format('elab,ep,ed,et =         ',10f10.3)
      go to 850   
      
830   continue
cbab ph
      be1 = be(izi,ini)
      be2 = be(izi+1,ini+1)      
      bei = be1-exn
      bef = be2
      if(iter.eq.1) print 831,be1,be2,exn,bei
831   format('be1, be2, exn, be1-exn =  ',4f10.3)
      bem = (bei+bef)/2.
      bed = be(1,1)
      be3 = be(2,1)
      bep = 0.
      qval_td = bem + bed - bei - be3
      qval_tp = bef + bep - bei - be3 
      spe = (bef-bei)/2.
      spet = (be3-bep)/2. 
      if(spes.ne.0.) spe = spes

c      e_t = (xmi/(xmt+xmi))*elab
c      e_p = ((xmp+xmi+2.)/(xmi+2.))*(e_t + qval_tp)
c      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)
      
      e_p = ((xmi+2.)/(xmp+2.+xmi))*elab
      e_t = ((xmt+xmi)/(xmi))*(e_p - qval_tp)
      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)        
        
      if(iter.eq.1) write(6,832) qval_tp,qval_td,spe      
832   format('qval_hp,qval_hd,spe = ',12x,10f10.3) 
      if(iter.eq.1) write(6,833) elab,e_p,e_d,e_t      
833   format('elab,ep,ed,eh =         ',10f10.3)
      go to 850    
      
840   continue
cbab hp
      be1 = be(izi,ini)
      be2 = be(izi+1,ini+1)      
      bei = be1
      bef = be2-exn
      if(iter.eq.1) print 841,be1,be2,exn,bef
841   format('be1, be2, exn, be2-exn =  ',4f10.3)
      bem = (bei+bef)/2.
      bed = be(1,1)
      be3 = be(2,1)
      bep = 0.
      qval_td = bem + bed - bei - be3
      qval_tp = bef + bep - bei - be3 
      spe = (bef-bei)/2.
      spet = (be3-bep)/2. 
      if(spes.ne.0.) spe = spes

      e_t = (xmi/(xmt+xmi))*elab
      e_p = ((xmp+xmi+2.)/(xmi+2.))*(e_t + qval_tp)
      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)
      
c      e_p = ((xmi+2.)/(xmp+2.+xmi))*elab
c      e_t = ((xmt+xmi)/(xmi))*(e_p - qval_tp)
c      e_d = ((xmd+xmi+1.)/(xmi+1.))*(e_t + qval_td)        
        
      if(iter.eq.1) write(6,842) qval_tp,qval_td,spe      
842   format('qval_hp,qval_hd,spe = ',12x,10f10.3) 
      if(iter.eq.1) write(6,843) elab,e_p,e_d,e_t      
843   format('elab,ep,ed,eh =         ',10f10.3)
      go to 850              
      
850   continue

c      if(iter.eq.1) write(6,304)     bei,bef,bet,bed  
c304   format('bei,bef,bet,bed =     ',10f10.3)        
                                 
      
ccbab iter = 1 for one step iter = 2 includes two step
c      iter = iters
      rmatch = rmatchs
      call fresco_input
      
2000  continue
      stop
      end
      
      subroutine main_input
      character*20 filetna,ai,apotpp,apotdp,apottp,apothn,apothp
      character*15 apot
      common/cpot/apotpp,apotdp,apottp,apothn,apothp
      common/cfiletna/filetna
      common/cmain/iter,elab,qval_td,qval_tp,qval_hn,spe,spet,rmatch
      common/cipot/ipot_p,ipot_d,ipot_t,ipot_h,e_p,e_d,e_t       
      common/cinput/iens,exs,exa,iters,spes,rmatchs
      common/citt/itt
      character*2 reac,as
      common/creac/reac 
cbab ich = 1 from *.dai
cbab ich = 2 from pot.dai (overides *.dai input)     
      ich = 1
cbab defaults if nothing is enetered
      iens = 1
      exs = 0.
      exa = 0.
      elab = 10
      ipot_p = 0
      ipot_d = 0
      ipot_t = 0
      ipot_h = 0
      spes = 0.
      rmatchs = 30.
      iters = 3
      reac = 'tp'
      apotpp = ' '
      apotdp = ' '
      apottp = ' '
      apothn = ' '      
      apothp = ' '
      itt = 1
      
      write(6,410)
410   format(
     1'first line must contain name of *.tna file ', 
     1'defaults for other input'     
     1,/,'el = 10.  (MeV) for projectle energy'
c     1,/,'tt = 1    for isospin transfer (tt=0,1 for d)'     
     1,/,'nf = 1    for number of final state'
     1,/,'ef = 0.   absolute excitation energy of the final state'
     1,/,'ea = 0.   excitation energy to add for final state'     
     1,/,'pp = CH   for proton potential'
     1,/,'dp = DG   for deuteron potential' 
     1,/,'tp = PA   for triton potential' 
     1,/,'hp = PA   for helium potential'                
     1,/,'sp = 0.   default = (bef-bei)/2'    
     1,/,'re = tp   options: tp pt ph hp'
     1,/,'rm = 30.  rmatch')  
     
         
      read(5,180) filetna
180   format(a20)
      write(6,201)
201   format(/,'inputs are:')
      write(6,180) filetna
300   continue
      read(5,200,end=400) as,ai
200   format(a2,3x,a20)
      write(6,200) as,ai
      if(as.eq.'el') go to 210
      
      if(as.eq.'nf') go to 220
      if(as.eq.'tt') go to 225     
      if(as.eq.'ef') go to 230
      if(as.eq.'ex') go to 230  
      if(as.eq.'ea') go to 320             
      if(as.eq.'pp') go to 240
      if(as.eq.'dp') go to 250
      if(as.eq.'tp') go to 260
      if(as.eq.'hn') go to 255      
      if(as.eq.'hp') go to 265      
      if(as.eq.'it') go to 270
      if(as.eq.'re') go to 280 
      if(as.eq.'sp') go to 290 
      if(as.eq.'rm') go to 310                     
      go to 300
      
210   continue
      read(ai,181) elab
181   format(f10.3)
      go to 300

310   continue
      read(ai,181) rmatchs
      go to 300

220   continue
      read(ai,182) iens
182   format(i3)       
      go to 300

225   continue
      read(ai,182) itt 
      go to 300
      

230   continue
      read(ai,184) exs
184   format(f12.7)
      go to 300
      
320   continue
      read(ai,321) exa
321   format(f12.7)
      go to 300      

240   continue
      read(ai,242) apot
242   format(a15)
      if(apot(1:2).eq.'pp') apotpp = apot//'.pot'
      if(apot(1:2).eq.'pp') ipot_p = 99      
      call fch20(apotpp)
      if(apot.eq.'BG') ipot_p = 1  
      if(apot.eq.'CH') ipot_p = 2   
      if(apot.eq.'ME') ipot_p = 3   
      if(apot.eq.'PE') ipot_p = 4 
      if(ich.eq.2) go to 500  
      go to 300

250   continue
      read(ai,242) apot
      if(apot(1:2).eq.'dp') apotdp = apot//'.pot'
      if(apot(1:2).eq.'dp') ipot_d = 99
      call fch20(apotdp)      
      if(apot.eq.'LH') ipot_d = 1  
      if(apot.eq.'PP') ipot_d = 2   
      if(apot.eq.'DG') ipot_d = 3 
      if(ich.eq.2) go to 500               
      go to 300
      
260   continue
      read(ai,242) apot
      if(apot(1:2).eq.'tp') apottp = apot//'.pot'
      if(apot(1:2).eq.'tp') ipot_t = 99
      call fch20(apottp)   
c      print 700,apot,apottp
c700   format('----',a20,1x,a20)   
      if(apot.eq.'BG') ipot_t = 1  
      if(apot.eq.'XL') ipot_t = 2  
      if(apot.eq.'PA') ipot_t = 3  
      if(ich.eq.2) go to 500                     
      go to 300
      
255   continue
      read(ai,242) apot
      if(apot(1:2).eq.'hn') apothn = apot//'.pot'
      if(apot(1:2).eq.'hn') ipot_h = 99
      call fch20(apothn)   
c      print 700,apot,apottp
c700   format('----',a20,1x,a20)   
      if(apot.eq.'BG') ipot_h = 1  
c      if(apot.eq.'XL') ipot_h = 2  
      if(apot.eq.'PA') ipot_h = 3  
      if(ich.eq.2) go to 500                     
      go to 300
            
265   continue
      read(ai,242) apot
      if(apot(1:2).eq.'hp') apothp = apot//'.pot'
      if(apot(1:2).eq.'hp') ipot_h = 99
      call fch20(apothp)   
c      print 700,apot,apottp
c700   format('----',a20,1x,a20)   
      if(apot.eq.'BG') ipot_h = 1  
      if(apot.eq.'PA') ipot_h = 3  
      if(ich.eq.2) go to 500                        
      go to 300      
      
270   continue
      read(ai,182) iters
      go to 300
      
280   continue
      read(ai,281) reac
281   format(a2)
      go to 300    
      
290   continue
      read(ai,291) spes
291   format(f10.3)
      go to 300    
              
        
400   continue

      open(unit=500,file='pot.dai',err=501,status='old')
      ich = 2
      write(6,504)
504   format('the following options from pot.dai will overide',
     1' the previous ones')
500   continue
      read(500,200,end=503) as,ai
      write(6,200) as,ai
      if(as.eq.'pp') go to 240
      if(as.eq.'dp') go to 250
      if(as.eq.'tp') go to 260
      if(as.eq.'hn') go to 255      
      if(as.eq.'hp') go to 265 
      go to 500     
503   continue
      close(500)
501   continue

      write(6,202)
202   format(1x)
      
c      if(ipot_p.eq.0) print 311
      if(ipot_p.eq.0) write(6,311)      
311   format
     1('no proton potential input -   we take the default of CH')
      if(ipot_p.eq.0) ipot_p = 2

c      if(ipot_d.eq.0) print 312
      if(ipot_d.eq.0) write(6,312)      
312   format(
     1'no deuteron potential input - we take the default of DG')
      if(ipot_d.eq.0) ipot_d = 3  

c      if(ipot_t.eq.0) print 313
      if(ipot_t.eq.0) write(6,313)      
313   format
     1('no triton potential input -   we take the default of PA')
      if(ipot_t.eq.0) ipot_t = 3    
      
c      if(ipot_h.eq.0) print 314
      if(ipot_h.eq.0) write(6,314)      
314   format
     1('no helium potential input -   we take the default of PA')
      if(ipot_h.eq.0) ipot_h = 3    
                  
      

      write(6,750)
750   format(
     1/,'proton potentials'      
     1,/,' [BG] Bechetti-Greenlees (A>40 20<E<50 MeV):    '
     1,'Phys Rev 182, 1190 (1969)'
     1,/,' [CH] Chapel-Hill 89 Global set (A>40 E>10 MeV):'
     1,           'Phys Rep 201, 57 (1991)'
     1,/,' [ME] Menet (30<E<60):                          '
     1,           'ADNTD 17, 6 (1976)'
     1,/,' [PE] Perey (E<20MeV):                          '
     1,           'ADNTD 17, 6 (1976)'      
     1,//,'deuteron potentials'
     1,/,' [LH] Lohr-Haeberli (A>40 8<E<13 MeV):          '
     1,           'ADNTD 17, 6 (1976)'
     1,/,' [PP] Perey-Perey (12<E<25 MeV) no spin-orbit:  '
     1,           'ADNTD 17, 6 (1976)' 
     1,/,' [DG] Daehnick Global (A>27 12<E<90 MeV)        '
     1,           'PRC 21, 2253 (1980)'    
     1,//,'triton potentials'
     1,/,' [BG] Bechetti-Greenlees (not well determined): '
     1,           'ADNTD 17, 6 (1976)' 
     1,/,' [XL] X. Li et al Global potential < 40 MeV:    '
     1,           'NPA 789, 103 (2007)'
     1,/,' [PA] D.Y. Pang et al. GDP08                    '
     1,          'PRC 79, 024615 (2009)'     
     1,//,'helium potentials'
     1,/,' [BG] Bechetti-Greenlees (not well determined): '
     1,           'ADNTD 17, 6 (1976)'      
     1,/,' [PA] D.Y. Pang et al. GDP08                    '
     1,           'PRC 79, 024615 (2009)'     
     1,/,'-------------------------------------------------')   
      return
      end
      

cbab make new fresco input 
      subroutine fresco_input
      character*20 apotpp,apotdp,apottp,apothn,apothp
      common/cpot/apotpp,apotdp,apottp,apothn,apothp

      
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd            
      
      common/cind/ind(7,100),kmax
      common/ctnt/itnt(2,100),tnt(100),tnt2(100),ktmax
      common/ctna/ieni,ienf,iai,iaf,izi,izf,iji,ijf,ipi,ipf,exti,extf
     1,exbab,exn
      common/cmain/iter,elab,qval_td,qval_tp,qval_hn,spe,spet,rmatch
      common/cipot/ipot_p,ipot_d,ipot_t,ipot_h,e_p,e_d,e_t 
      common/cifirst/ifirst,ifirst2         
      character*2 reac,namep
      common/creac/reac   
      common/citt/itt  
       
      character*4 a4
      character*6 ath
      character*1 a1
      character*2 azi,azf,azm,azm2
      
cbab ind labels
cbab  1  shell model orbit index
cbab  2  n
cbab  3  l
cbab  4  2j
cbab  5  1 for proton 2 for neutron
cbab  6  fresco intermediate state index
      
cbab figure out which of the ind states is a neutron if it is in the tnt list
      do 420 k = 1,kmax
      ind(5,k) = 1
      do 421 kt = 1,ktmax
      if(itnt(1,kt).eq.ind(1,k)) ind(5,k) = 2
      if(itnt(2,kt).eq.ind(1,k)) ind(5,k) = 2 
421   continue
420   continue
      do 422 k = 1,kmax
422   ind(7,k) = 0

      itt = 1
      if(reac.eq.'pt') go to 444
      if(reac.eq.'tp') go to 444
      if(reac.eq.'hn') go to 444      
cbab look at tnt to find the delta-T transfer
      idj = iabs(iji-ijf)/2
      do 442 kt = 1,ktmax
      if(itnt(1,kt).eq.itnt(2,kt).and.idj.eq.2*(idj/2)) itt = 1
      if(itnt(1,kt).eq.itnt(2,kt).and.idj.ne.2*(idj/2)) itt = 0      
      if(itnt(1,kt).eq.itnt(2,kt)) go to 442      
      do 440 kt2 = 1,ktmax
      if(itnt(1,kt).eq.itnt(1,kt2)) go to 440
      if(itnt(2,kt).eq.itnt(2,kt2)) go to 440
      if(itnt(1,kt).ne.itnt(2,kt2)) go to 440
      if(itnt(2,kt).ne.itnt(1,kt2)) go to 440      
      write(6,443) itnt(1,kt),itnt(2,kt),itnt(1,kt2),itnt(2,kt2),
     1tnt(kt),tnt2(kt2)
443   format(4i3,1x,2f8.3)
      if(tnt(kt2).eq.0.) go to 440
      if(itnt(1,kt).eq.itnt(2,kt2).and.itnt(2,kt).eq.itnt(1,kt2)
     1.and.(tnt(kt)/tnt2(kt2)).lt.0.0) itt = 0
440   continue
442   continue
      write(6,441) idj,itt
441   format('from idj value or phase of tnt, idj,itt = ',2i3)
444   continue

cbab find intermediate state index for neutrons
      i = 0
      do 430 k = 1,kmax
      if(ind(5,k).eq.1) go to 430
      i = i + 1
      ind(6,k) = i
430   continue
      ind6max = i
     

      
cbab  replace header line
      call anuc2(izi,azi)
      call anuc2(izf,azf)
      if(reac.eq.'tp') write(20,110) azi,iai,azf,iaf,elab,qval_tp,exn
110   format(a2,i3,'(t,p)   ',a2,i3,' @ ',f8.3,
     1' MeV  Q = ',f6.2,' MeV   Ex = ',f6.2,' MeV') 
     
      if(reac.eq.'hn') write(20,108) azi,iai,azf,iaf,elab,qval_hn,exn
108   format(a2,i3,'(h,n)   ',a2,i3,' @ ',f8.3,
     1' MeV  Q = ',f6.2,' MeV   Ex = ',f6.2,' MeV')      
      if(reac.eq.'pt') write(20,109) azf,iaf,azi,iai,elab,qval_tp,exn
109   format(a2,i3,'(p,t)   ',a2,i3,' @ ',f8.3, 
     1' MeV  Q = ',f6.2,' MeV   Ex = ',f6.2,' MeV') 
      if(reac.eq.'ph') write(20,119) azf,iaf,azi,iai,elab,qval_tp,exn
119   format(a2,i3,'(p,$3He)',a2,i3,' @ ',f8.3, 
     1' MeV  Q = ',f6.2,' MeV   Ex = ',f6.2,' MeV') 
      if(reac.eq.'hp') write(20,129) azi,iai,azf,iaf,elab,qval_tp,exn
129   format(a2,i3,'($3He,p)',a2,i3,' @ ',f8.3, 
     1' MeV  Q = ',f6.2,' MeV   Ex = ',f6.2,' MeV') 
     
      write(20,102) rmatch
102   format(
     1'NAMELIST'
c     1,/,'&FRESCO hcm=0.05 rmatch=40 rintp=0.20 hnl=0.1 rnl=16.00'
     1,/,'&FRESCO hcm=0.05 rmatch=',f7.2,' rintp=0.20 hnl=0.1 rnl=16.00'
     1,/,'   centre=-1.2 hnn=0.300 rnn=10.00 rmin=0.30'
c     1,/,'   jtmin=0.0  jtmax=35 absend=-1.0'
     1,/,'   jtmin=0.0  jtmax=20 absend=-1.0'
     1,' thmin=0.00 thmax=180.00 thinc=1.00')          
     
      if(reac.eq.'tp') write(20,111) iter,elab
111   format('   iter=',i1,' nnu=36  chans=1 xstabl=1 smats=2'
     1,/,'   elab=',f8.3,' /',/)
      if(reac.eq.'hn') write(20,111) iter,elab     
      if(reac.eq.'pt') write(20,112) iter,elab     
      if(reac.eq.'ph') write(20,112) iter,elab  
      if(reac.eq.'hp') write(20,111) iter,elab           
112   format('   iter=',i1,' nnu=36  chans=1 xstabl=1 smats=2'
     1,/,'pel=2   elab=',f8.3,' /',/)
     


cbab 't3'

      xai = iai
      xaf = iaf
      
      xzi = izi
      xzf = izf      

      iam = iai+1
      xam = iam
c      izm = izi
      if(reac.ne.'hn') izm = izf
      if(reac.eq.'hn') izm = izf-1
      xzm = izm
      call anuc2(izm,azm)        
            
      if(reac.ne.'hn') izm2 = izi
      if(reac.eq.'hn') izm2 = izi-1
      call anuc2(izm2,azm2)      

      
      a1 = "'"
      nex = 1
c      if(reac.eq.'tp') nex = -1
c      if(reac.eq.'pt') nex = 1  
      xji = iji/2.   
      if(reac.eq.'tp') izp = 1
      if(reac.eq.'hn') izp = 2      
      if(reac.eq.'pt') izp = 1
      if(reac.eq.'ph') izp = 2  
      if(reac.eq.'hp') izp = 2         
      if(reac.eq.'tp') namep = 't3'
      if(reac.eq.'hn') namep = 'h3'     
      if(reac.eq.'pt') namep = 't3'
      if(reac.eq.'ph') namep = 'h3'  
      if(reac.eq.'hp') namep = 'h3'          
      write(20,501) a1,namep,a1,izp,a1,azi,iai,a1,xai,izi,nex,xji
501   format(
     1'&PARTITION'
     1,/,' namep=',a1,a2,a1,'  massp=3.016 zp=',i2
cbab 'mg30'
     1,/,' namet=',a1,a2,i3,a1,' masst=',f7.3,' zt=',i3,' nex=',i2,'  /'
     1,/,'&STATES jp=0.5 bandp=1 ep=0.0 cpot=1 jt=',f5.2,' bandt=1'
     1,' et=0.0000  /'
     1,/,' ')
cbab 'p1'
      xjf = ijf/2.
      exfz = 0.
      nex = 1
c      if(reac.eq.'tp') nex = 1
c      if(reac.eq.'pt') nex = -1            
      if(reac.ne.'hn') 
     1write(20,502) a1,a1,a1,azf,iaf,a1,xaf,izf,qval_tp,nex,xjf,exfz
502   format(
     1/,'&PARTITION'
     1,/,' namep=',a1,'p1',a1,' massp=1.0078 zp=1'
     1,/,' namet=',a1,a2,i3,a1,'  masst=',f7.3,' zt=',i3,
     1' qval=',f8.3,' nex=',i2,'  /'
     1,/,'&STATES jp=0.5 bandp=1 ep=0.0  cpot=2 jt=',f4.1,' bandt=1'
     1,' et=',f8.3,' / #p+T=T+p'
c     1,/,' &STATES copyp=1  cpot=2 jt=0.0 bandt=1 et=1.058   /'
     1,' ')    
     
      if(reac.eq.'hn') 
     1write(20,5021) a1,a1,a1,azf,iaf,a1,xaf,izf,qval_hn,nex,xjf,exfz
5021  format(
     1/,'&PARTITION'
     1,/,' namep=',a1,'p1',a1,' massp=1.0078 zp=0'
     1,/,' namet=',a1,a2,i3,a1,'  masst=',f7.3,' zt=',i3,
     1' qval=',f8.3,' nex=',i2,'  /'
     1,/,'&STATES jp=0.5 bandp=1 ep=0.0  cpot=2 jt=',f4.1,' bandt=1'
     1,' et=',f8.3,' / #p+T=T+p'
c     1,/,' &STATES copyp=1  cpot=2 jt=0.0 bandt=1 et=1.058   /'
     1,' ')    
                                                   
cbab 'd2' 
      write(20,503) a1,a1,a1,azm,iam,a1,xam,izm,-ind6max,qval_td
503   format(
     1/,'&PARTITION'
     1,/,' namep=',a1,'d2',a1,' massp=2.0141 zp=1'
     1,/,' namet=',a1,a2,i3,a1,' masst=',f7.3,' zt=',i3,' nex=',i3
     1,' qval=',f8.3,' / #pn+(T-n)=T+p')
     
          
     
      zero = 0.
      do 510 k = 1,kmax
      if(ind(5,k).eq.1) go to 510
      xj = ind(4,k)
      if(ind(3,k).eq.2*(ind(3,k)/2)) ipar = 1
      if(ind(3,k).ne.2*(ind(3,k)/2)) ipar = -1      
      xj = xj/2.
      if(ifirst.ne.999) write(20,511) xj,ipar,zero
511   format('&STATES jp=1.0 bandp=1 ep=0.0'
     1,/,15x,'  cpot=9 jt=',f4.1,' bandt=',i2,' et=',f8.3,' /')  
      if(ifirst.eq.999) write(20,513) xj,ipar,zero
513   format('&STATES copyp=1  cpot=9 jt=',f4.1,' bandt=',i2,
     1' et=',f8.3,' /')    
      ifirst = 999
510   continue

      if(reac.eq.'pt') go to 1500
      if(reac.eq.'tp') go to 1500
      if(reac.eq.'hn') go to 1500      
      
      write(20,1503) a1,a1,a1,azm2,iam,a1,xam,izm2,-ind6max,qval_td
1503  format(
     1/,'&PARTITION'
     1,/,' namep=',a1,'pp',a1,' massp=2.0141 zp=2'
     1,/,' namet=',a1,a2,i3,a1,' masst=',f7.3,' zt=',i3,' nex=',i3
     1,' qval=',f8.3,' / # pp+(T-p)=T+p')
      zero = 0.
      do 1510 k = 1,kmax
      if(ind(5,k).eq.1) go to 1510
      xj = ind(4,k)
      if(ind(3,k).eq.2*(ind(3,k)/2)) ipar = 1
      if(ind(3,k).ne.2*(ind(3,k)/2)) ipar = -1      
      xj = xj/2.
cbab changed jp=1.0 to jp=0.0 for pp
      if(ifirst2.ne.999) write(20,1511) xj,ipar,zero
1511  format('&STATES jp=0.0 bandp=1 ep=0.0'
     1,/,15x,'  cpot=9 jt=',f4.1,' bandt=',i2,' et=',f8.3,' /')  
      if(ifirst2.eq.999) write(20,1513) xj,ipar,zero
1513  format('&STATES copyp=1  cpot=9 jt=',f4.1,' bandt=',i2,
     1' et=',f8.3,' /')    
      ifirst2 = 999
1510  continue      
      
      
1500  continue


      write(20,512) 
512   format('&partition /',/)
c     1,/,'                       
c      write(20,504) zero,zero,zero,zero,zero
c504   format(
c     1/,' &STATES copyp=1  cpot=9 jt=1.5 bandt=1 et=0.0510  /           '
c     1,/,' &STATES copyp=1  cpot=9 jt=3.5 bandt=-1 et=0.4610  /          '
c     1,/,' &STATES copyp=1  cpot=9 jt=1.5 bandt=-1 et=0.2210  /          '
c     1,/,' &STATES copyp=1  cpot=9 jt=0.5 bandt=-1 et=1.7420  /          '
c     1,/,' &partition /                                                  '
c     1,/,'                                                               '
c     1/     


      
c     common blocks with the channel potential parameters
c       real volume, imag volume, imag surface
c       common/pot1/vd,rrd,ard,   wd,rid,aid,   wisd,risid,aisid
c       real spin orbit, imag spin orbit, Coulomb radius parameter
c       common/pot2/vsod,rsord,asord,    wsod,rsoid,asoid,   rcd
c     in all cases depth, radius and diffuseness      
c      if(iter.eq.1) print 7788,reac,ipot_h
7788  format('----',a2,1x,i2)   
      if(ipot_t.eq.99.or.ipot_h.eq.99) go to 1620  
      call zeropot

      
      if(reac.eq.'tp') call triton(ipot_t,e_t,xai,xzi)  
      if(reac.eq.'hn') call helium(ipot_h,e_t,xai,xzi)        
      if(reac.eq.'pt') call triton(ipot_t,e_t,xai,xzi)  
      if(reac.eq.'ph') call helium(ipot_h,e_t,xai,xzi) 
      if(reac.eq.'hp') call helium(ipot_h,e_t,xai,xzi)                        
      
      zero = 0.
      if(reac.eq.'tp') iun1 = 33
      if(reac.eq.'hn') iun1 = 33      
      if(reac.eq.'pt') iun1 = 33
      if(reac.eq.'ph') iun1 = 34  
      if(reac.eq.'hp') iun1 = 34      
c      if(reac.eq.'tp') iun2 = 43
c      if(reac.eq.'pt') iun2 = 43
c      if(reac.eq.'ph') iun2 = 44                        
      
      write(iun1,1602) rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid  
      go to 1610
      
1620  continue
c common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
c common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd          
      if(reac.eq.'tp') open(unit=43,file=apottp,status='old')
      if(reac.eq.'hn') open(unit=43,file=apothn,status='old')      
      if(reac.eq.'pt') open(unit=43,file=apottp,status='old')
      if(reac.eq.'ph') open(unit=43,file=apothp,status='old') 
      if(reac.eq.'hp') open(unit=43,file=apothp,status='old')                  
      if(iter.eq.1.and.reac.eq.'tp') print 1618,apottp
      if(iter.eq.1.and.reac.eq.'hn') print 1618,apothn      
      if(iter.eq.1.and.reac.eq.'pt') print 1618,apottp      
1618  format('triton potential read from external file ',a20) 
      if(iter.eq.1.and.reac.eq.'ph') print 1619,apothp 
      if(iter.eq.1.and.reac.eq.'hp') print 1619,apothp             
1619  format('helium potential read from external file ',a20)          
      read(43,1603) rcd
      read(43,1603) vd,rrd,ard,wd,rid,aid
      read(43,1603) zero,zero,zero,wisd,risid,aisid
      read(43,1603) vsod,rsord,asord,wsod,rsoid,asoid  
      close(43)
1603  format(6f8.3)      
1610  continue
      
c      vd = 144.
c      rrd = 1.24
c      ard = 0.687
c      wd = 30.
c      rid = 1.45
c      aid = 0.841
c      vsod = 0.
c      asord = 0.     
c      wsod = 0.
c      rsoif = 0.
c      asoid = 0.
      if(reac.eq.'tp') ath = 'triton'
      if(reac.eq.'hn') ath = 'helium'      
      if(reac.eq.'pt') ath = 'triton'  
      if(reac.eq.'ph') ath = 'helium' 
      if(reac.eq.'hp') ath = 'helium'                
      write(20,601) xai,rcd,ath,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid    
601   format(      
     1'&POT kp=1 at=',f7.3,' rc=',f8.3,'  / #',a6,' optical'
     1,/,'&POT kp=1 type=1 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'
     1,/,'&POT kp=1 type=2 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'     
     1,/,'&POT kp=1 type=3 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'     
     1,/,' ')
      if(ipot_p.eq.99) go to 1621
      
      call zeropot
      if(reac.ne.'hn') call proton(ipot_p,e_p,xaf,xzf)  
      if(reac.eq.'hn') call neutron(ipot_p,e_p,xaf,xzf)        

      zero = 0.
      write(31,1602) rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid  
1602  format(f8.3,/,
     16f8.3,'   volume',/,
     16f8.3,'   surface',/,
     16f8.3,'   spin-orbit')
      go to 1611
1621  continue
      open(unit=41,file=apotpp,status='old')
      if(iter.eq.1) print 1617,apotpp
1617  format('proton potential read from external file ',a20)      
      read(41,1603) rcd
      read(41,1603) vd,rrd,ard,wd,rid,aid
      read(41,1603) zero,zero,zero,wisd,risid,aisid
      read(41,1603) vsod,rsord,asord,wsod,rsoid,asoid  
      close(41)      
1611  continue     

      write(20,602) xaf,rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid          
602   format(
     1'&POT kp=2 at=',f7.3,' rc=',f8.3,'  / #proton optical'
     1,/,'&POT kp=2 type=1 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'
     1,/,'&POT kp=2 type=2 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'     
     1,/,'&POT kp=2 type=3 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'          
     1,/,' ')
               
      
      write(20,603) ath
603   format(  
c     1' &POT kp=3 at=',f7.3,' rc=1.25  /'
c     1,/,' &POT kp=3 type=1 p1=68.75  p2=1.17 p3=0.75 p4=20.64 p5=1.26'
c     1,/,'      p6=0.58   /'
c     1,/,' &POT kp=3 type=3 p1=6.2  p2=1.01 p3=0.75   /'
c     1,/,' '
     1'&POT kp=4 at= 1.000 rc=   1.28  /'
     1,/,'&POT kp=4 type=1 p1=100. p2=0.95 p3=0.65 p4=0. p5=0. p6=0.'
     1,' / #',a6,' p+n potential'
     1,/,' ')
      if(ipot_p.eq.99) go to 1622
      
      call zeropot
      if(reac.ne.'hn') call proton(ipot_p,e_p,xaf,xzf) 
      if(reac.eq.'hn') call neutron(ipot_p,e_p,xaf,xzf)       
      zero = 0.
c      write(31,1602) xai,rcd,
c     1vd,rrd,ard,wd,rid,aid,
c     1zero,zero,zero,wisd,risid,aisid,
c     1vsod,rsord,asord,wsod,rsoid,asoid  
      go to 1612
      
1622  continue
      open(unit=41,file=apotpp,status='old')
      if(iter.eq.1) print 1615,apotpp
1615  format('proton potential read from external file ',a20)      
      read(41,1603) rcd
      read(41,1603) vd,rrd,ard,wd,rid,aid
      read(41,1603) zero,zero,zero,wisd,risid,aisid
      read(41,1603) vsod,rsord,asord,wsod,rsoid,asoid  
      close(41)      
1612  continue     
             
      write(20,612) xai,rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid          
612   format(
     1'&POT kp=5 at=',f7.3,' rc=',f8.3,'  / #proton optical'
     1,/,'&POT kp=5 type=1 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'
     1,/,'&POT kp=5 type=2 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'     
     1,/,'&POT kp=5 type=3 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'          
     1,/,' ')
          
c      write(20,604) xam
c604   format(
c     1' &POT kp=5 at=',f7.3,' rc=1.25 /'
c     1,/,' &POT kp=5 type=1 p1=44.8 p2=1.16 p3=0.75  p4=6.06 p5=1.37'
c     1,/,'      p6=0.508  /'
c     1,/,' &POT kp=5 type=2 p1=0 p2=0 p3=0  p4=4.6 p5=1.37 p6=0.508  /'
c     1,/,' &POT kp=5 type=3 p1=6.04 p2=1.064 p3=0.78  /'
c     1,/,' ')


      rcd = 1.25
      vd = 50.
      rrd = 1.25
      ard = 0.65
      vsod = 6.5
      rsord = 1.25
      asord = 0.65
      
      write(20,605) xai,rcd,
     1vd,rrd,ard,
     1vsod,rsord,asord          
605   format(
     1'&POT kp=6 at=',f7.3,' rc=',f8.3,  
     1'/ #neutron bound state potential'
     1,/,'&POT kp=6 type=1 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'/'
     1,/,'&POT kp=6 type=3 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'/'          
     1,/,' ')

c      write(20,605) xai
c605   format(
c     1'&POT kp=6 at=',f7.3,' rc=1.25  / #neutron bound state potential'
c     1,/,'&POT kp=6 type=1 p1=34.37  p2=1.17 p3=0.75 /'
c     1,/,'&POT kp=6 type=3 p1=6.2  p2=1.01 p3=0.75   /'
cc     1,/,' '
cc     1,/,' &POT kp=8 at=2 rc=1.25  /'
cc     1,/,' &POT kp=8 type=1 p1=55. p2=1.25 p3=0.65  /'
cc     1,/,' &POT kp=8 type=3 p1=6 p2=1.25 p3=0.65  /'
c     1,/,' ')

      if(ipot_d.eq.99) go to 1623
      
      call zeropot
      call deuteron(ipot_d,e_d,xam,xzm)  
      
      zero = 0.
      write(32,1602) rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid      
      go to 1613
      
1623  continue
      open(unit=42,file=apotdp,status='old')
      if(iter.eq.1) print 1614,apotdp
1614  format('deuteron potential read from external file ',a20)
      read(42,1603) rcd
      read(42,1603) vd,rrd,ard,wd,rid,aid
      read(42,1603) zero,zero,zero,wisd,risid,aisid
      read(42,1603) vsod,rsord,asord,wsod,rsoid,asoid  
      close(42)      
1613  continue     
      
      write(20,622) xam,rcd,
     1vd,rrd,ard,wd,rid,aid,
     1zero,zero,zero,wisd,risid,aisid,
     1vsod,rsord,asord,wsod,rsoid,asoid          
622   format(
     1'&POT kp=9 at=',f7.3,' rc=',f8.3,'  / #deuteron optical'
     1,/,'&POT kp=9 type=1 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'
     1,/,'&POT kp=9 type=2 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'     
     1,/,'&POT kp=9 type=3 '
     1,'p1=',f8.3,1x,'p2=',f8.3,1x,'p3=',f8.3
     1,1x,'p4=',f8.3,1x,'p5=',f8.3,1x,'p6=',f8.3
     1,1x,'/'          
     1,/,' ')      
          
c      write(20,606) xam
c606   format(
c     1' &POT kp=9 at=',f7.3,' rc=1.3  /  #d optical potential'
c     1,/,' &POT kp=9 type=1 p1=99.534 p2=1.050 p3=0.86 p4=0.0 p5=1.215 '
c     1,/,'      p6=0.690  /'
c     1,/,' &POT kp=9 type=2 p1=0 p2=0 p3=0 p4=22.091 p5=1.43 p6=0.628 /'
c     1,/,' &POT kp=9 type=3 p1=7.0 p2=0.75 p3=0.5  /'
c     1,/,' ')

      write(20,607)
607   format('&pot kp=11 type= 1 p(1:7)=  100.000  0.4000  0.6000'
     1,/,10x,'  0.0000  0.0000  0.0000  1.0000'
     1,' /# n+p=deuteron simple gs' 
     1,/,'&pot kp=12 type= 1 p(1:7)=  100.000  0.9500  0.6500  0.0000'
     1,/,10x,'  0.0000  0.0000  1.0000 / # d+n=t simple gs' 
     1,/,'&pot /',/
     1,/,'&OVERLAP kn1=  1 ic1=1 ic2=3 in= 1 kind=0 nn= 1 l=0'
     1,' sn= 0.5 j= 0.5')
      if(reac.eq.'tp') write(20,608)
      if(reac.eq.'hn') write(20,608)      
      if(reac.eq.'pt') write(20,608)
      if(reac.eq.'ph') write(20,618)
      if(reac.eq.'hp') write(20,618)
608   format('         kbpot= 12 be=  6.2570 isc= 1 ipc=0 / # <d|t>')
618   format('         kbpot= 12 be=  5.4930 isc= 1 ipc=0 / # <d|h>')
      write(20,609)      
609   format('&OVERLAP kn1=  2 ic1=2 ic2=3 in= 1 kind=0 nn= 1 l=0'
     1,' sn= 0.5 j= 0.5'
     1,/,'         kbpot= 11 be=  2.2245 isc= 1 ipc=0 / # <p|d>',/) 
      
      if(reac.eq.'pt') xjproj = 0.
      if(reac.eq.'tp') xjproj = 0.  
      if(reac.eq.'hn') xjproj = 0.        
      if(reac.eq.'ph'.and.itt.eq.1) xjproj = 0.
      if(reac.eq.'hp'.and.itt.eq.1) xjproj = 0.         
      if(reac.eq.'ph'.and.itt.eq.0) xjproj = 1.
      if(reac.eq.'hp'.and.itt.eq.0) xjproj = 1.   
      if(reac.eq.'pt') xamp = 1.
      if(reac.eq.'tp') xamp = 1.  
      if(reac.eq.'hn') xamp = 1.       
      if(reac.eq.'ph'.and.itt.eq.1) xamp = sqrt(0.5)
      if(reac.eq.'hp'.and.itt.eq.1) xamp = sqrt(0.5)  
      if(reac.eq.'ph'.and.itt.eq.0) xamp = -sqrt(1.5)
      if(reac.eq.'hp'.and.itt.eq.0) xamp = -sqrt(1.5)  
c      if(itt.eq.1) xphase = 1.
c      if(itt.eq.0) xphase = -1.                                   
      
      write(20,103) spet,xjproj,itt,xamp
103   format(
     1'&Overlap kn1=3  ic1=1 ic2=3 in=1 kind=0 nn=1 l=0 sn=0.5'
c     1,/,'          j=0.5 kbpot=4 be=2.226 isc=1 ipc=0 /'           
     1,/,'          j=0.5 kbpot=4 be=',f8.4,' isc=1 ipc=0 /'
     1,/,'&Overlap kn1=30 kn2=60 ic1=1 ic2=2 in=1 kind=6 nn=1'
c     1,/,'          l=0 lmax=0 sn=0.0 ia=1 j=0.0 ib=1'
c     1,/,'          kbpot=1 be=0.1000 isc=0 ipc=1 /'
     1,/,'          l=0 lmax=0 sn=0.0 ia=1 j=',f4.1,' ib=1'
     1,/,'          kbpot=',i1,' be=0.1000 isc=0 ipc=1 / #projectile'     
     1,/,'&twont'
     1,/,'          tnt(1,1)=3 tnt(2,1)=3 coef(1)=',f8.5,' /'
     1/)
      
      do 300 k = 1,kmax
      if(ind(5,k).eq.1) go to 300
      xj = ind(4,k)
      xj = xj/2.
cbab N = 2n+l 
      xcme = 2.*(ind(2,k)-1)+ind(3,k)
      xcm = (xaf/xai)**(xcme)
      iadd = 5
      iadd2 = 15
cbab 3 is neutron
cbab 4 is proton
      if(reac.eq.'pt') ic1 = 3
      if(reac.eq.'tp') ic1 = 3
      if(reac.eq.'hn') ic1 = 3      
      if(reac.eq.'pt') ic2 = 3
      if(reac.eq.'tp') ic2 = 3     
      if(reac.eq.'hn') ic2 = 3        
      
      if(reac.eq.'ph') ic1 = 4
      if(reac.eq.'hp') ic1 = 4
      if(reac.eq.'ph') ic2 = 3
      if(reac.eq.'hp') ic2 = 3     
              
      write(20,301) ind(1,k)+iadd,ic1,ind(2,k),ind(3,k),xj,spe
301   format('&Overlap kn1=',i2,' ic1=',i1,'  ic2=1  in=2  kind=0 nn='
     1,i2,' l=',i2
     1,' sn=0.5 j=',f5.2,' kbpot=6 be=',f8.3,' isc=1 ipc=0 /')   
      if(reac.eq.'ph') 
     1write(20,301) ind(1,k)+iadd2,ic2,ind(2,k),ind(3,k),xj,spe 
      if(reac.eq.'hp') 
     1write(20,301) ind(1,k)+iadd2,ic2,ind(2,k),ind(3,k),xj,spe      
300   continue
      
      write(20,402) ktmax,abs(xjf-xji),itt
402   format(                             
     1/,'&Overlap kn1=200 kn2=270 ic1=2 ic2=1 in=2 kind=6 nn=',i2,
c     1' l=0 lmax=3'     
     1' l=0 lmax=0'
     1/,'          sn=0.0 ia=1 j=',f4.1,' ib=1'
c     1/,'          kbpot=1 be=0.1000  isc=0 ipc=2 /'
     1/,'          kbpot=',i1,' be=0.1000  isc=0 ipc=2 /'     
     1/,'&twont') 
      do 400 k = 1,ktmax
      if(reac.eq.'tp') 
     1write(20,401) k,itnt(1,k)+iadd,k,itnt(2,k)+iadd,k,xcm*tnt(k)   
      if(reac.eq.'hn') 
     1write(20,401) k,itnt(1,k)+iadd,k,itnt(2,k)+iadd,k,xcm*tnt(k)        
      if(reac.eq.'pt') 
     1write(20,401) k,itnt(1,k)+iadd,k,itnt(2,k)+iadd,k,xcm*tnt(k) 
      if(reac.eq.'ph') 
     1write(20,401) k,itnt(1,k)+iadd,k,itnt(2,k)+iadd2,k,xcm*tnt(k)  
      if(reac.eq.'hp') 
     1write(20,401) k,itnt(1,k)+iadd,k,itnt(2,k)+iadd2,k,xcm*tnt(k)                                                               '
401   format('          tnt(1,',i2,')=',i2,' tnt(2,',i2,')=',i2, 
     1' coef(',i2,')=',f9.4)  
400   continue      
      write(20,403)
403   format('     /',
     1/,'&overlap /') 

      write(20,710)
710   format(' '
     1,/,'&Coupling icto=2 icfrom=1 kind=7 ip1=0 ip2=-1 ip3=5/'
     1,/,'&CFP in=1 ib=1 ia=1 kn=30 a=1.00  /'
     1,/,'&CFP in=-2 ib=1 ia=1 kn=200 a=1.00  /')
c     1,' &CFP in=-2 ib=2 ia=1 kn=300 a=1.00  /')

cbab the input below is for sequential
      if(iter.eq.1) return

711   format('&COUPLING icto= 3 icfrom= 1 kind=7 ip1= 1 ip2= -1'
c     1,' ip3= 0  p1= -163.2 / # transfer (t,d)'
     1,' ip3= 0  p1= -163.2 / # transfer (',a2,',d)'     
     1,/,'  &cfp  in= 1 ib=  1 ia=  1 kn=  1 a=   1.176  /')
     
722   format('&COUPLING icto= 2 icfrom= 3 kind=7 ip1= 0 ip2= -1'
     1,' ip3= 0  p1= -122.5 / # transfer (d,p)'
     1,/,'  &cfp  in= 1 ib=  1 ia=  1 kn=  2 a=   1.000   / ')     
c------------------------------------------

c      do 770 k = 1,kmax
c770   write(6,771) (ind(i,k),i=1,6)
c771   format(10i3)

c      if(reac.eq.'tp') xamp = sqrt(2.) 
c      if(reac.eq.'pt') xamp = sqrt(2.)  
c      if(reac.eq.'ph') xamp = 1.   
c      if(reac.eq.'hp') xamp = 1.   
      if(reac.eq.'tp') go to 760
      if(reac.eq.'hn') go to 760      
      if(reac.eq.'pt') go to 761
      if(reac.eq.'ph') go to 761   
      if(reac.eq.'hp') go to 760             
c------------------------------------------ tp
760   continue

      write(20,711) namep
      
      do 720 kt = 1,ktmax
      do 720 k = 1,kmax
      xamp = 1.
      if(reac.eq.'tp'.and.itnt(1,kt).eq.itnt(2,kt)) xamp = sqrt(2.)  
      if(reac.eq.'tp'.and.itnt(1,kt).ne.itnt(2,kt)) xamp = 1.   
      if(reac.eq.'hn'.and.itnt(1,kt).eq.itnt(2,kt)) xamp = sqrt(2.)  
      if(reac.eq.'hn'.and.itnt(1,kt).ne.itnt(2,kt)) xamp = 1.                   
      if(itnt(1,kt).eq.ind(1,k).and.ind(7,k).eq.0)
     1 write(20,721) ind(6,k),itnt(1,kt)+iadd,xamp      
      if(ind(1,k).eq.itnt(1,kt)) ind(7,k) = 1      
721   format('  &cfp  in= 2 ib= ',i2,' ia=  1 kn= ',i2,' a= ',f9.4' /')
720   continue


      write(20,724)
724   format('  &cfp /')

      write(20,722)


      do 730 kt = 1,ktmax
      do 730 k = 1,kmax
      if(reac.eq.'tp'.and.itnt(1,kt).eq.ind(1,k))
     1 write(20,731) ind(6,k),itnt(2,kt)+iadd,xcm*tnt(kt)  
      if(reac.eq.'hn'.and.itnt(1,kt).eq.ind(1,k))
     1 write(20,731) ind(6,k),itnt(2,kt)+iadd,xcm*tnt(kt)       
      if(reac.eq.'hp'.and.itnt(1,kt).eq.ind(1,k))
     1 write(20,731) ind(6,k),itnt(2,kt)+iadd2,xcm*tnt(kt)                     
731   format('  &cfp  in= 2 ib=  1 ia= ',i2,' kn= ',i2,
     1' a= ',f8.4,'  /')
730   continue      
      write(20,714)
714   format('  &cfp /',/,'&coupling /')   


      go to 762
c--------------------------------- pt
761   continue

      write(20,711) namep

      do 740 kt = 1,ktmax
      do 740 k = 1,kmax

      if(reac.eq.'pt'.and.itnt(1,kt).eq.ind(1,k)) 
     1 write(20,741) ind(6,k),itnt(2,kt)+iadd,xcm*tnt(kt)          
      if(reac.eq.'ph'.and.itnt(1,kt).eq.ind(1,k))         
     1 write(20,741) ind(6,k),itnt(2,kt)+iadd2,xcm*tnt(kt) 
                    
741   format('  &cfp  in= 2 ib= ',i2,' ia=  1 kn= ',i2,
     1' a= ',f8.4,'  /')
740   continue      

      write(20,724)
c724   format('  &cfp /')

      write(20,722)

      do 750 kt = 1,ktmax
      do 750 k = 1,kmax
      xamp = 1.
      if(reac.eq.'pt'.and.itnt(1,kt).ne.itnt(2,kt)) xamp = 1.          
      if(reac.eq.'pt'.and.itnt(1,kt).eq.itnt(2,kt)) xamp = sqrt(2.)               
      if(itnt(1,kt).eq.ind(1,k).and.ind(7,k).eq.0)
     1 write(20,751) ind(6,k),itnt(1,kt)+iadd,xamp      
      if(ind(1,k).eq.itnt(1,kt)) ind(7,k) = 1      
751   format('  &cfp  in= 2 ib=  1 ia= ',i2,' kn= ',i2,' a= ',f8.4' /')
750   continue

      write(20,714)
c714   format('  &cfp /',/,'&coupling /')   


762   continue
   
   

c      close(20)
      return
      end
      
      subroutine zeropot
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd   
      vd = 0.
      rrd = 0.
      ard = 0.
      wd = 0.
      rid = 0.
      aid = 0.
      wisd = 0.
      risid = 0.
      aisid = 0.
      vsod = 0.
      rsord = 0.
      asord = 0.
      wsod = 0.
      rsoid = 0.
      asoid = 0.
      rcd = 0.
      return
      end                                         
                                                                       
cbab get the info from the tna file                                                                      
      subroutine readtna
     
      common/cind/ind(7,100),kmax
      common/cmain/iter,elab,qval_td,qval_tp,qval_hn,spe,spet,rmatch      
      dimension ind2(100)
      common/ctnt/itnt(2,100),tnt(100),tnt2(100),ktmax
      common/ctna/ieni,ienf,iai,iaf,izi,izf,iji,ijf,ipi,ipf,exti,extf
     1,exbab,exn
      common/cfiletna/filetna
      character*20 filetna     
      character*2 reac      
      common/creac/reac             
      character*2 a2
      character*3 a3
      character*1 a1,api,apf
      character*40 a40
      dimension xin(10)
      if(iter.eq.1) write(6,909)
909   format(/,'input from *.tna file ------------------------------')
      open(unit=10,file=filetna,status='old',err=700)
      go to 701
700   continue
      if(iter.eq.1) print 702,filetna
702   format(a20,'file not found')
      stop
701   continue
cbab skip first line
      read(10,*)
      kmax = 0
      ktmax = 0
100   continue
      read(10,101,end=900) a2,a3,a40
101   format(a2,7x,a3,a40)
c      print 7771,a2,a3,a40
c7771  format('******** ',a2,'-',a3,'-',a40)
cbab nushell format
      if(a2(1:1).eq.'!') iform = 1
cbab oxbash format
      if(a2(1:1).eq.' ') iform = 2   

      if(a3(2:3).eq.'ai') go to 110
      if(a3(2:3).eq.'zi') go to 120 
c      if(a3(1:3).eq.' ji') go to 131           
      if(a3(2:3).eq.'ji') go to 130 
      if(a3(2:3).eq.'pi') go to 140 
      if(a3(2:3).eq.',2') go to 150  
      if(a3(2:3).eq.',j') go to 160        
      if(a3(1:2).eq.'ai') go to 110
      if(a3(1:3).eq.' ti') go to 170  
      if(a3(1:3).eq.'ti ') go to 180           
      if(a3(1:2).eq.'zi') go to 120
      if(a3(1:2).eq.'ji') go to 130 
      if(a3(1:2).eq.'pi') go to 140 
      if(a3(1:2).eq.',2') go to 150 
      if(a3(1:2).eq.',j') go to 160                      
      if(a2(1:1).ne.'!'.and.a2(2:2).ne.'!') go to 200                 
      go to 100
      
110   continue
      if(iform.eq.1) read(a40,111) iai,iaf
111   format(12x,i3,7x,i3)
      if(iform.eq.2) read(a40,112) iai,iaf
112   format(13x,i3,7x,i3)
      if(iter.eq.1) print 102,a3,a40,iai,iaf
102   format(a3,a40,2i4)
      go to 100

120   continue
      if(iform.eq.1) read(a40,111) izi,izf
      if(iform.eq.2) read(a40,112) izi,izf   
      if(iform.eq.2.and.iter.eq.1) print 132,izi,izf         
      xiso = 1.
      if(iter.eq.1) print 102,a3,a40,izi,izf
      go to 100
      
130   continue
      if(iform.eq.1) read(a40,111) iji,ijf
      if(iform.eq.2) read(a40,112) iji,ijf     
cbab in the nushell isospin format file the spin is not mulitplied by 2
      if(iform.eq.2) iji = 2*iji
      if(iform.eq.2) ijf = 2*ijf       
      if(iter.eq.1) print 102,a3,a40,iji,ijf
      go to 100
      
c131   continue
ccbab oxbash format
c      read(a40,112) iji,ijf
c112   format(13x,i3,7x,i3)      
c      iji = 2*iji
c      ijf = 2*ijf
c      if(iter.eq.1) print 102,a3,a40,iji,ijf
c      go to 100      
      
170   continue
cbab oxbash
      if(iform.eq.1) read(a40,111) iti,itf
      if(iform.eq.2) read(a40,112) iti,itf      
c  tz = (n-z)/2 = (a-2z)/2          z - (a-2*itz)/2
      izf = (iaf-2*itf)/2
      if(reac.eq.'pt') izi = izf
      if(reac.eq.'tp') izi = izf  
      if(reac.eq.'hn') izi = izf-2         
cbab 2013 must be wrong
      if(reac.eq.'ph') izi = izf-2
      if(reac.eq.'hp') izi = izf-2            
      if(iform.eq.2.and.iter.eq.1) print 132,izi,izf
132   format('izi, izf = ',2i3,
     1' check to be sure these are correct in the tna file')          
      xti = iti
      xtf = itf
      xtzf = xtf
      xtzi = xtzf-1.
      xt = 1.
      xtz = 1.

      xiso = cg(xti,xtzi,xt,xtz,xtf,xtzf)
      if(iter.eq.1) print 171,a3,a40,iti,itf,izi,izf,xti,xtzi,xtf,xtzf,xiso
171   format(a3,a40,4i4,5f6.2)
      go to 100   
      
180   continue
      if(iform.eq.1) read(a40,111) iti,itf
      if(iform.eq.2) read(a40,112) iti,itf      
c  tz = (n-z)/2 = (a-2z)/2          z - (a-2*itz)/2
      izf = (iaf-itf)/2
      if(reac.eq.'pt') izi = izf
      if(reac.eq.'tp') izi = izf   
      if(reac.eq.'hn') izi = izf-2
cbab must be wrong         
      if(reac.eq.'ph') izi = izf-2
      if(reac.eq.'hp') izi = izf-2               
      
      xti = iti/2.
      xtf = itf/2.
      xtzf = xtf
      xtzi = xtzf-1.
      xt = 1.
      xtz = 1.

      xiso = cg(xti,xtzi,xt,xtz,xtf,xtzf)
      if(iter.eq.1) print 171,a3,a40,iti,itf,izi,izf,xti,xtzi,xtf,xtzf,xiso
c171   format(a3,a40,4i4,5f6.2)
      go to 100               
      
140   continue
      if(iform.eq.1) read(a40,141) api,apf
141   format(14x,1x,a1,7x,2x,a1,i3)
      if(iform.eq.2) read(a40,142) api,apf
142   format(15x,1x,a1,7x,2x,a1,i3)
      if(api.eq.'+') ipi = +1
      if(api.eq.'-') ipi = -1 
      if(apf.eq.'+') ipf = +1
      if(apf.eq.'-') ipf = -1                
      if(iter.eq.1) print 102,a3,a40,ipi,ipf
      go to 100    
      
150   continue

      read(a40,151) in,il,ij2,k
151   format(5x,3i3,13x,i3)
      if(iter.eq.1) print 152,in,il,ij2,k
152   format(4i3)
      kmax = kmax + 1
      ind2(k) = ij2
      ind(1,kmax) = k
      ind(2,kmax) = in
      ind(3,kmax) = il
      ind(4,kmax) = ij2
      go to 100      
      
160   continue

      read(a40,161) x1,x2,x3,k
161   format(3x,3f5.1,13x,i3)
      if(iter.eq.1) print 162,x1,x3,x3,k
162   format(3f4.1,1x,i2)
      kmax = kmax + 1
      ind2(k) = 2.*x3
      ind(1,kmax) = k
      ind(2,kmax) = x1
      ind(3,kmax) = x2
      ind(4,kmax) = 2.*x3
      go to 100      
            
      
200   continue
401   continue
      call readx(10,xin)
      xdj = xin(1)
      xni = xin(2)
      xnf = xin(3)
      ei = xin(4)
      
      ef = xin(5)
      exti = xin(6)
      extf = xin(7)

210   continue
      kni = xni
      knf = xnf
      if(ieni.eq.kni.and.ienf.eq.knf) go to 400
      go to 401
400   continue
      if(exti.ne.0.) exbab = exti
      if(extf.ne.0.) exbab = extf
      print 201,ieni,ienf,xdj,xni,xnf,ei,ef,exti,extf,exbab
201   format(2i3,10f9.3)
      call readx(10,xin)
      i1 = xin(1)
      i2 = xin(2)
      xpp = xin(3)
      xnn = xin(4)
      if(i1.eq.0) go to 900      

      ktmax = ktmax + 1
      itnt(1,ktmax) = i1
      itnt(2,ktmax) = i2
      if(i1.eq.i2) tnt(ktmax) = xiso*(xpp+xnn)
      if(i1.ne.i2.and.reac.eq.'tp') tnt(ktmax) = xiso*(xpp+xnn)/2.  
      if(i1.ne.i2.and.reac.eq.'hn') tnt(ktmax) = xiso*(xpp+xnn)/2.       
      if(i1.ne.i2.and.reac.eq.'pt') tnt(ktmax) = xiso*(xpp+xnn)/2.  
      if(i1.ne.i2.and.reac.eq.'hp') tnt(ktmax) = xiso*(xpp+xnn)  
      if(i1.ne.i2.and.reac.eq.'ph') tnt(ktmax) = xiso*(xpp+xnn)                  
c      write(6,202) ktmax,i1,i2,xpp,xnn,xiso,tnt(ktmax)
   
c      if(reac.eq.'ph') go to 210
c      if(reac.eq.'hp') go to 210
c      if(i1.eq.i2) go to 210
      ij1 = ind2(i1)
      ij2 = ind2(i2)
      ixdj = 2.*xdj
      jdiff = (ixdj-ij1-ij2)/2
cbab May 2013 change the phase - affects DJ=2 etc 
c      if(jdiff.eq.2*(jdiff/2)) phase = 1.
c      if(jdiff.ne.2*(jdiff/2)) phase = -1.
      if(jdiff.eq.2*(jdiff/2)) phase = -1.
      if(jdiff.ne.2*(jdiff/2)) phase = 1.
      write(6,7777) i1,i2,ij1,ij2,ixdj,jdiff,phase
7777  format('i1,i2,ij1,ij2,ixdj,jdiff,phase = ',2i3,1x,4i4,f5.1)
 
      tnt2(ktmax) = phase*tnt(ktmax)
      if(reac.eq.'pt'.and.i1.ne.i2) go to 241
      if(reac.eq.'hn'.and.i1.ne.i2) go to 241      
      if(reac.eq.'tp'.and.i1.ne.i2) go to 241  
    
      go to 240
241   continue  
cbab add reversed amplitude
      ktmax = ktmax+1  
      itnt(1,ktmax) = i2
      itnt(2,ktmax) = i1                     
      tnt(ktmax) = xiso*phase*(xpp+xnn)/2. 
      tnt2(ktmax) = xiso*phase*(xpp+xnn)/2.
c      tnt2(ktmax) = 0. 
240   continue             
      if(iter.eq.1) write(6,202) ktmax,i1,i2,ij1,ij2,phase,
     1xpp,xnn,xiso,tnt(ktmax),tnt2(ktmax) 
202   format(5i3,6f8.3)                
      go to 210

900   continue
      close(10)
      return
      end
      
      subroutine fch20(file)
      character*20 file

      do 10 i = 1,20
      if(file(i:i).eq.' ') go to 11
10    continue
      return
11    ia = i

      do 12 i = ia+1,20
      if(file(i:i).ne.' ') go to 13
12    continue
      return
13    ib = i

      il = 20-ib+1
      do 14 i = 1,il
      i1 = ia+i-1
      i2 = ib+i-1
      file(i1:i1) = file(i2:i2)
14    continue

      do 15 i = ia+il,20
15    file(i:i) = ' '
c      print 100,file
      return
      end        
            
      
      function cg(x1,x2,x3,x4,x5,x6)
      cg = clebr(x1,x2,x3,x4,x5,x6)
      return
      end
      
      
c
c ***********************  cleb, clebi, cleb2i ************************
c
      function clebr(a,b,c,d,e,f)
c
c      arguments are real and of true value; j1,m1,j2,m2,j3,m3
c
      parameter (lfactc=200)
      common / logfac / first,lfact,faclog(lfactc)
      logical first
c      real*8 faclog
cccccc      ia=2*j1,id=2*m1 etc.(j1 is of true value)
      ia=nint(2.*a)
      ib=nint(2.*c)
      ic=nint(2.*e)
      id=nint(2.*b)
      ie=nint(2.*d)
      if=nint(2.*f)
      goto 7000
c ...............  clebi  ...........................
c
c      arguments are integer and of true value
c
      entry clebi(ll1,lm1,ll2,lm2,ll3,lm3)
      ia=2*ll1
      ib=2*ll2
      ic=2*ll3
      id=2*lm1
      ie=2*lm2
      if=2*lm3
      goto 7000
c ..............  cleb  ..............................
c
c      arguments are integer and represent twice the real value
c
      entry cleb(i2j1,i2m1,i2j2,i2m2,i2j3,i2m3)
      ia=i2j1
      ib=i2j2
      ic=i2j3
      id=i2m1
      ie=i2m2
      if=i2m3
 7000 if (first) call th_facinit
      rac=0.0
      if(id+ie-if) 1000,105,1000
  105 k1=ia+ib+ic
      if((-1)**k1) 1000,110,110
  110 k1=ia+ib-ic
      k2=ic+ia-ib
      k3=ib+ic-ia
      k4=ia-iabs (ib-ic)
      k5=ib-iabs (ic-ia)
      k6=ic-iabs (ia-ib)
      k7= min0 (k1,k2,k3,k4,k5,k6)
      if(k7) 1000,120,120
  120 if((-1)**(ia+id)) 1000,1000,130
  130 if((-1)**(ib+ie)) 1000,1000,140
  140 if((-1)**(ic+if)) 1000,1000,150
  150 if(ia-iabs (id)) 1000,152,152
  152 if(ib-iabs (ie)) 1000,154,154
  154 if(ic-iabs (if)) 1000,160,160
  160 signfc=1.0
      iam=ia
      ibm=ib
      icm=ic
      idm=id
      iem=ie
      ifm=if
      if(ia-ib) 210,220,220
  210 if(ia-ic) 215,225,225
  215 it=ia
      ia=ib
      ib=it
      it=id
      id=ie
      ie=it
      signfc=(-1.0)**((ia+ib-ic)/2)
      go to 235
  220 if(ic-ib) 225,235,235
  225 it=ic
      ic=ib
      ib=it
      it=if
      if=-ie
      ie=-it
      fibm=ibm+1
      ficm=icm+1
      signfc=(-1.)**((iam-idm)/2)*sqrt (ficm/fibm)
  235 if(ib) 237,236,237
  236 rac=signfc
      go to 900
  237 if(ie) 250,250,240
  240 signfc=signfc*((-1.0)**((ia+ib-ic)/2))
      id=-id
      ie=-ie
      if=-if
  250 fc2=ic+1
      iabcp=(ia+ib+ic)/2+1
      iabc=iabcp-ic
      icab=iabcp-ib
      ibca=iabcp-ia
      iapd=(ia+id)/2+1
      iamd=iapd-id
      ibpe=(ib+ie)/2+1
      ibme=ibpe-ie
      icpf=(ic+if)/2+1
      icmf=icpf-if
      sqfclg=0.5*(alog(fc2)-faclog(iabcp+1)
     1      +faclog(iabc)+faclog(icab)+faclog(ibca)
     2      +faclog(iapd)+faclog(iamd)+faclog(ibpe)
     3      +faclog(ibme)+faclog(icpf)+faclog(icmf))
      nzmic2=(ib-ic-id)/2
      nzmic3=(ia-ic+ie)/2
      nzmi= max0 (0,nzmic2,nzmic3)+1
      nzmx= min0 (iabc,iamd,ibpe)
      if(nzmi-nzmx) 310,310,900
  310 ss=0.0
      s1=(-1.0)**(nzmi-1)
      do 400 nz=nzmi,nzmx
      nzm1=nz-1
      nzt1=iabc-nzm1
      nzt2=iamd-nzm1
      nzt3=ibpe-nzm1
      nzt4=nz-nzmic2
      nzt5=nz-nzmic3
      termlg=sqfclg-faclog(nz)-faclog(nzt1)-faclog(nzt2)
     1           -faclog(nzt3)-faclog(nzt4)-faclog(nzt5)
      ssterm=s1*exp (termlg)
      ss=ss+ssterm
  400 s1=-s1
      rac=signfc*ss
  900 ia=iam
      ib=ibm
      ic=icm
      id=idm
      ie=iem
      if=ifm
 1000 cleb=rac
      return
      end      
      
      subroutine th_facinit
c ...  set up log of factorials
      parameter (lfactc=200)
      logical first
      common / logfac / first,lfact,faclog(lfactc)
      data first/.true./,lfact/lfactc/
c      real*8 faclog,fn
      first=.false.
      faclog(1)=0.0
      faclog(2)=0.0
      fn=1.0
      do 10 i=3,lfactc
      fn=fn+1.0
      faclog(i)=faclog(i-1)+log(fn)
   10 continue
      return
      end      
      
cbab extracts up to 10 values into x(10) from a general read format      
      subroutine readx(iin,x)
      character*100 a,aa
      dimension x(10)
      a = ' '
      read(iin,800,err=900,end=900) a
800   format(a100)
      is = 1
      k = 0
      do 400 i = 1,10
400   x(i) = 0.
      do 420 i = 1,100
      if(a(i:i).eq.'!') go to 421
420   continue
421   imax = i
      do 440 i = imax,100
440   a(i:i) = ' '
      do 430 i = 100,1,-1
      if(a(i:i).ne.' ') go to 431
430   continue
431   imax = i+2
      if(imax.gt.100) imax = 100



300   continue
      k = k + 1
      if(k.gt.10) write(6,600)
600   format('more than 10 entries in readx')
      if(k.gt.10) return
      do 100 i = is,imax
      
cbab two commas in a row    
c      print 7771,i,k,is,(a(ibab:ibab),ibab=1,10)  
c7771  format(3i3,1x,10a1)
      if(a(i:i).eq.','.and.i.eq.1) go to 1101
      if(a(i:i).eq.','.and.a(i-1:i-1).eq.',') go to 1101
      if(a(i:i).eq.','.and.a(i-1:i-1).eq.' ') go to 1101      
      if(a(i:i).ne.' ') go to 101
100   continue
101   i1 = i
      if(i1.ge.imax) return
      
      do 102 i = i1,imax   
      if(a(i:i).eq.' ') go to 103
      if(a(i:i).eq.',') go to 103
102   continue
103   i2 = i
      ie = i2-1
      if(i2.ge.imax) return
      write(aa,210)  (a(i:i),i=i1,ie)
210   format(50a1)
      read(aa,*) x(k)
211   format(f12.6)
c      print 200,i1,ie,x(k),(a(i:i),i=i1,ie)
200   format(2i3,1x,f12.6,1x,50a1)
      is = i2+1
      if(is.ge.imax) return
      go to 300
1101  continue
      x(k) = 0.
      is = i+1
      go to 300    
1102  continue
      x(k) = 0.
      is = i+2
      go to 300              
900   continue
      x(1) = 999.
      write(6,901) 
901   format('nuclear state not found')
      stop
      end    
      
*---------------------------------------------------------------------
c      program interactive_data_set_create
c      implicit real*8(a-h,o-z)
*---------------------------------------------------------------------
*     JAT 2011 - version for Alex Brown (INT)
*     Potential conventions are approptiate for input to Fresco
*---------------------------------------------------------------------
*     common blocks with the channel potential parameters
*     real volume, imag volume, imag surface
c      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
*     real spin orbit, imag spin orbit, Coulomb radius parameter
c      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*     in all cases depth, radius and diffuseness
*---------------------------------------------------------------------
*     test calls to see available options
c      energy=20
c      a1=42
c      z1=20
c      print*,' -------------------------------------------------'
c      print*,' proton options'
c      print*,' -------------------------------------------------'
c      call proton(energy,a1,z1)
c      print*
c      print*,' -------------------------------------------------'
c      print*,' neutron options'
c      print*,' -------------------------------------------------'
c      call neutron(energy,a1,z1)
c      print*
c      print*,' -------------------------------------------------'
c      print*,' deuteron options'
c      print*,' -------------------------------------------------'
c      call deuteron(energy,a1,z1)
c      print*
c      print*,' -------------------------------------------------'
c      print*,' triton options'
c      print*,' -------------------------------------------------'
c      call triton(energy,a1,z1)
c      print*
c      print*,' -------------------------------------------------'
c      print*,' helium-3 options'
c      print*,' -------------------------------------------------'
c      call helium(energy,a1,z1)
c      end
*---------------------------------------------------------------------
      subroutine proton(inopt,energy,a1,z1)
      implicit real*4(a-h,o-z)
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*---------------------------------------------------------------------
c 887  print*,' [1] Bechetti-Greenlees (A>40 20<E<50 MeV)    '
c      print*,'            Phys Rev 182 (1969) 1190          '
c      print*,' [2] Chapel-Hill 89 Global set (A>40 E>10 MeV)   '
c      print*,'            Phys Rep 201 (1991) 57            '
c      print*,' [3] Menet (30<E<60) see: ADNTD 17 (1976) p6  '
c      print*,' [4] Perey (E<20MeV) see: ADNTD 17 (1976) p6  '
c      print*,'-------------------------------------------------'
*---------------------------------------------------------------------
c      read*,inopt
c      if(inopt.lt.1.or.inopt.gt.4) go to 887
c      print*,' >>>> ',inopt
      if(inopt.eq.1) then
       a=a1
       ed=energy
       e=z1
       an=(a-2.d0*e)/a
       a13=a**0.3333333333d0
       vpr=54.d0-0.32d0*ed+0.4d0*e/a13+24.d0*an
       rr=1.17d0
       ar=0.75d0
       rpi=1.32d0
       api=0.51d0+0.7d0*an
       wpi=11.8d0-0.25d0*ed+12.d0*an
       if(wpi.lt.0.d0) wpi=0.d0
       wvpi=0.22d0*ed-2.7d0
       if(wvpi.lt.0.d0) wvpi=0.d0
       write(6,10) a
       write(6,101) e,ed
   10  format(/,' bechetti greenlees potentials for a = ',f5.1)
  101  format(1h ,' z = ',f4.1,' at ',f5.1,' MeV proton energy ')
       rcd=1.25d0
       write(6,1011) real(rcd)
 1011  format(1h ,' Coulomb radius parameter = ',f8.3)
       write(6,111)
  111  format(1h ,'    vr     ro     ao     ws     ri     ai     wv ')
       write(6,12) vpr,rr,ar,wpi,rpi,api,wvpi
   12  format(1h ,7f7.3)
       vd=vpr
       rrd=rr
       ard=ar
       wd=wvpi
       rid=rpi
       aid=api
       wisd=wpi
       risid=rpi
       aisid=api
       vsod=6.2d0
       rsord=1.01d0
       asord=0.75d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
  112  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.2) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
*---------------------------------------------------------------------
*      CH86 parameters
       v0=    52.9d0
       vt=    13.d0
       ve=   -0.3d0
       r0=    1.25d0
       r00=  -0.24d0
       a0=    0.69d0
       rc=    1.24d0
       rc0=   0.12d0
       wv0=   10.d0
       wve0=  35.d0
       wvew=  15.d0
       rw=    1.32d0
       rw0=  -0.41d0
       aw=    0.72d0
       ws0=   9.d0
       wst=   14.d0
       wse0=  29.d0
       wsew=  23.d0
*---------------------------------------------------------------------
*      CH89 parameters
       v0=    52.9d0
       vt=    13.1d0
       ve=   -0.299d0
       r0=    1.25d0
       r00=  -0.225d0
       a0=    0.69d0

       rc=    1.24d0
       rc0=   0.12d0

       wv0=   7.8d0 
       wve0=  35.d0
       wvew=  16.d0

       ws0=   10.d0
       wst=   18.d0
       wse0=  36.d0
       wsew=  37.d0

       rw=    1.33d0
       rw0=  -0.42d0
       aw=    0.69d0
*---------------------------------------------------------------------
       a13=a**(1.d0/3.d0)
       rrc=rc*a13+rc0
       rcn=rrc/a13
       ecpp=1.73d0*z/rrc
       erp=e-ecpp
       vrp=v0+vt*((n-z)/a)+erp*ve
       rp=r0*a13+r00
       rpn=rp/a13
       ap=a0
       wvp=wv0/(1.d0+exp((wve0-erp)/wvew))
       if(wvp.lt.0.d0) wvp=0.d0
       rwp=rw*a13+rw0
       rwpn=rwp/a13
       awp=aw
       wsp=(ws0+wst*((n-z)/a))/(1.d0+exp((erp-wse0)/wsew))
       if(wsp.lt.0.d0) wsp=0.d0
       write(6,20) a
       write(6,101) z,e
   20  format(/,' Chapel Hill 89 potentials for a = ',f5.1)
       rcd=rcn
       write(6,1101) real(rcd)
1101   format(' Coulomb radius parameter = ',f8.3)
       write(6,111)
       write(6,12) vrp,rpn,ap,wsp,rwpn,awp,wvp
       vd=vrp
       rrd=rpn
       ard=ap
       wd=wvp
       rid=rwpn
       aid=awp
       wisd=wsp
       risid=rwpn
       aisid=awp
*---------------------------------------------------------------------
*      CH86 parameters
       vsod=5.9d0
       rsord=(1.39d0*a13-1.43)/a13
       asord=0.65d0
*---------------------------------------------------------------------
*      CH89 parameters
       vsod=5.9d0
       rsord=(1.34d0*a13-1.20)/a13
       asord=0.63d0
*---------------------------------------------------------------------
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.3) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
       a13=a**0.3333333333d0
       vrp=49.9d0-0.22*e+26.4*(n-z)/a+0.4*z/a13
       wvp=1.2+0.09*e
       wsp=4.2-0.05*e+15.5*(n-z)/a
       if(wsp.lt.0.d0) wsp=0.d0
       awp=0.74d0-0.008*e+(n-z)/a
       rrd=1.16d0
       ard=0.75d0
       rid=1.37d0
       write(6,25) a
       write(6,101) z,e
   25  format(/,' Menet potential for a = ',f5.1)
       rcd=1.25d0
       write(6,1011) real(rcd)
c1011   format(' Coulomb radius parameter = ',f8.3)
*      print 11
       write(6,111)
       write(6,12) vrp,rrd,ard,wsp,rid,awp,wvp
       vd=vrp
       wd=wvp
       aid=awp
       wisd=wsp
       risid=rid
       aisid=aid
       vsod=6.04d0
       rsord=1.064d0
       asord=0.78d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.4) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
       a13=a**0.3333333333d0
       vrp=53.3d0-0.55*e+27.0*(n-z)/a+0.4*z/a13
       wvp=0.d0
       wsp=13.5d0
       rrd=1.25d0
       ard=0.65d0
       rid=1.25d0
       awp=0.47d0
       write(6,24) a
       write(6,101) z,e
   24  format(/,' Perey potential for a = ',f5.1)
       rcd=1.25d0
       write(6,1011) real(rcd)
c1011   format(' Coulomb radius parameter = ',f8.3)
*      print 11
       write(6,111)
       write(6,12) vrp,rrd,ard,wsp,rid,awp,wvp
       vd=vrp
       wd=wvp
       aid=awp
       wisd=wsp
       risid=rid
       aisid=aid
       vsod=7.50d0
       rsord=1.25d0
       asord=0.47d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      return
      end
*---------------------------------------------------------------------
      subroutine neutron(inopt,energy,a1,z1)
      implicit real*4(a-h,o-z)
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*---------------------------------------------------------------------
c 888  print*,' [1] Bechetti-Greenlees (A>40 20<E<50 MeV)    '
c      print*,'            Phys Rev 182 (1969) 1190          '
c      print*,' [2] Chapel-Hill 89 Global set (A>40 E>10 MeV)   '
c      print*,'            Phys Rep 201 (1991) 57            '
c      print*,'-------------------------------------------------'
*---------------------------------------------------------------------
      ijlmp=0
c      read*,inopt
c      if(inopt.lt.1.or.inopt.gt.2) go to 888
c      print*,' >>>> ',inopt
      if(inopt.eq.1) then
       a=a1
       ed=energy
       e=z1
       an=(a-2.d0*e)/a
       a13=a**0.3333333333d0
       vpr=56.3d0-0.32d0*ed-24.d0*an
       rr=1.17d0
       ar=0.75d0
       rpi=1.26d0
       api=0.58d0
       wpi=13.0d0-0.25d0*ed-12.d0*an
       if(wpi.lt.0.d0) wpi=0.d0
       wvpi=0.22d0*ed-1.56d0
       if(wvpi.lt.0.d0) wvpi=0.d0
       write(6,10) a
       write(6,101) e,ed
   10  format(/,' bechetti greenlees potentials for a = ',f5.1)
  101  format(1h ,' z = ',f4.1,' at ',f5.1,' MeV neutron energy ')
       rcd=1.25d0
*      print*,' Coulomb radius parameter = ',real(rcd)
       write(6,111)
  111  format(1h ,'    vr     ro     ao     ws     ri     ai     wv ')
       write(6,12) vpr,rr,ar,wpi,rpi,api,wvpi
   12  format(1h ,7f7.3)
       vd=vpr
       rrd=rr
       ard=ar
       wd=wvpi
       rid=rpi
       aid=api
       wisd=wpi
       risid=rpi
       aisid=api
       vsod=6.2d0
       rsord=1.01d0
       asord=0.75d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
  112  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.2) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
*---------------------------------------------------------------------
*      CH86 parameters
       v0=    52.9d0
       vt=    13.d0
       ve=   -0.3d0
       r0=    1.25d0
       r00=  -0.24d0
       a0=    0.69d0
       rc=    1.24d0
       rc0=   0.12d0
       wv0=   10.d0
       wve0=  35.d0
       wvew=  15.d0
       rw=    1.32d0
       rw0=  -0.41d0
       aw=    0.72d0
       ws0=   9.d0
       wst=   14.d0
       wse0=  29.d0
       wsew=  23.d0
*---------------------------------------------------------------------
*      CH89 parameters
       v0=    52.9d0
       vt=    13.1d0
       ve=   -0.299d0
       r0=    1.25d0
       r00=  -0.225d0
       a0=    0.69d0

       rc=    1.24d0
       rc0=   0.12d0

       wv0=   7.8d0 
       wve0=  35.d0
       wvew=  16.d0

       ws0=   10.d0
       wst=   18.d0
       wse0=  36.d0
       wsew=  37.d0

       rw=    1.33d0
       rw0=  -0.42d0
       aw=    0.69d0
*---------------------------------------------------------------------
       a13=a**(1.d0/3.d0)
       rrc=rc*a13+rc0
       rcn=rrc/a13
       ecpp=0.d0
       erp=e-ecpp
       vrp=v0-vt*((n-z)/a)+erp*ve
       rp=r0*a13+r00
       rpn=rp/a13
       ap=a0
       wvp=wv0/(1.d0+exp((wve0-erp)/wvew))
       if(wvp.lt.0.d0) wvp=0.d0
       rwp=rw*a13+rw0
       rwpn=rwp/a13
       awp=aw
       wsp=(ws0-wst*((n-z)/a))/(1.d0+exp((erp-wse0)/wsew))
       if(wsp.lt.0.d0) wsp=0.d0
       write(6,20) a
       write(6,101) z,e
   20  format(/,' Chapel Hill 89 potentials for a = ',f5.1)
       rcd=rcn
*      print*,' Coulomb radius parameter = ',real(rcd)
       write(6,111)
       write(6,12) vrp,rpn,ap,wsp,rwpn,awp,wvp
       vd=vrp
       rrd=rpn
       ard=ap
       wd=wvp
       rid=rwpn
       aid=awp
       wisd=wsp
       risid=rwpn
       aisid=awp
*---------------------------------------------------------------------
*      CH86 parameters
       vsod=5.9d0
       rsord=(1.39d0*a13-1.43)/a13
       asord=0.65d0
*---------------------------------------------------------------------
*      CH89 parameters
       vsod=5.9d0
       rsord=(1.34d0*a13-1.20)/a13
       asord=0.63d0
*---------------------------------------------------------------------
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      return
      end
*---------------------------------------------------------------------
      subroutine deuteron(inopt,energy,a1,z1)
      implicit real*4(a-h,o-z) 
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*---------------------------------------------------------------------
c 889  print*,' Optical potentials for DWBA                 '
c      print*,' [1] Lohr-Haeberli (A>40 8<E<13 MeV)         '
c      print*,'             see: ADNTD 17 (1976) p6         '
c      print*,' [2] Perey-Perey (12<E<25 MeV) no spin-orbit '
c      print*,'             see: ADNTD 17 (1976) p6         ' 
c      print*,' [3] Daehnick Global (A>27 12<E<90 MeV)      '
c      print*,'     Phys. Rev. C 21, 2253 (1980)            ' 
*---------------------------------------------------------------------
c      read*,inopt
c      if(inopt.lt.1.or.inopt.gt.3) go to 889
c      print*,' >>>> ',inopt
      if(inopt.eq.1) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
       a13=a**0.3333333333d0
       vrp=91.13+2.2*z/a13
       wvp=0.d0
       wsp=218.d0/a13/a13
       rrd=1.05d0
       ard=0.86d0
       rid=1.43d0
       awp=0.5d0+0.013*a13*a13
       write(6,20) a
   20  format(/,' LH deuteron potential for a = ',f5.1)
       write(6,101) z,e
  101  format(1h ,' z = ',f4.1,' at ',f5.1,' MeV deuteron energy ')
       rcd=1.30d0
       write(6,1011) real(rcd)
1101   format(' Coulomb radius parameter = ',f8.3)
       write(6,111)
  111  format(1h ,'    vr     ro     ao     ws     ri     ai     wv ')
       write(6,12) vrp,rrd,ard,wsp,rid,awp,wvp
   12  format(1h ,7f7.3)
       vd=vrp
       wd=wvp
       aid=awp
       wisd=wsp
       risid=rid
       aisid=aid
       vsod=7.0d0
       rsord=0.75d0
       asord=0.50d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.2) then
       a=a1
       e=energy
       z=z1
       n=nint(a-z)
       a13=a**0.3333333333d0
       vrp=81.1-0.22*e+2.0*z/a13
       wvp=0.d0
       wsp=14.4+0.24*e
       rrd=1.15d0
       ard=0.81d0
       rid=1.34d0
       awp=0.68d0
       write(6,21) a
   21  format(/,' P-P deuteron potential for a = ',f5.1)
       write(6,101) z,e
       rcd=1.15d0
       write(6,1011) real(rcd)
1011   format(' Coulomb radius parameter = ',f8.3)
       write(6,111)
       write(6,12) vrp,rrd,ard,wsp,rid,awp,wvp
       vd=vrp
       wd=wvp
       aid=awp
       wisd=wsp
       risid=rid
       aisid=aid
       vsod=0.0d0
       rsord=1.d0
       asord=1.d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      if(inopt.eq.3) then
       a=a1
       e=energy
       bet=-(e/100.d0)**2
       bet=exp(bet)
       z=z1
       n=nint(a-z)
       a13=a**0.3333333333d0
       vrp=88.5-0.26*e+0.88*z/a13
       wvp=(12.2+0.026*e)*(1.d0-bet)
       wsp=(12.2+0.026*e)*(bet)
       rrd=1.17d0
       ard=0.709d0+0.0017*e
       rid=1.325d0
       awp=0.53d0+0.07*a13
       awp=awp-0.04*exp(-((  8-n)/2.d0)**2)
       awp=awp-0.04*exp(-(( 20-n)/2.d0)**2)
       awp=awp-0.04*exp(-(( 28-n)/2.d0)**2)
       awp=awp-0.04*exp(-(( 50-n)/2.d0)**2)
       awp=awp-0.04*exp(-(( 82-n)/2.d0)**2)
       awp=awp-0.04*exp(-((126-n)/2.d0)**2)
       write(6,23) a
   23  format(/,' Daehnick deuteron potential for a = ',f5.1)
       write(6,101) z,e
       rcd=1.30d0
       write(6,1011) real(rcd)
c1011   format(' Coulomb radius parameter = ',f8.3)
       vd=Vrp
       wd=Wvp
       aid=awp
       wisd=Wsp
       risid=rid
       aisid=aid
       vsod=(7.33d0-0.029*e)
       rsord=1.07d0
       asord=0.66d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,111)
       write(6,12) vrp,rrd,ard,wsp,rid,awp,wvp
       write(6,112)
  112  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
*---------------------------------------------------------------------
      return
      end
*---------------------------------------------------------------------
      subroutine triton(inopt,energy,a1,z1)
      implicit real*4(a-h,o-z)
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*---------------------------------------------------------------------
*     latter is the coefficient of l.sigma 
*---------------------------------------------------------------------
c 890  print*,' [1] Bechetti-Greenlees (not well determined)    '
c      print*,'                      see: ADNTD 17 (1976) p6    ' 
c      print*,' [2] X. Li et al Global potential Energy < 40 MeV'    
c      print*,'                      see: NPA 789 (2007) 103    '
c      print*,'-------------------------------------------------'
*---------------------------------------------------------------------
c      read*,inopt
c      if(inopt.lt.1.or.inopt.gt.2) go to 890
c      print*,' >>>> ',inopt
      print *,inopt,'************** triton'
      a=a1
      ed=energy
      e=z1
      an=(a-2.d0*e)/a
      a13=a**0.3333333333d0
      z13=e**0.3333333333d0
cbab -----------------------------------------
      if(inopt.eq.1) then
       vpr=165.d0-0.17d0*ed-6.4d0*an
       rr=1.20d0
       ar=0.72d0
       rpi=1.40d0
       api=0.84d0
       wvpi=46.0d0-0.33d0*ed-110.d0*an
       if(wvpi.lt.0.d0) wvpi=0.d0
       wpi=0.d0
       write(6,10) a
       write(6,101) e,ed
   10  format(/,' bechetti greenlees triton potentials for a = ',f5.1)
  101  format(1h ,' z = ',f4.1,' at ',f5.1,' MeV triton energy ')
       rcd=1.30d0
       write(6,1011) real(rcd)
1011   format(' Coulomb radius parameter = ',f8.3)
       write(6,111)
  111  format(1h ,'    vr     ro     ao     ws     ri     ai     wv ')
       write(6,12) vpr,rr,ar,wpi,rpi,api,wvpi
   12  format(1h ,7f7.3)
       vd=vpr
       rrd=rr
       ard=ar
       wd=wvpi
       rid=rpi
       aid=api
       wisd=wpi
       risid=rpi
       aisid=api
       vsod=2.5d0
       rsord=1.20d0
       asord=0.72d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
  112  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
cbab -----------------------------------------      
      
      if(inopt.eq.2) then
*---------------------------------------------------------------------
*     X Li et al. Global potential NPA 2007
*---------------------------------------------------------------------
       write(6,29) a1
   29  format(/,' Li et al. triton potential for a = ',f5.1)
       rcd=1.4219d0
       write(6,1011) real(rcd)
c1011   format(' Coulomb radius parameter = ',f8.3)
*---------------------------------------------------------------------
       vd=137.6d0-0.1456d0*ed+0.0436d0*ed*ed+4.3751d0*an
       vd=vd+1.0474d0*e/a13
       wisd=37.06d0-0.6451d0*ed-47.19d0*an
       wd=7.383d0+0.5025d0*ed-0.0097d0*ed*ed
       vsod=1.9029d0
       rrd= (1.12010d0-0.1504d0/a13)
       rid= (1.32020d0-0.1776d0/a13)
       risid=(1.25100d0-0.4622d0/a13)
       rsord=(0.46991d0+0.1294d0/a13)
       ard= (0.68330d0+0.01910d0*a13)
       aid= (1.11900d0+0.01913d0*a13)
       aisid= (0.81140d0+0.01159d0*a13)
       asord=(0.35450d0-0.05220d0*a13)
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,117)
  117  format(1h ,'    vr     ro     ao     ws     ris     ais  ')
       write(6,12) vd,rrd,ard,wisd,risid,aisid
       write(6,119)
  119  format(1h ,'    wv     riv     aiv   ')
       write(6,12) wd,rid,aid
       write(6,118)
  118  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
cbab -----------------------------------------      
      if(inopt.eq.3) then      
*---------------------------------------------------------------------
*     GDP08 potential for 3H  dypang
*---------------------------------------------------------------------
       ap=3.0d0
       zp=1.0d0
       call gdp08(ap,zp,a1,z1,energy)
      endif
*---------------------------------------------------------------------      

      return
      end
*---------------------------------------------------------------------
      subroutine helium(inopt,energy,a1,z1)
      implicit real*4(a-h,o-z)
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
*---------------------------------------------------------------------
c 890  print*,' [1] Bechetti-Greenlees (not well determined)    '
c      print*,'                      see: ADNTD 17 (1976) p6    ' 
c      print*,' [2] D.Y. Pang et al. GDP08                      '
c      print*,'                      see: PRC 79 (2009) 024615  '
c      print*,'-------------------------------------------------'
*---------------------------------------------------------------------
c      read*,inopt
c      if(inopt.lt.1.or.inopt.gt.1) go to 890
c      print*,' >>>> ',inopt
      if(inopt.eq.1) then
       a=a1
       ed=energy
       e=z1
       an=(a-2.d0*e)/a
       a13=a**0.3333333333d0
       vpr=151.9d0-0.17d0*ed+50.d0*an
       rr=1.20d0
       ar=0.72d0
       rpi=1.40d0
       api=0.88d0
       wvpi=41.7d0-0.33d0*ed+44.d0*an
       if(wvpi.lt.0.d0) wvpi=0.d0
       wpi=0.d0
       write(6,10) a
       write(6,101) e,ed
   10  format(/,' bechetti greenlees 3he potentials for a = ',f5.1)
  101  format(1h ,' z = ',f4.1,' at ',f5.1,' MeV 3He  energy ')
       rcd=1.30d0
       write(6,1011) real(rcd)
1011   format(' Coulomb radius parameter = ',f8.3)
       write(6,111)
  111  format(1h ,'    vr     ro     ao     ws     ri     ai     wv ')
       write(6,12) vpr,rr,ar,wpi,rpi,api,wvpi
   12  format(1h ,7f7.3)
       vd=vpr
       rrd=rr
       ard=ar
       wd=wvpi
       rid=rpi
       aid=api
       wisd=wpi
       risid=rpi
       aisid=api
       vsod=2.5d0
       rsord=1.20d0
       asord=0.72d0
       wsod=0.d0
       rsoid=1.d0
       asoid=1.d0
       write(6,112)
  112  format(1h ,'    vso    rso    aso ')
       write(6,12) vsod,rsord,asord
      endif
      
      if(inopt.eq.3) then
*---------------------------------------------------------------------
*     GDP08 potential for 3He  dypang
*---------------------------------------------------------------------
       ap=3.0d0
       zp=2.0d0
       call gdp08(ap,zp,a1,z1,energy)
      endif      
*---------------------------------------------------------------------
      return
      end
      
      subroutine gdp08(ap,zp,at,zt,Einc)
      implicit real*4(a-h,o-z)
      real*4 V, rv, av
      real*4 Wv, rrwv, aawv, Ws, rrws, aaws
      real*4 VVso, rvso, avso, WWso, rwso, awso
      real*4 RC
      real*4 V0, VE,  VT, VTE, R0,  R0A, R0AP, A0, VC, R0AE,MDAE,MDA0
      real*4 WV0,WVE, WVT,WVTE,RWV, RWVA,RWVP, AWV,WVC,WVE0,WVEW,AWVT
      real*4 WS0,WSE, WST,WSTE,RWS, RWSA,RWSP, AWS,WSC,WSE0,WSEW,AWST
      real*4 VSO,VSOE,RSO,RSOA,RSOP,ASO, VSOA, VSAP
      real*4 WSO,WSOE,RWO,RWOA,RWOP,AWO, WSOA, WSAP
      real*4 RC0,RCA, RCAP
      real*4 AT, ZT, AP, ZP, Einc
      real*4 EC, Epot, Ecm
      real*4 varpsilon
      real*4 MDA,MDB,MDC,VMD
      real*4 PI
      real*4 AT13, zero
      common/pot1/vd,rrd,ard,wd,rid,aid,wisd,risid,aisid
      common/pot2/vsod,rsord,asord,wsod,rsoid,asoid,rcd
      common/iunit/iunit
      common/GDP08Para/
     &        V0, VE,  VT, VTE, R0,  R0A, R0AP, A0, VC, R0AE,MDAE,MDA0,
     &        WV0,WVE, WVT,WVTE,RWV, RWVA,RWVP, AWV,WVC,WVE0,WVEW,AWVT,
     &        WS0,WSE, WST,WSTE,RWS, RWSA,RWSP, AWS,WSC,WSE0,WSEW,AWST,
     &        VSO,VSOE,RSO,RSOA,RSOP,ASO, VSOA, VSAP,
     &        WSO,WSOE,RWO,RWOA,RWOP,AWO, WSOA, WSAP,
     &        RC0, RCA, RCAP
      PI=4.0d0*datan(1.0d0)
      call initGDP08
c     real part
      V0=118.25d0
      VE=-0.12512d0
      R0=1.3007
      R0A =-0.4816
      A0 =0.8148
      VC=1.0
c     Wv
      WV0=38.481
      RWV=1.3120
      RWVA=-0.1290
      AWV=0.8399
      WVE0=156.09
      WVEW=52.442
c     Ws
      WS0=35.037
      WST=34.181
      RWS=1.3120
      RWSA=-0.1290
      AWS=0.8399
      WSE0=30.755
      WSEW=106.36
c     Coulomb
      RC0=1.238
      RCA=0.116
c     isovector parameter
      if(ZP.EQ.2.) then
        varpsilon=(AT-2.0d0*ZT)/AT
      elseif(ZP.EQ.1.) then
        varpsilon=(2.0d0*ZT-AT)/AT
      else
        varpsilon=0.0d0
      endif
c     Coulomb correction, asumming alpha=1.0 as in CH89
      if(RCAP.EQ.0.0) RCAP=-1.0d0/3.0d0
      Ecm=AT*Einc/(AT+AP)
      RC=RC0+RCA*AT**RCAP
      if(VC .EQ. 1.0) then
        EC =(1.73d0/RC)*ZT*ZP/AT**(1.d0/3.d0)
      else
        EC = 0.0d0
      endif
      Epot=Einc-EC
      AT13=AT**(1.0d0/3.0d0)
      zero=0.0d0
c     real part
      V  = V0 + VE*Epot + (VT+VTE*Epot)*varpsilon
      rv = R0 + (R0A+R0AE*Epot)/AT13
      av = A0
c     volume imag
      if(WVE0 .LE. 0.0) then
        Wv  = (WV0+WVE*Epot) + (WVT+WVTE*Epot)*varpsilon
      else
cbab        Wv  = (WV0+WVT*varpsilon)/(1.0d0+dexp(-(Epot-WVE0)/WVEW))
        Wv  = (WV0+WVT*varpsilon)/(1.0d0+exp(-(Epot-WVE0)/WVEW))        
      endif
      rrwv= RWV + RWVA/AT13
      aawv= AWV + AWVT*varpsilon
c     surface imag
      if(WSE0 .LE. 0.0) then
        Ws = (WS0+WSE*Epot) + (WST+WSTE*Epot)*varpsilon
      else
cbab        Ws = (WS0+WST*varpsilon)/(1.0d0+dexp( (Epot-WSE0)/WSEW))
        Ws = (WS0+WST*varpsilon)/(1.0d0+exp( (Epot-WSE0)/WSEW))        
      endif
      rrws= RWS + RWSA/AT13
      aaws= AWS + AWST*varpsilon
c     spin-orbit real
      VVso = VSO + VSOE*Epot + VSOA*AT**VSAP
      rvso = RSO + RSOA*AT13
      avso = ASO
c     spin-orbit imag
      WWso = WSO + WSOE*Epot + WSOA*AT**WSAP
      rwso = RWO + RWOA*AT13
      awso = AWO
c     Coulomb radius
      RC = RC0 +RCA*AT**RCAP
      vd   = V
      rrd  = RV
      ard  = AV
      wd   = Wv
      rid  = rrwv
      aid  = aawv
      wisd = Ws
      risid= rrws
      aisid= aaws
      vsod = VVso
      rsord= rvso
      asord= avso
      wsod = WWso
      rsoid= rwso
      asoid= awso
c      print *,'vd = ',vd
      rcd = rc
      return
      end
*-------------------------------------------------------------
      subroutine initGDP08
      implicit none
      real*4 V0, VE,  VT, VTE, R0,  R0A, R0AP, A0, VC, R0AE,MDAE,MDA0
      real*4 WV0,WVE, WVT,WVTE,RWV, RWVA,RWVP, AWV,WVC,WVE0,WVEW,AWVT
      real*4 WS0,WSE, WST,WSTE,RWS, RWSA,RWSP, AWS,WSC,WSE0,WSEW,AWST
      real*4 VSO,VSOE,RSO,RSOA,RSOP,ASO, VSOA, VSAP
      real*4 WSO,WSOE,RWO,RWOA,RWOP,AWO, WSOA, WSAP
      real*4 RC0,RCA, RCAP
      common/GDP08Para/
     &        V0, VE,  VT, VTE, R0,  R0A, R0AP, A0, VC, R0AE,MDAE,MDA0,
     &        WV0,WVE, WVT,WVTE,RWV, RWVA,RWVP, AWV,WVC,WVE0,WVEW,AWVT,
     &        WS0,WSE, WST,WSTE,RWS, RWSA,RWSP, AWS,WSC,WSE0,WSEW,AWST,
     &        VSO,VSOE,RSO,RSOA,RSOP,ASO, VSOA, VSAP,
     &        WSO,WSOE,RWO,RWOA,RWOP,AWO, WSOA, WSAP,
     &        RC0, RCA, RCAP

      V0  = 0.0d0
      VE  = 0.0d0
      VT  = 0.0d0
      VTE = 0.0d0
      R0  = 0.0d0
      R0A = 0.0d0
      R0Ap= 0.0d0
      A0  = 0.0d0
      VC  = 1.0d0
      R0AE= 0.0d0
      MDAE= 0.0d0
      MDA0= 0.0d0

      WV0 = 0.0d0
      WVE = 0.0d0
      WVT = 0.0d0
      WVTE= 0.0d0
      RWV = 0.0d0
      RWVA= 0.0d0
      RWVP= 0.0d0
      AWV = 0.0d0
      WVC = 1.0d0
      WVE0= 0.0d0
      WVEW= 0.0d0
      AWVT= 0.0d0

      WS0 = 0.0d0
      WSE = 0.0d0
      WST = 0.0d0
      WSTE= 0.0d0
      RWS = 0.0d0
      RWSA= 0.0d0
      RWSP= 0.0d0
      AWS = 0.0d0
      WSC = 1.0d0
      WSE0= 0.0d0
      WSEW= 0.0d0
      AWST= 0.0d0

      VSO = 0.0d0
      VSOE= 0.0d0
      RSO = 1.2d0
      RSOA= 0.0d0
      RSOP= 0.0d0
      ASO = 0.6d0
      VSOA= 0.0d0
      VSAp= 0.0d0

      WSO = 0.0d0
      WSOE= 0.0d0
      RWO = 1.2d0
      RWOA= 0.0d0
      RWOP= 0.0d0
      AWO = 0.6d0
      WSOA= 0.0d0
      WSAp= 0.0d0

      RC0 = 0.0d0
      RCA = 0.0d0
      RCAP= 0.0d0
      return
      end
      

      
      
      subroutine anuc2(iz,a)
      character*2 a
      if(iz.eq.1) a = 'H '
      if(iz.eq.2) a = 'He'
      if(iz.eq.3) a = 'Li'
      if(iz.eq.4) a = 'Be'
      if(iz.eq.5) a = 'B '
      if(iz.eq.6) a = 'C '
      if(iz.eq.7) a = 'N '
      if(iz.eq.8) a = 'O '
      if(iz.eq.9) a = 'F '
      if(iz.eq.10) a = 'Ne'
      if(iz.eq.11) a = 'Na'
      if(iz.eq.12) a = 'Mg'
      if(iz.eq.13) a = 'Al'
      if(iz.eq.14) a = 'Si'
      if(iz.eq.15) a = 'P '
      if(iz.eq.16) a = 'S '
      if(iz.eq.17) a = 'Cl'
      if(iz.eq.18) a = 'Ar'
      if(iz.eq.19) a = 'K '
      if(iz.eq.20) a = 'Ca'
      if(iz.eq.21) a = 'Sc'
      if(iz.eq.22) a = 'Ti'
      if(iz.eq.23) a = 'V '
      if(iz.eq.24) a = 'Cr'
      if(iz.eq.25) a = 'Mn'
      if(iz.eq.26) a = 'Fe'
      if(iz.eq.27) a = 'Co'
      if(iz.eq.28) a = 'Ni'
      if(iz.eq.29) a = 'Cu'
      if(iz.eq.30) a = 'Zn'
      if(iz.eq.31) a = 'Ga'
      if(iz.eq.32) a = 'Ge'
      if(iz.eq.33) a = 'As'
      if(iz.eq.34) a = 'Se'
      if(iz.eq.35) a = 'Br'
      if(iz.eq.36) a = 'Kr'
      if(iz.eq.37) a = 'Rb'
      if(iz.eq.38) a = 'Sr'
      if(iz.eq.39) a = 'Y '
      if(iz.eq.40) a = 'Zr'
      if(iz.eq.41) a = 'Nb'
      if(iz.eq.42) a = 'Mo'
      if(iz.eq.43) a = 'Tc'
      if(iz.eq.44) a = 'Ru'
      if(iz.eq.45) a = 'Rh'
      if(iz.eq.46) a = 'Pd'
      if(iz.eq.47) a = 'Ag'
      if(iz.eq.48) a = 'Cd'
      if(iz.eq.49) a = 'In'
      if(iz.eq.50) a = 'Sn'
      if(iz.eq.51) a = 'Sb'
      if(iz.eq.52) a = 'Te'
      if(iz.eq.53) a = 'I '
      if(iz.eq.54) a = 'Xe'
      if(iz.eq.55) a = 'Cs'
      if(iz.eq.56) a = 'Ba'
      if(iz.eq.57) a = 'La'
      if(iz.eq.58) a = 'Ce'
      if(iz.eq.59) a = 'Pr'
      if(iz.eq.60) a = 'Nd'
      if(iz.eq.61) a = 'Pm'
      if(iz.eq.62) a = 'Sm'
      if(iz.eq.63) a = 'Eu'
      if(iz.eq.64) a = 'Gd'
      if(iz.eq.65) a = 'Tb'
      if(iz.eq.66) a = 'Dy'
      if(iz.eq.67) a = 'Ho'
      if(iz.eq.68) a = 'Er'
      if(iz.eq.69) a = 'Tm'
      if(iz.eq.70) a = 'Yb'
      if(iz.eq.71) a = 'Lu'
      if(iz.eq.72) a = 'Hf'
      if(iz.eq.73) a = 'Ta'
      if(iz.eq.74) a = 'W '
      if(iz.eq.75) a = 'Re'
      if(iz.eq.76) a = 'Os'
      if(iz.eq.77) a = 'Ir'
      if(iz.eq.78) a = 'Pt'
      if(iz.eq.79) a = 'Au'
      if(iz.eq.80) a = 'Hg'
      if(iz.eq.81) a = 'Tl'
      if(iz.eq.82) a = 'Pb'
      if(iz.eq.83) a = 'Bi'
      if(iz.eq.84) a = 'Po'
      if(iz.eq.85) a = 'At'
      if(iz.eq.86) a = 'Rn'
      if(iz.eq.87) a = 'Fr'
      if(iz.eq.88) a = 'Ra'
      if(iz.eq.89) a = 'Ac'
      if(iz.eq.90) a = 'Th'
      if(iz.eq.91) a = 'Pa'
      if(iz.eq.92) a = 'U '
      if(iz.eq.93) a = 'Np'
      if(iz.eq.94) a = 'Pu'
      if(iz.eq.95) a = 'Am'
      if(iz.eq.96) a = 'Cm'
      if(iz.eq.97) a = 'Bk'
      if(iz.eq.98) a = 'Cf'
      if(iz.eq.99) a = 'Es'
      if(iz.eq.100) a = 'Fm'
      if(iz.eq.101) a = 'Md'
      if(iz.eq.102) a = 'No'
      if(iz.eq.103) a = 'Lr'
      if(iz.eq.104) a = 'Rf'
      if(iz.eq.105) a = 'Db'
      if(iz.eq.106) a = 'Sg'
      if(iz.eq.107) a = 'Bh'
      if(iz.eq.108) a = 'Hs'
      if(iz.eq.109) a = 'Mt'
      if(iz.eq.110) a = 'Ds'
      if(iz.eq.111) a = '11'
      if(iz.eq.112) a = '12'
      if(iz.eq.113) a = '13'
      if(iz.eq.114) a = '14'
      if(iz.eq.115) a = '15'
      if(iz.eq.116) a = '16'
      if(iz.eq.117) a = '17'
      if(iz.eq.118) a = '18'
      if(iz.eq.119) a = '19'
      if(iz.eq.120) a = '20'
      return
      end          
      
c      common/caud11/be(150,200),bee(150,200),iaud(150,200)
c100   continue
c      print 101
c101   format('ia,iz')
c      read(5,*) ia,iz
c      in = ia-iz
c      print 102,be(iz,in),bee(iz,in)
c102   format('BE is ',f10.4,' +/-',f8.4,' MeV')
c      go to 100
c      end

      block data
cbab Based on private Communication April 2011 by Georges Audi and Wang Meng
cbab z n binding energy and error in MeV
cbab iaud=1 means the values are initialized in this table
      common/caud11/be(150,200),bee(150,200),iaud(150,200)
      data be(  1,  1),bee(  1,  1),iaud(  1,  1)/    2.2246, 0.0000,1/
      data be(  1,  2),bee(  1,  2),iaud(  1,  2)/    8.4818, 0.0000,1/
      data be(  1,  3),bee(  1,  3),iaud(  1,  3)/    6.8818, 0.1000,1/
      data be(  1,  4),bee(  1,  4),iaud(  1,  4)/    6.6818, 0.0894,1/
      data be(  1,  5),bee(  1,  5),iaud(  1,  5)/    5.7698, 0.2541,1/
      data be(  1,  6),bee(  1,  6),iaud(  1,  6)/    7.7818, 0.3516,1/
      data be(  2,  1),bee(  2,  1),iaud(  2,  1)/    7.7180, 0.0000,1/
      data be(  2,  2),bee(  2,  2),iaud(  2,  2)/   28.2957, 0.0000,1/
      data be(  2,  3),bee(  2,  3),iaud(  2,  3)/   27.5607, 0.0200,1/
      data be(  2,  4),bee(  2,  4),iaud(  2,  4)/   29.2704, 0.0004,1/
      data be(  2,  5),bee(  2,  5),iaud(  2,  5)/   28.8674, 0.0082,1/
      data be(  2,  6),bee(  2,  6),iaud(  2,  6)/   31.3962, 0.0002,1/
      data be(  2,  7),bee(  2,  7),iaud(  2,  7)/   31.2962, 0.0600,1/
      data be(  2,  8),bee(  2,  8),iaud(  2,  8)/   30.3386, 0.0700,1/
      data be(  3,  1),bee(  3,  1),iaud(  3,  1)/    4.6150, 0.2121,1/
      data be(  3,  2),bee(  3,  2),iaud(  3,  2)/   26.3307, 0.0500,1/
      data be(  3,  3),bee(  3,  3),iaud(  3,  3)/   31.9940, 0.0000,1/
      data be(  3,  4),bee(  3,  4),iaud(  3,  4)/   39.2451, 0.0000,1/
      data be(  3,  5),bee(  3,  5),iaud(  3,  5)/   41.2777, 0.0000,1/
      data be(  3,  6),bee(  3,  6),iaud(  3,  6)/   45.3399, 0.0001,1/
      data be(  3,  7),bee(  3,  7),iaud(  3,  7)/   45.3135, 0.0127,1/
      data be(  3,  8),bee(  3,  8),iaud(  3,  8)/   45.7090, 0.0011,1/
      data be(  3,  9),bee(  3,  9),iaud(  3,  9)/   45.5890, 0.0150,1/
      data be(  3, 10),bee(  3, 10),iaud(  3, 10)/   44.2390, 0.3500,1/
      data be(  4,  2),bee(  4,  2),iaud(  4,  2)/   26.9235, 0.0054,1/
      data be(  4,  3),bee(  4,  3),iaud(  4,  3)/   37.6008, 0.0001,1/
      data be(  4,  4),bee(  4,  4),iaud(  4,  4)/   56.4995, 0.0000,1/
      data be(  4,  5),bee(  4,  5),iaud(  4,  5)/   58.1640, 0.0001,1/
      data be(  4,  6),bee(  4,  6),iaud(  4,  6)/   64.9763, 0.0001,1/
      data be(  4,  7),bee(  4,  7),iaud(  4,  7)/   65.4779, 0.0002,1/
      data be(  4,  8),bee(  4,  8),iaud(  4,  8)/   68.6498, 0.0042,1/
      data be(  4,  9),bee(  4,  9),iaud(  4,  9)/   68.5898, 0.0108,1/
      data be(  4, 10),bee(  4, 10),iaud(  4, 10)/   69.9146, 0.1322,1/
      data be(  5,  2),bee(  5,  2),iaud(  5,  2)/   24.7168, 0.0707,1/
      data be(  5,  3),bee(  5,  3),iaud(  5,  3)/   37.7372, 0.0010,1/
      data be(  5,  4),bee(  5,  4),iaud(  5,  4)/   56.3136, 0.0009,1/
      data be(  5,  5),bee(  5,  5),iaud(  5,  5)/   64.7507, 0.0004,1/
      data be(  5,  6),bee(  5,  6),iaud(  5,  6)/   76.2048, 0.0004,1/
      data be(  5,  7),bee(  5,  7),iaud(  5,  7)/   79.5752, 0.0014,1/
      data be(  5,  8),bee(  5,  8),iaud(  5,  8)/   84.4532, 0.0011,1/
      data be(  5,  9),bee(  5,  9),iaud(  5,  9)/   85.4230, 0.0212,1/
      data be(  5, 10),bee(  5, 10),iaud(  5, 10)/   88.1940, 0.0224,1/
      data be(  5, 11),bee(  5, 11),iaud(  5, 11)/   88.1090, 0.0269,1/
      data be(  5, 12),bee(  5, 12),iaud(  5, 12)/   89.5298, 0.1709,1/
      data be(  6,  2),bee(  6,  2),iaud(  6,  2)/   24.7940, 0.0231,1/
      data be(  6,  3),bee(  6,  3),iaud(  6,  3)/   39.0383, 0.0021,1/
      data be(  6,  4),bee(  6,  4),iaud(  6,  4)/   60.3204, 0.0004,1/
      data be(  6,  5),bee(  6,  5),iaud(  6,  5)/   73.4401, 0.0009,1/
      data be(  6,  6),bee(  6,  6),iaud(  6,  6)/   92.1617, 0.0000,1/
      data be(  6,  7),bee(  6,  7),iaud(  6,  7)/   97.1080, 0.0000,1/
      data be(  6,  8),bee(  6,  8),iaud(  6,  8)/  105.2845, 0.0000,1/
      data be(  6,  9),bee(  6,  9),iaud(  6,  9)/  106.5025, 0.0008,1/
      data be(  6, 10),bee(  6, 10),iaud(  6, 10)/  110.7529, 0.0036,1/
      data be(  6, 11),bee(  6, 11),iaud(  6, 11)/  111.4861, 0.0174,1/
      data be(  6, 12),bee(  6, 12),iaud(  6, 12)/  115.6701, 0.0300,1/
      data be(  6, 13),bee(  6, 13),iaud(  6, 13)/  116.2469, 0.0984,1/
      data be(  6, 14),bee(  6, 14),iaud(  6, 14)/  119.1747, 0.2392,1/
      data be(  7,  3),bee(  7,  3),iaud(  7,  3)/   36.4366, 0.4000,1/
      data be(  7,  4),bee(  7,  4),iaud(  7,  4)/   59.0045, 0.0462,1/
      data be(  7,  5),bee(  7,  5),iaud(  7,  5)/   74.0413, 0.0010,1/
      data be(  7,  6),bee(  7,  6),iaud(  7,  6)/   94.1052, 0.0003,1/
      data be(  7,  7),bee(  7,  7),iaud(  7,  7)/  104.6586, 0.0000,1/
      data be(  7,  8),bee(  7,  8),iaud(  7,  8)/  115.4919, 0.0000,1/
      data be(  7,  9),bee(  7,  9),iaud(  7,  9)/  117.9810, 0.0026,1/
      data be(  7, 10),bee(  7, 10),iaud(  7, 10)/  123.8659, 0.0150,1/
      data be(  7, 11),bee(  7, 11),iaud(  7, 11)/  126.6941, 0.0186,1/
      data be(  7, 12),bee(  7, 12),iaud(  7, 12)/  132.0216, 0.0164,1/
      data be(  7, 13),bee(  7, 13),iaud(  7, 13)/  134.1848, 0.0556,1/
      data be(  7, 14),bee(  7, 14),iaud(  7, 14)/  138.7701, 0.0950,1/
      data be(  7, 15),bee(  7, 15),iaud(  7, 15)/  140.0539, 0.1922,1/
      data be(  8,  4),bee(  8,  4),iaud(  8,  4)/   58.5491, 0.0185,1/
      data be(  8,  5),bee(  8,  5),iaud(  8,  5)/   75.5536, 0.0095,1/
      data be(  8,  6),bee(  8,  6),iaud(  8,  6)/   98.7322, 0.0001,1/
      data be(  8,  7),bee(  8,  7),iaud(  8,  7)/  111.9554, 0.0005,1/
      data be(  8,  8),bee(  8,  8),iaud(  8,  8)/  127.6193, 0.0000,1/
      data be(  8,  9),bee(  8,  9),iaud(  8,  9)/  131.7624, 0.0000,1/
      data be(  8, 10),bee(  8, 10),iaud(  8, 10)/  139.8078, 0.0000,1/
      data be(  8, 11),bee(  8, 11),iaud(  8, 11)/  143.7627, 0.0028,1/
      data be(  8, 12),bee(  8, 12),iaud(  8, 12)/  151.3714, 0.0009,1/
      data be(  8, 13),bee(  8, 13),iaud(  8, 13)/  155.1769, 0.0120,1/
      data be(  8, 14),bee(  8, 14),iaud(  8, 14)/  162.0286, 0.0569,1/
      data be(  8, 15),bee(  8, 15),iaud(  8, 15)/  164.7609, 0.0900,1/
      data be(  8, 16),bee(  8, 16),iaud(  8, 16)/  168.9524, 0.1099,1/
      data be(  8, 17),bee(  8, 17),iaud(  8, 17)/  168.1765, 0.1109,1/
      data be(  9,  5),bee(  9,  5),iaud(  9,  5)/   73.9936, 0.0411,1/
      data be(  9,  6),bee(  9,  6),iaud(  9,  6)/   97.2157, 0.0711,1/
      data be(  9,  7),bee(  9,  7),iaud(  9,  7)/  111.4197, 0.0083,1/
      data be(  9,  8),bee(  9,  8),iaud(  9,  8)/  128.2196, 0.0003,1/
      data be(  9,  9),bee(  9,  9),iaud(  9,  9)/  137.3695, 0.0005,1/
      data be(  9, 10),bee(  9, 10),iaud(  9, 10)/  147.8014, 0.0000,1/
      data be(  9, 11),bee(  9, 11),iaud(  9, 11)/  154.4027, 0.0000,1/
      data be(  9, 12),bee(  9, 12),iaud(  9, 12)/  162.5042, 0.0018,1/
      data be(  9, 13),bee(  9, 13),iaud(  9, 13)/  167.7345, 0.0124,1/
      data be(  9, 14),bee(  9, 14),iaud(  9, 14)/  175.2896, 0.1001,1/
      data be(  9, 15),bee(  9, 15),iaud(  9, 15)/  179.1110, 0.0723,1/
      data be(  9, 16),bee(  9, 16),iaud(  9, 16)/  183.3783, 0.0755,1/
      data be(  9, 17),bee(  9, 17),iaud(  9, 17)/  184.1481, 0.0773,1/
      data be(  9, 18),bee(  9, 18),iaud(  9, 18)/  186.2548, 0.1900,1/
      data be( 10,  6),bee( 10,  6),iaud( 10,  6)/   97.3212, 0.0205,1/
      data be( 10,  7),bee( 10,  7),iaud( 10,  7)/  112.8885, 0.0004,1/
      data be( 10,  8),bee( 10,  8),iaud( 10,  8)/  132.1426, 0.0004,1/
      data be( 10,  9),bee( 10,  9),iaud( 10,  9)/  143.7795, 0.0002,1/
      data be( 10, 10),bee( 10, 10),iaud( 10, 10)/  160.6448, 0.0000,1/
      data be( 10, 11),bee( 10, 11),iaud( 10, 11)/  167.4060, 0.0000,1/
      data be( 10, 12),bee( 10, 12),iaud( 10, 12)/  177.7702, 0.0000,1/
      data be( 10, 13),bee( 10, 13),iaud( 10, 13)/  182.9709, 0.0001,1/
      data be( 10, 14),bee( 10, 14),iaud( 10, 14)/  191.8398, 0.0005,1/
      data be( 10, 15),bee( 10, 15),iaud( 10, 15)/  196.0193, 0.0447,1/
      data be( 10, 16),bee( 10, 16),iaud( 10, 16)/  201.5513, 0.0182,1/
      data be( 10, 17),bee( 10, 17),iaud( 10, 17)/  203.0663, 0.0652,1/
      data be( 10, 18),bee( 10, 18),iaud( 10, 18)/  206.8818, 0.0958,1/
      data be( 10, 19),bee( 10, 19),iaud( 10, 19)/  207.8449, 0.0997,1/
      data be( 10, 20),bee( 10, 20),iaud( 10, 20)/  211.2765, 0.2804,1/
      data be( 10, 21),bee( 10, 21),iaud( 10, 21)/  211.5670, 1.6199,1/
      data be( 11,  7),bee( 11,  7),iaud( 11,  7)/  111.6375, 0.1705,1/
      data be( 11,  8),bee( 11,  8),iaud( 11,  8)/  131.8214, 0.0120,1/
      data be( 11,  9),bee( 11,  9),iaud( 11,  9)/  145.9703, 0.0010,1/
      data be( 11, 10),bee( 11, 10),iaud( 11, 10)/  163.0765, 0.0003,1/
      data be( 11, 11),bee( 11, 11),iaud( 11, 11)/  174.1447, 0.0002,1/
      data be( 11, 12),bee( 11, 12),iaud( 11, 12)/  186.5643, 0.0000,1/
      data be( 11, 13),bee( 11, 13),iaud( 11, 13)/  193.5238, 0.0000,1/
      data be( 11, 14),bee( 11, 14),iaud( 11, 14)/  202.5349, 0.0012,1/
      data be( 11, 15),bee( 11, 15),iaud( 11, 15)/  208.1092, 0.0035,1/
      data be( 11, 16),bee( 11, 16),iaud( 11, 16)/  214.8374, 0.0037,1/
      data be( 11, 17),bee( 11, 17),iaud( 11, 17)/  218.3794, 0.0102,1/
      data be( 11, 18),bee( 11, 18),iaud( 11, 18)/  222.7927, 0.0121,1/
      data be( 11, 19),bee( 11, 19),iaud( 11, 19)/  225.1596, 0.0233,1/
      data be( 11, 20),bee( 11, 20),iaud( 11, 20)/  229.0654, 0.1029,1/
      data be( 11, 21),bee( 11, 21),iaud( 11, 21)/  230.8667, 0.1202,1/
      data be( 12,  7),bee( 12,  7),iaud( 12,  7)/  112.1385, 0.0500,1/
      data be( 12,  8),bee( 12,  8),iaud( 12,  8)/  134.4794, 0.0270,1/
      data be( 12,  9),bee( 12,  9),iaud( 12,  9)/  149.1967, 0.0164,1/
      data be( 12, 10),bee( 12, 10),iaud( 12, 10)/  168.5808, 0.0003,1/
      data be( 12, 11),bee( 12, 11),iaud( 12, 11)/  181.7254, 0.0007,1/
      data be( 12, 12),bee( 12, 12),iaud( 12, 12)/  198.2570, 0.0000,1/
      data be( 12, 13),bee( 12, 13),iaud( 12, 13)/  205.5876, 0.0001,1/
      data be( 12, 14),bee( 12, 14),iaud( 12, 14)/  216.6806, 0.0000,1/
      data be( 12, 15),bee( 12, 15),iaud( 12, 15)/  223.1240, 0.0001,1/
      data be( 12, 16),bee( 12, 16),iaud( 12, 16)/  231.6274, 0.0020,1/
      data be( 12, 17),bee( 12, 17),iaud( 12, 17)/  235.2829, 0.0114,1/
      data be( 12, 18),bee( 12, 18),iaud( 12, 18)/  241.6434, 0.0131,1/
      data be( 12, 19),bee( 12, 19),iaud( 12, 19)/  244.0130, 0.0168,1/
      data be( 12, 20),bee( 12, 20),iaud( 12, 20)/  249.8056, 0.0177,1/
      data be( 12, 21),bee( 12, 21),iaud( 12, 21)/  252.0182, 0.0223,1/
      data be( 12, 22),bee( 12, 22),iaud( 12, 22)/  256.4762, 0.0903,1/
      data be( 12, 23),bee( 12, 23),iaud( 12, 23)/  257.4681, 0.1798,1/
      data be( 12, 24),bee( 12, 24),iaud( 12, 24)/  260.7991, 0.4602,1/
      data be( 13, 10),bee( 13, 10),iaud( 13, 10)/  168.7217, 0.0003,1/
      data be( 13, 11),bee( 13, 11),iaud( 13, 11)/  183.5900, 0.0010,1/
      data be( 13, 12),bee( 13, 12),iaud( 13, 12)/  200.5286, 0.0005,1/
      data be( 13, 13),bee( 13, 13),iaud( 13, 13)/  211.8939, 0.0001,1/
      data be( 13, 14),bee( 13, 14),iaud( 13, 14)/  224.9518, 0.0001,1/
      data be( 13, 15),bee( 13, 15),iaud( 13, 15)/  232.6768, 0.0001,1/
      data be( 13, 16),bee( 13, 16),iaud( 13, 16)/  242.1130, 0.0012,1/
      data be( 13, 17),bee( 13, 17),iaud( 13, 17)/  247.8415, 0.0140,1/
      data be( 13, 18),bee( 13, 18),iaud( 13, 18)/  254.9953, 0.0203,1/
      data be( 13, 19),bee( 13, 19),iaud( 13, 19)/  259.1736, 0.0860,1/
      data be( 13, 20),bee( 13, 20),iaud( 13, 20)/  264.6202, 0.0683,1/
      data be( 13, 21),bee( 13, 21),iaud( 13, 21)/  267.3014, 0.0599,1/
      data be( 13, 22),bee( 13, 22),iaud( 13, 22)/  272.5454, 0.0699,1/
      data be( 13, 23),bee( 13, 23),iaud( 13, 23)/  274.4465, 0.0997,1/
      data be( 13, 24),bee( 13, 24),iaud( 13, 24)/  278.6587, 0.1202,1/
      data be( 13, 25),bee( 13, 25),iaud( 13, 25)/  280.3297, 0.2496,1/
      data be( 14, 10),bee( 14, 10),iaud( 14, 10)/  172.0041, 0.0195,1/
      data be( 14, 11),bee( 14, 11),iaud( 14, 11)/  187.0034, 0.0100,1/
      data be( 14, 12),bee( 14, 12),iaud( 14, 12)/  206.0424, 0.0001,1/
      data be( 14, 13),bee( 14, 13),iaud( 14, 13)/  219.3571, 0.0001,1/
      data be( 14, 14),bee( 14, 14),iaud( 14, 14)/  236.5368, 0.0000,1/
      data be( 14, 15),bee( 14, 15),iaud( 14, 15)/  245.0104, 0.0000,1/
      data be( 14, 16),bee( 14, 16),iaud( 14, 16)/  255.6196, 0.0000,1/
      data be( 14, 17),bee( 14, 17),iaud( 14, 17)/  262.2070, 0.0000,1/
      data be( 14, 18),bee( 14, 18),iaud( 14, 18)/  271.4070, 0.0003,1/
      data be( 14, 19),bee( 14, 19),iaud( 14, 19)/  275.9149, 0.0007,1/
      data be( 14, 20),bee( 14, 20),iaud( 14, 20)/  283.4287, 0.0141,1/
      data be( 14, 21),bee( 14, 21),iaud( 14, 21)/  285.9037, 0.0384,1/
      data be( 14, 22),bee( 14, 22),iaud( 14, 22)/  292.0322, 0.0568,1/
      data be( 14, 23),bee( 14, 23),iaud( 14, 23)/  294.2802, 0.0830,1/
      data be( 14, 24),bee( 14, 24),iaud( 14, 24)/  299.9275, 0.0698,1/
      data be( 14, 25),bee( 14, 25),iaud( 14, 25)/  301.5082, 0.0904,1/
      data be( 14, 26),bee( 14, 26),iaud( 14, 26)/  306.4702, 0.2301,1/
      data be( 14, 27),bee( 14, 27),iaud( 14, 27)/  307.8515, 0.3698,1/
      data be( 15, 12),bee( 15, 12),iaud( 15, 12)/  206.9062, 0.0264,1/
      data be( 15, 13),bee( 15, 13),iaud( 15, 13)/  221.4107, 0.0011,1/
      data be( 15, 14),bee( 15, 14),iaud( 15, 14)/  239.2856, 0.0006,1/
      data be( 15, 15),bee( 15, 15),iaud( 15, 15)/  250.6049, 0.0003,1/
      data be( 15, 16),bee( 15, 16),iaud( 15, 16)/  262.9162, 0.0000,1/
      data be( 15, 17),bee( 15, 17),iaud( 15, 17)/  270.8518, 0.0000,1/
      data be( 15, 18),bee( 15, 18),iaud( 15, 18)/  280.9556, 0.0011,1/
      data be( 15, 19),bee( 15, 19),iaud( 15, 19)/  287.2383, 0.0008,1/
      data be( 15, 20),bee( 15, 20),iaud( 15, 20)/  295.6187, 0.0019,1/
      data be( 15, 21),bee( 15, 21),iaud( 15, 21)/  299.0833, 0.0131,1/
      data be( 15, 22),bee( 15, 22),iaud( 15, 22)/  305.8994, 0.0380,1/
      data be( 15, 23),bee( 15, 23),iaud( 15, 23)/  309.6176, 0.0713,1/
      data be( 15, 24),bee( 15, 24),iaud( 15, 24)/  315.8413, 0.0810,1/
      data be( 15, 25),bee( 15, 25),iaud( 15, 25)/  319.1919, 0.1112,1/
      data be( 15, 26),bee( 15, 26),iaud( 15, 26)/  324.1686, 0.0801,1/
      data be( 15, 27),bee( 15, 27),iaud( 15, 27)/  326.2504, 0.2096,1/
      data be( 15, 28),bee( 15, 28),iaud( 15, 28)/  330.6516, 0.3698,1/
      data be( 16, 12),bee( 16, 12),iaud( 16, 12)/  209.4061, 0.1600,1/
      data be( 16, 13),bee( 16, 13),iaud( 16, 13)/  224.7078, 0.0500,1/
      data be( 16, 14),bee( 16, 14),iaud( 16, 14)/  243.6843, 0.0030,1/
      data be( 16, 15),bee( 16, 15),iaud( 16, 15)/  256.7363, 0.0010,1/
      data be( 16, 16),bee( 16, 16),iaud( 16, 16)/  271.7801, 0.0000,1/
      data be( 16, 17),bee( 16, 17),iaud( 16, 17)/  280.4218, 0.0000,1/
      data be( 16, 18),bee( 16, 18),iaud( 16, 18)/  291.8389, 0.0001,1/
      data be( 16, 19),bee( 16, 19),iaud( 16, 19)/  298.8247, 0.0000,1/
      data be( 16, 20),bee( 16, 20),iaud( 16, 20)/  308.7140, 0.0002,1/
      data be( 16, 21),bee( 16, 21),iaud( 16, 21)/  313.0176, 0.0002,1/
      data be( 16, 22),bee( 16, 22),iaud( 16, 22)/  321.0537, 0.0072,1/
      data be( 16, 23),bee( 16, 23),iaud( 16, 23)/  325.4262, 0.0500,1/
      data be( 16, 24),bee( 16, 24),iaud( 16, 24)/  333.2655, 0.1136,1/
      data be( 16, 25),bee( 16, 25),iaud( 16, 25)/  337.4952, 0.0613,1/
      data be( 16, 26),bee( 16, 26),iaud( 16, 26)/  344.1553, 0.1242,1/
      data be( 16, 27),bee( 16, 27),iaud( 16, 27)/  346.6194, 0.0997,1/
      data be( 16, 28),bee( 16, 28),iaud( 16, 28)/  351.7202, 0.1397,1/
      data be( 16, 29),bee( 16, 29),iaud( 16, 29)/  354.6813, 0.6903,1/
      data be( 17, 14),bee( 17, 14),iaud( 17, 14)/  243.9771, 0.0500,1/
      data be( 17, 15),bee( 17, 15),iaud( 17, 15)/  258.3174, 0.0009,1/
      data be( 17, 16),bee( 17, 16),iaud( 17, 16)/  274.0569, 0.0004,1/
      data be( 17, 17),bee( 17, 17),iaud( 17, 17)/  285.5649, 0.0001,1/
      data be( 17, 18),bee( 17, 18),iaud( 17, 18)/  298.2097, 0.0000,1/
      data be( 17, 19),bee( 17, 19),iaud( 17, 19)/  306.7895, 0.0000,1/
      data be( 17, 20),bee( 17, 20),iaud( 17, 20)/  317.1004, 0.0000,1/
      data be( 17, 21),bee( 17, 21),iaud( 17, 21)/  323.2083, 0.0001,1/
      data be( 17, 22),bee( 17, 22),iaud( 17, 22)/  331.2817, 0.0017,1/
      data be( 17, 23),bee( 17, 23),iaud( 17, 23)/  337.1106, 0.0321,1/
      data be( 17, 24),bee( 17, 24),iaud( 17, 24)/  344.9313, 0.0687,1/
      data be( 17, 25),bee( 17, 25),iaud( 17, 25)/  350.6085, 0.1438,1/
      data be( 17, 26),bee( 17, 26),iaud( 17, 26)/  358.1749, 0.2058,1/
      data be( 17, 27),bee( 17, 27),iaud( 17, 27)/  362.4433, 0.1375,1/
      data be( 17, 28),bee( 17, 28),iaud( 17, 28)/  368.2691, 0.0997,1/
      data be( 17, 29),bee( 17, 29),iaud( 17, 29)/  371.7910, 0.1602,1/
      data be( 18, 14),bee( 18, 14),iaud( 18, 14)/  246.4003, 0.0018,1/
      data be( 18, 15),bee( 18, 15),iaud( 18, 15)/  261.6555, 0.0004,1/
      data be( 18, 16),bee( 18, 16),iaud( 18, 16)/  278.7199, 0.0003,1/
      data be( 18, 17),bee( 18, 17),iaud( 18, 17)/  291.4612, 0.0007,1/
      data be( 18, 18),bee( 18, 18),iaud( 18, 18)/  306.7167, 0.0000,1/
      data be( 18, 19),bee( 18, 19),iaud( 18, 19)/  315.5042, 0.0002,1/
      data be( 18, 20),bee( 18, 20),iaud( 18, 20)/  327.3426, 0.0002,1/
      data be( 18, 21),bee( 18, 21),iaud( 18, 21)/  333.9413, 0.0050,1/
      data be( 18, 22),bee( 18, 22),iaud( 18, 22)/  343.8104, 0.0000,1/
      data be( 18, 23),bee( 18, 23),iaud( 18, 23)/  349.9093, 0.0003,1/
      data be( 18, 24),bee( 18, 24),iaud( 18, 24)/  359.3358, 0.0058,1/
      data be( 18, 25),bee( 18, 25),iaud( 18, 25)/  364.9942, 0.0053,1/
      data be( 18, 26),bee( 18, 26),iaud( 18, 26)/  373.7289, 0.0016,1/
      data be( 18, 27),bee( 18, 27),iaud( 18, 27)/  378.8979, 0.0005,1/
      data be( 18, 28),bee( 18, 28),iaud( 18, 28)/  386.9278, 0.0408,1/
      data be( 18, 29),bee( 18, 29),iaud( 18, 29)/  390.4794, 0.0898,1/
      data be( 19, 16),bee( 19, 16),iaud( 19, 16)/  278.8044, 0.0005,1/
      data be( 19, 17),bee( 19, 17),iaud( 19, 17)/  293.1202, 0.0004,1/
      data be( 19, 18),bee( 19, 18),iaud( 19, 18)/  308.5743, 0.0001,1/
      data be( 19, 19),bee( 19, 19),iaud( 19, 19)/  320.6461, 0.0002,1/
      data be( 19, 20),bee( 19, 20),iaud( 19, 20)/  333.7240, 0.0000,1/
      data be( 19, 21),bee( 19, 21),iaud( 19, 21)/  341.5236, 0.0000,1/
      data be( 19, 22),bee( 19, 22),iaud( 19, 22)/  351.6190, 0.0000,1/
      data be( 19, 23),bee( 19, 23),iaud( 19, 23)/  359.1527, 0.0001,1/
      data be( 19, 24),bee( 19, 24),iaud( 19, 24)/  368.7774, 0.0004,1/
      data be( 19, 25),bee( 19, 25),iaud( 19, 25)/  376.0548, 0.0004,1/
      data be( 19, 26),bee( 19, 26),iaud( 19, 26)/  384.9603, 0.0005,1/
      data be( 19, 27),bee( 19, 27),iaud( 19, 27)/  391.8299, 0.0007,1/
      data be( 19, 28),bee( 19, 28),iaud( 19, 28)/  400.1963, 0.0025,1/
      data be( 19, 29),bee( 19, 29),iaud( 19, 29)/  404.8439, 0.0024,1/
      data be( 19, 30),bee( 19, 30),iaud( 19, 30)/  410.2419, 0.0026,1/
      data be( 19, 31),bee( 19, 31),iaud( 19, 31)/  414.4377, 0.0103,1/
      data be( 20, 16),bee( 20, 16),iaud( 20, 16)/  281.3716, 0.0400,1/
      data be( 20, 17),bee( 20, 17),iaud( 20, 17)/  296.1275, 0.0008,1/
      data be( 20, 18),bee( 20, 18),iaud( 20, 18)/  313.1216, 0.0003,1/
      data be( 20, 19),bee( 20, 19),iaud( 20, 19)/  326.4171, 0.0006,1/
      data be( 20, 20),bee( 20, 20),iaud( 20, 20)/  342.0522, 0.0000,1/
      data be( 20, 21),bee( 20, 21),iaud( 20, 21)/  350.4150, 0.0001,1/
      data be( 20, 22),bee( 20, 22),iaud( 20, 22)/  361.8957, 0.0002,1/
      data be( 20, 23),bee( 20, 23),iaud( 20, 23)/  369.8286, 0.0002,1/
      data be( 20, 24),bee( 20, 24),iaud( 20, 24)/  380.9599, 0.0003,1/
      data be( 20, 25),bee( 20, 25),iaud( 20, 25)/  388.3747, 0.0004,1/
      data be( 20, 26),bee( 20, 26),iaud( 20, 26)/  398.7737, 0.0023,1/
      data be( 20, 27),bee( 20, 27),iaud( 20, 27)/  406.0500, 0.0022,1/
      data be( 20, 28),bee( 20, 28),iaud( 20, 28)/  415.9998, 0.0022,1/
      data be( 20, 29),bee( 20, 29),iaud( 20, 29)/  421.1462, 0.0022,1/
      data be( 20, 30),bee( 20, 30),iaud( 20, 30)/  427.5070, 0.0034,1/
      data be( 20, 31),bee( 20, 31),iaud( 20, 31)/  431.8637, 0.0937,1/
      data be( 20, 32),bee( 20, 32),iaud( 20, 32)/  436.5707, 0.6986,1/
      data be( 21, 18),bee( 21, 18),iaud( 21, 18)/  312.5248, 0.0240,1/
      data be( 21, 19),bee( 21, 19),iaud( 21, 19)/  326.9467, 0.0028,1/
      data be( 21, 20),bee( 21, 20),iaud( 21, 20)/  343.1372, 0.0001,1/
      data be( 21, 21),bee( 21, 21),iaud( 21, 21)/  354.6872, 0.0002,1/
      data be( 21, 22),bee( 21, 22),iaud( 21, 22)/  366.8255, 0.0018,1/
      data be( 21, 23),bee( 21, 23),iaud( 21, 23)/  376.5250, 0.0018,1/
      data be( 21, 24),bee( 21, 24),iaud( 21, 24)/  387.8504, 0.0006,1/
      data be( 21, 25),bee( 21, 25),iaud( 21, 25)/  396.6110, 0.0006,1/
      data be( 21, 26),bee( 21, 26),iaud( 21, 26)/  407.2594, 0.0019,1/
      data be( 21, 27),bee( 21, 27),iaud( 21, 27)/  415.4967, 0.0051,1/
      data be( 21, 28),bee( 21, 28),iaud( 21, 28)/  425.6255, 0.0031,1/
      data be( 21, 29),bee( 21, 29),iaud( 21, 29)/  431.6829, 0.0152,1/
      data be( 21, 30),bee( 21, 30),iaud( 21, 30)/  438.4355, 0.0201,1/
      data be( 21, 31),bee( 21, 31),iaud( 21, 31)/  443.6358, 0.1933,1/
      data be( 21, 34),bee( 21, 34),iaud( 21, 34)/  457.0737, 0.7360,1/
      data be( 22, 18),bee( 22, 18),iaud( 22, 18)/  314.4915, 0.1600,1/
      data be( 22, 19),bee( 22, 19),iaud( 22, 19)/  328.8026, 0.3633,1/
      data be( 22, 20),bee( 22, 20),iaud( 22, 20)/  346.8884, 0.0003,1/
      data be( 22, 21),bee( 22, 21),iaud( 22, 21)/  359.1762, 0.0069,1/
      data be( 22, 22),bee( 22, 22),iaud( 22, 22)/  375.4749, 0.0007,1/
      data be( 22, 23),bee( 22, 23),iaud( 22, 23)/  385.0060, 0.0008,1/
      data be( 22, 24),bee( 22, 24),iaud( 22, 24)/  398.1960, 0.0003,1/
      data be( 22, 25),bee( 22, 25),iaud( 22, 25)/  407.0767, 0.0003,1/
      data be( 22, 26),bee( 22, 26),iaud( 22, 26)/  418.7034, 0.0003,1/
      data be( 22, 27),bee( 22, 27),iaud( 22, 27)/  426.8457, 0.0003,1/
      data be( 22, 28),bee( 22, 28),iaud( 22, 28)/  437.7850, 0.0004,1/
      data be( 22, 29),bee( 22, 29),iaud( 22, 29)/  444.1575, 0.0006,1/
      data be( 22, 30),bee( 22, 30),iaud( 22, 30)/  451.9658, 0.0071,1/
      data be( 22, 31),bee( 22, 31),iaud( 22, 31)/  457.3982, 0.1001,1/
      data be( 22, 32),bee( 22, 32),iaud( 22, 32)/  464.2339, 0.1247,1/
      data be( 22, 33),bee( 22, 33),iaud( 22, 33)/  468.3812, 0.1521,1/
      data be( 22, 34),bee( 22, 34),iaud( 22, 34)/  473.7189, 0.1959,1/
      data be( 22, 35),bee( 22, 35),iaud( 22, 35)/  476.3973, 0.4554,1/
      data be( 23, 21),bee( 23, 21),iaud( 23, 21)/  361.2604, 0.1211,1/
      data be( 23, 22),bee( 23, 22),iaud( 23, 22)/  377.0951, 0.0170,1/
      data be( 23, 23),bee( 23, 23),iaud( 23, 23)/  390.3610, 0.0003,1/
      data be( 23, 24),bee( 23, 24),iaud( 23, 24)/  403.3636, 0.0003,1/
      data be( 23, 25),bee( 23, 25),iaud( 23, 25)/  413.9057, 0.0011,1/
      data be( 23, 26),bee( 23, 26),iaud( 23, 26)/  425.4615, 0.0009,1/
      data be( 23, 27),bee( 23, 27),iaud( 23, 27)/  434.7960, 0.0009,1/
      data be( 23, 28),bee( 23, 28),iaud( 23, 28)/  445.8471, 0.0009,1/
      data be( 23, 29),bee( 23, 29),iaud( 23, 29)/  453.1584, 0.0009,1/
      data be( 23, 30),bee( 23, 30),iaud( 23, 30)/  461.6358, 0.0031,1/
      data be( 23, 31),bee( 23, 31),iaud( 23, 31)/  467.7493, 0.0150,1/
      data be( 23, 32),bee( 23, 32),iaud( 23, 32)/  475.0811, 0.1000,1/
      data be( 23, 33),bee( 23, 33),iaud( 23, 33)/  480.0799, 0.2042,1/
      data be( 23, 34),bee( 23, 34),iaud( 23, 34)/  486.2599, 0.2330,1/
      data be( 23, 35),bee( 23, 35),iaud( 23, 35)/  490.3512, 0.2480,1/
      data be( 23, 36),bee( 23, 36),iaud( 23, 36)/  495.2803, 0.3074,1/
      data be( 23, 37),bee( 23, 37),iaud( 23, 37)/  498.8623, 0.4747,1/
      data be( 24, 22),bee( 24, 22),iaud( 24, 22)/  381.9778, 0.0200,1/
      data be( 24, 23),bee( 24, 23),iaud( 24, 23)/  395.1342, 0.0140,1/
      data be( 24, 24),bee( 24, 24),iaud( 24, 24)/  411.4685, 0.0073,1/
      data be( 24, 25),bee( 24, 25),iaud( 24, 25)/  422.0512, 0.0024,1/
      data be( 24, 26),bee( 24, 26),iaud( 24, 26)/  435.0515, 0.0009,1/
      data be( 24, 27),bee( 24, 27),iaud( 24, 27)/  444.3122, 0.0009,1/
      data be( 24, 28),bee( 24, 28),iaud( 24, 28)/  456.3502, 0.0006,1/
      data be( 24, 29),bee( 24, 29),iaud( 24, 29)/  464.2894, 0.0006,1/
      data be( 24, 30),bee( 24, 30),iaud( 24, 30)/  474.0085, 0.0006,1/
      data be( 24, 31),bee( 24, 31),iaud( 24, 31)/  480.2548, 0.0006,1/
      data be( 24, 32),bee( 24, 32),iaud( 24, 32)/  488.4987, 0.0018,1/
      data be( 24, 33),bee( 24, 33),iaud( 24, 33)/  493.8129, 0.0019,1/
      data be( 24, 34),bee( 24, 34),iaud( 24, 34)/  501.1948, 0.2029,1/
      data be( 24, 35),bee( 24, 35),iaud( 24, 35)/  505.3229, 0.2443,1/
      data be( 24, 36),bee( 24, 36),iaud( 24, 36)/  512.0066, 0.2134,1/
      data be( 24, 37),bee( 24, 37),iaud( 24, 37)/  515.7547, 0.2546,1/
      data be( 24, 38),bee( 24, 38),iaud( 24, 38)/  522.0599, 0.3370,1/
      data be( 25, 23),bee( 25, 23),iaud( 25, 23)/  397.1880, 0.1118,1/
      data be( 25, 24),bee( 25, 24),iaud( 25, 24)/  413.5505, 0.0240,1/
      data be( 25, 25),bee( 25, 25),iaud( 25, 25)/  426.6347, 0.0009,1/
      data be( 25, 26),bee( 25, 26),iaud( 25, 26)/  440.3222, 0.0009,1/
      data be( 25, 27),bee( 25, 27),iaud( 25, 27)/  450.8567, 0.0019,1/
      data be( 25, 28),bee( 25, 28),iaud( 25, 28)/  462.9102, 0.0006,1/
      data be( 25, 29),bee( 25, 29),iaud( 25, 29)/  471.8490, 0.0011,1/
      data be( 25, 30),bee( 25, 30),iaud( 25, 30)/  482.0755, 0.0004,1/
      data be( 25, 31),bee( 25, 31),iaud( 25, 31)/  489.3459, 0.0004,1/
      data be( 25, 32),bee( 25, 32),iaud( 25, 32)/  497.9925, 0.0015,1/
      data be( 25, 33),bee( 25, 33),iaud( 25, 33)/  504.4052, 0.0027,1/
      data be( 25, 34),bee( 25, 34),iaud( 25, 34)/  512.1743, 0.0023,1/
      data be( 25, 35),bee( 25, 35),iaud( 25, 35)/  517.6882, 0.0023,1/
      data be( 25, 36),bee( 25, 36),iaud( 25, 36)/  524.5338, 0.0023,1/
      data be( 25, 37),bee( 25, 37),iaud( 25, 37)/  529.0439, 0.0026,1/
      data be( 25, 38),bee( 25, 38),iaud( 25, 38)/  535.8213, 0.0037,1/
      data be( 25, 39),bee( 25, 39),iaud( 25, 39)/  539.9947, 0.0035,1/
      data be( 25, 40),bee( 25, 40),iaud( 25, 40)/  546.0443, 0.0037,1/
      data be( 25, 41),bee( 25, 41),iaud( 25, 41)/  549.8987, 0.0112,1/
      data be( 26, 24),bee( 26, 24),iaud( 26, 24)/  417.7134, 0.0600,1/
      data be( 26, 25),bee( 26, 25),iaud( 26, 25)/  431.5176, 0.0150,1/
      data be( 26, 26),bee( 26, 26),iaud( 26, 26)/  447.7005, 0.0066,1/
      data be( 26, 27),bee( 26, 27),iaud( 26, 27)/  458.3855, 0.0017,1/
      data be( 26, 28),bee( 26, 28),iaud( 26, 28)/  471.7640, 0.0005,1/
      data be( 26, 29),bee( 26, 29),iaud( 26, 29)/  481.0621, 0.0005,1/
      data be( 26, 30),bee( 26, 30),iaud( 26, 30)/  492.2592, 0.0004,1/
      data be( 26, 31),bee( 26, 31),iaud( 26, 31)/  499.9052, 0.0005,1/
      data be( 26, 32),bee( 26, 32),iaud( 26, 32)/  509.9498, 0.0005,1/
      data be( 26, 33),bee( 26, 33),iaud( 26, 33)/  516.5308, 0.0005,1/
      data be( 26, 34),bee( 26, 34),iaud( 26, 34)/  525.3508, 0.0034,1/
      data be( 26, 35),bee( 26, 35),iaud( 26, 35)/  530.9297, 0.0026,1/
      data be( 26, 36),bee( 26, 36),iaud( 26, 36)/  538.9586, 0.0028,1/
      data be( 26, 37),bee( 26, 37),iaud( 26, 37)/  543.7876, 0.0043,1/
      data be( 26, 38),bee( 26, 38),iaud( 26, 38)/  551.1928, 0.0049,1/
      data be( 26, 39),bee( 26, 39),iaud( 26, 39)/  555.5161, 0.0068,1/
      data be( 26, 40),bee( 26, 40),iaud( 26, 40)/  562.4338, 0.0041,1/
      data be( 26, 41),bee( 26, 41),iaud( 26, 41)/  566.1296, 0.4156,1/
      data be( 26, 42),bee( 26, 42),iaud( 26, 42)/  571.6368, 0.6986,1/
      data be( 27, 26),bee( 27, 26),iaud( 27, 26)/  449.3151, 0.0017,1/
      data be( 27, 27),bee( 27, 27),iaud( 27, 27)/  462.7371, 0.0005,1/
      data be( 27, 28),bee( 27, 28),iaud( 27, 28)/  476.8284, 0.0005,1/
      data be( 27, 29),bee( 27, 29),iaud( 27, 29)/  486.9102, 0.0006,1/
      data be( 27, 30),bee( 27, 30),iaud( 27, 30)/  498.2867, 0.0006,1/
      data be( 27, 31),bee( 27, 31),iaud( 27, 31)/  506.8596, 0.0012,1/
      data be( 27, 32),bee( 27, 32),iaud( 27, 32)/  517.3135, 0.0005,1/
      data be( 27, 33),bee( 27, 33),iaud( 27, 33)/  524.8054, 0.0005,1/
      data be( 27, 34),bee( 27, 34),iaud( 27, 34)/  534.1246, 0.0009,1/
      data be( 27, 35),bee( 27, 35),iaud( 27, 35)/  540.7296, 0.0200,1/
      data be( 27, 36),bee( 27, 36),iaud( 27, 36)/  549.2092, 0.0200,1/
      data be( 27, 37),bee( 27, 37),iaud( 27, 37)/  555.2327, 0.0200,1/
      data be( 27, 38),bee( 27, 38),iaud( 27, 38)/  562.6974, 0.0021,1/
      data be( 27, 39),bee( 27, 39),iaud( 27, 39)/  567.9921, 0.0140,1/
      data be( 27, 40),bee( 27, 40),iaud( 27, 40)/  574.9768, 0.0064,1/
      data be( 27, 41),bee( 27, 41),iaud( 27, 41)/  579.6384, 0.1304,1/
      data be( 27, 42),bee( 27, 42),iaud( 27, 42)/  585.8002, 0.3353,1/
      data be( 27, 43),bee( 27, 43),iaud( 27, 43)/  589.5120, 0.8383,1/
      data be( 27, 44),bee( 27, 44),iaud( 27, 44)/  595.8135, 0.8384,1/
      data be( 28, 26),bee( 28, 26),iaud( 28, 26)/  453.1682, 0.0500,1/
      data be( 28, 27),bee( 28, 27),iaud( 28, 27)/  467.3519, 0.0008,1/
      data be( 28, 28),bee( 28, 28),iaud( 28, 28)/  483.9949, 0.0006,1/
      data be( 28, 29),bee( 28, 29),iaud( 28, 29)/  494.2426, 0.0007,1/
      data be( 28, 30),bee( 28, 30),iaud( 28, 30)/  506.4588, 0.0005,1/
      data be( 28, 31),bee( 28, 31),iaud( 28, 31)/  515.4581, 0.0005,1/
      data be( 28, 32),bee( 28, 32),iaud( 28, 32)/  526.8458, 0.0005,1/
      data be( 28, 33),bee( 28, 33),iaud( 28, 33)/  534.6659, 0.0005,1/
      data be( 28, 34),bee( 28, 34),iaud( 28, 34)/  545.2618, 0.0005,1/
      data be( 28, 35),bee( 28, 35),iaud( 28, 35)/  552.0995, 0.0005,1/
      data be( 28, 36),bee( 28, 36),iaud( 28, 36)/  561.7571, 0.0006,1/
      data be( 28, 37),bee( 28, 37),iaud( 28, 37)/  567.8552, 0.0006,1/
      data be( 28, 38),bee( 28, 38),iaud( 28, 38)/  576.8075, 0.0014,1/
      data be( 28, 39),bee( 28, 39),iaud( 28, 39)/  582.6152, 0.0029,1/
      data be( 28, 40),bee( 28, 40),iaud( 28, 40)/  590.4077, 0.0030,1/
      data be( 28, 41),bee( 28, 41),iaud( 28, 41)/  594.9938, 0.0037,1/
      data be( 28, 42),bee( 28, 42),iaud( 28, 42)/  602.3002, 0.0022,1/
      data be( 28, 43),bee( 28, 43),iaud( 28, 43)/  606.5638, 0.0023,1/
      data be( 28, 44),bee( 28, 44),iaud( 28, 44)/  613.4550, 0.0023,1/
      data be( 28, 45),bee( 28, 45),iaud( 28, 45)/  617.4084, 0.0025,1/
      data be( 29, 28),bee( 29, 28),iaud( 29, 28)/  484.6852, 0.0006,1/
      data be( 29, 29),bee( 29, 29),iaud( 29, 29)/  497.1154, 0.0006,1/
      data be( 29, 30),bee( 29, 30),iaud( 29, 30)/  509.8774, 0.0006,1/
      data be( 29, 31),bee( 29, 31),iaud( 29, 31)/  519.9355, 0.0016,1/
      data be( 29, 32),bee( 29, 32),iaud( 29, 32)/  531.6460, 0.0010,1/
      data be( 29, 33),bee( 29, 33),iaud( 29, 33)/  540.5206, 0.0007,1/
      data be( 29, 34),bee( 29, 34),iaud( 29, 34)/  551.3842, 0.0005,1/
      data be( 29, 35),bee( 29, 35),iaud( 29, 35)/  559.3003, 0.0005,1/
      data be( 29, 36),bee( 29, 36),iaud( 29, 36)/  569.2109, 0.0007,1/
      data be( 29, 37),bee( 29, 37),iaud( 29, 37)/  576.2769, 0.0007,1/
      data be( 29, 38),bee( 29, 38),iaud( 29, 38)/  585.4091, 0.0012,1/
      data be( 29, 39),bee( 29, 39),iaud( 29, 39)/  591.7286, 0.0016,1/
      data be( 29, 40),bee( 29, 40),iaud( 29, 40)/  599.9691, 0.0014,1/
      data be( 29, 41),bee( 29, 41),iaud( 29, 41)/  605.2806, 0.0010,1/
      data be( 29, 42),bee( 29, 42),iaud( 29, 42)/  613.0867, 0.0015,1/
      data be( 29, 43),bee( 29, 43),iaud( 29, 43)/  618.2299, 0.0014,1/
      data be( 29, 44),bee( 29, 44),iaud( 29, 44)/  625.5054, 0.0020,1/
      data be( 29, 45),bee( 29, 45),iaud( 29, 45)/  630.5957, 0.0061,1/
      data be( 29, 46),bee( 29, 46),iaud( 29, 46)/  637.1318, 0.0024,1/
      data be( 29, 47),bee( 29, 47),iaud( 29, 47)/  641.7081, 0.0067,1/
      data be( 29, 48),bee( 29, 48),iaud( 29, 48)/  647.1014, 0.5030,1/
      data be( 29, 49),bee( 29, 49),iaud( 29, 49)/  651.3721, 0.5030,1/
      data be( 30, 28),bee( 30, 28),iaud( 30, 28)/  486.9641, 0.0500,1/
      data be( 30, 29),bee( 30, 29),iaud( 30, 29)/  499.9522, 0.0008,1/
      data be( 30, 30),bee( 30, 30),iaud( 30, 30)/  514.9824, 0.0007,1/
      data be( 30, 31),bee( 30, 31),iaud( 30, 31)/  525.2232, 0.0163,1/
      data be( 30, 32),bee( 30, 32),iaud( 30, 32)/  538.1188, 0.0007,1/
      data be( 30, 33),bee( 30, 33),iaud( 30, 33)/  547.2356, 0.0016,1/
      data be( 30, 34),bee( 30, 34),iaud( 30, 34)/  559.0976, 0.0006,1/
      data be( 30, 35),bee( 30, 35),iaud( 30, 35)/  567.0769, 0.0007,1/
      data be( 30, 36),bee( 30, 36),iaud( 30, 36)/  578.1356, 0.0009,1/
      data be( 30, 37),bee( 30, 37),iaud( 30, 37)/  585.1879, 0.0009,1/
      data be( 30, 38),bee( 30, 38),iaud( 30, 38)/  595.3859, 0.0009,1/
      data be( 30, 39),bee( 30, 39),iaud( 30, 39)/  601.8680, 0.0009,1/
      data be( 30, 40),bee( 30, 40),iaud( 30, 40)/  611.0864, 0.0020,1/
      data be( 30, 41),bee( 30, 41),iaud( 30, 41)/  616.9221, 0.0028,1/
      data be( 30, 42),bee( 30, 42),iaud( 30, 42)/  625.8099, 0.0022,1/
      data be( 30, 43),bee( 30, 43),iaud( 30, 43)/  631.3292, 0.0019,1/
      data be( 30, 44),bee( 30, 44),iaud( 30, 44)/  639.5638, 0.0025,1/
      data be( 30, 45),bee( 30, 45),iaud( 30, 45)/  644.4373, 0.0020,1/
      data be( 30, 46),bee( 30, 46),iaud( 30, 46)/  652.2528, 0.0014,1/
      data be( 30, 47),bee( 30, 47),iaud( 30, 47)/  656.8102, 0.0020,1/
      data be( 30, 48),bee( 30, 48),iaud( 30, 48)/  663.5756, 0.0020,1/
      data be( 30, 49),bee( 30, 49),iaud( 30, 49)/  667.5960, 0.0022,1/
      data be( 30, 50),bee( 30, 50),iaud( 30, 50)/  673.8836, 0.0026,1/
      data be( 30, 51),bee( 30, 51),iaud( 30, 51)/  676.5059, 0.0050,1/
      data be( 31, 30),bee( 31, 30),iaud( 31, 30)/  515.1859, 0.0526,1/
      data be( 31, 31),bee( 31, 31),iaud( 31, 31)/  528.1553, 0.0007,1/
      data be( 31, 32),bee( 31, 32),iaud( 31, 32)/  540.7874, 0.0013,1/
      data be( 31, 33),bee( 31, 33),iaud( 31, 33)/  551.1450, 0.0015,1/
      data be( 31, 34),bee( 31, 34),iaud( 31, 34)/  563.0402, 0.0008,1/
      data be( 31, 35),bee( 31, 35),iaud( 31, 35)/  572.1782, 0.0031,1/
      data be( 31, 36),bee( 31, 36),iaud( 31, 36)/  583.4044, 0.0012,1/
      data be( 31, 37),bee( 31, 37),iaud( 31, 37)/  591.6826, 0.0015,1/
      data be( 31, 38),bee( 31, 38),iaud( 31, 38)/  601.9959, 0.0012,1/
      data be( 31, 39),bee( 31, 39),iaud( 31, 39)/  609.6495, 0.0012,1/
      data be( 31, 40),bee( 31, 40),iaud( 31, 40)/  618.9498, 0.0008,1/
      data be( 31, 41),bee( 31, 41),iaud( 31, 41)/  625.4703, 0.0008,1/
      data be( 31, 42),bee( 31, 42),iaud( 31, 42)/  634.6527, 0.0017,1/
      data be( 31, 43),bee( 31, 43),iaud( 31, 43)/  641.0743, 0.0037,1/
      data be( 31, 44),bee( 31, 44),iaud( 31, 44)/  649.5605, 0.0024,1/
      data be( 31, 45),bee( 31, 45),iaud( 31, 45)/  655.4640, 0.0020,1/
      data be( 31, 46),bee( 31, 46),iaud( 31, 46)/  663.2310, 0.0024,1/
      data be( 31, 47),bee( 31, 47),iaud( 31, 47)/  669.0160, 0.0019,1/
      data be( 31, 48),bee( 31, 48),iaud( 31, 48)/  675.9290, 0.0019,1/
      data be( 31, 49),bee( 31, 49),iaud( 31, 49)/  680.6763, 0.0029,1/
      data be( 31, 50),bee( 31, 50),iaud( 31, 50)/  687.1520, 0.0032,1/
      data be( 31, 51),bee( 31, 51),iaud( 31, 51)/  690.5260, 0.0025,1/
      data be( 31, 52),bee( 31, 52),iaud( 31, 52)/  694.9238, 0.0026,1/
      data be( 32, 31),bee( 32, 31),iaud( 32, 31)/  530.3791, 0.0372,1/
      data be( 32, 32),bee( 32, 32),iaud( 32, 32)/  545.8447, 0.0037,1/
      data be( 32, 33),bee( 32, 33),iaud( 32, 33)/  556.0811, 0.0026,1/
      data be( 32, 34),bee( 32, 34),iaud( 32, 34)/  569.2788, 0.0024,1/
      data be( 32, 35),bee( 32, 35),iaud( 32, 35)/  578.4010, 0.0047,1/
      data be( 32, 36),bee( 32, 36),iaud( 32, 36)/  590.7932, 0.0019,1/
      data be( 32, 37),bee( 32, 37),iaud( 32, 37)/  598.9864, 0.0013,1/
      data be( 32, 38),bee( 32, 38),iaud( 32, 38)/  610.5189, 0.0008,1/
      data be( 32, 39),bee( 32, 39),iaud( 32, 39)/  617.9348, 0.0009,1/
      data be( 32, 40),bee( 32, 40),iaud( 32, 40)/  628.6854, 0.0005,1/
      data be( 32, 41),bee( 32, 41),iaud( 32, 41)/  635.4683, 0.0005,1/
      data be( 32, 42),bee( 32, 42),iaud( 32, 42)/  645.6646, 0.0005,1/
      data be( 32, 43),bee( 32, 43),iaud( 32, 43)/  652.1698, 0.0005,1/
      data be( 32, 44),bee( 32, 44),iaud( 32, 44)/  661.5979, 0.0001,1/
      data be( 32, 45),bee( 32, 45),iaud( 32, 45)/  667.6702, 0.0004,1/
      data be( 32, 46),bee( 32, 46),iaud( 32, 46)/  676.3897, 0.0035,1/
      data be( 32, 47),bee( 32, 47),iaud( 32, 47)/  682.1255, 0.0372,1/
      data be( 32, 48),bee( 32, 48),iaud( 32, 48)/  690.2057, 0.0021,1/
      data be( 32, 49),bee( 32, 49),iaud( 32, 49)/  695.0333, 0.0020,1/
      data be( 32, 50),bee( 32, 50),iaud( 32, 50)/  702.2280, 0.0022,1/
      data be( 32, 51),bee( 32, 51),iaud( 32, 51)/  705.8606, 0.0024,1/
      data be( 32, 52),bee( 32, 52),iaud( 32, 52)/  711.1041, 0.0032,1/
      data be( 32, 53),bee( 32, 53),iaud( 32, 53)/  714.1503, 0.0037,1/
      data be( 33, 32),bee( 33, 32),iaud( 33, 32)/  545.7552, 0.0848,1/
      data be( 33, 33),bee( 33, 33),iaud( 33, 33)/  558.9181, 0.0256,1/
      data be( 33, 34),bee( 33, 34),iaud( 33, 34)/  571.5468, 0.0013,1/
      data be( 33, 35),bee( 33, 35),iaud( 33, 35)/  581.9267, 0.0018,1/
      data be( 33, 36),bee( 33, 36),iaud( 33, 36)/  594.1899, 0.0312,1/
      data be( 33, 37),bee( 33, 37),iaud( 33, 37)/  603.5166, 0.0500,1/
      data be( 33, 38),bee( 33, 38),iaud( 33, 38)/  615.1392, 0.0042,1/
      data be( 33, 39),bee( 33, 39),iaud( 33, 39)/  623.5469, 0.0041,1/
      data be( 33, 40),bee( 33, 40),iaud( 33, 40)/  634.3412, 0.0039,1/
      data be( 33, 41),bee( 33, 41),iaud( 33, 41)/  642.3198, 0.0018,1/
      data be( 33, 42),bee( 33, 42),iaud( 33, 42)/  652.5651, 0.0009,1/
      data be( 33, 43),bee( 33, 43),iaud( 33, 43)/  659.8936, 0.0009,1/
      data be( 33, 44),bee( 33, 44),iaud( 33, 44)/  669.5903, 0.0018,1/
      data be( 33, 45),bee( 33, 45),iaud( 33, 45)/  676.5626, 0.0098,1/
      data be( 33, 46),bee( 33, 46),iaud( 33, 46)/  685.4531, 0.0055,1/
      data be( 33, 47),bee( 33, 47),iaud( 33, 47)/  692.0595, 0.0157,1/
      data be( 33, 48),bee( 33, 48),iaud( 33, 48)/  700.4926, 0.0027,1/
      data be( 33, 49),bee( 33, 49),iaud( 33, 49)/  706.1336, 0.0043,1/
      data be( 33, 50),bee( 33, 50),iaud( 33, 50)/  713.7712, 0.0028,1/
      data be( 33, 51),bee( 33, 51),iaud( 33, 51)/  718.0269, 0.0032,1/
      data be( 33, 52),bee( 33, 52),iaud( 33, 52)/  723.4337, 0.0031,1/
      data be( 33, 53),bee( 33, 53),iaud( 33, 53)/  727.2780, 0.0034,1/
      data be( 33, 54),bee( 33, 54),iaud( 33, 54)/  732.0050, 0.0030,1/
      data be( 34, 33),bee( 34, 33),iaud( 34, 33)/  560.7588, 0.0671,1/
      data be( 34, 34),bee( 34, 34),iaud( 34, 34)/  576.4393, 0.0005,1/
      data be( 34, 35),bee( 34, 35),iaud( 34, 35)/  586.6219, 0.0342,1/
      data be( 34, 36),bee( 34, 36),iaud( 34, 36)/  600.3223, 0.0016,1/
      data be( 34, 37),bee( 34, 37),iaud( 34, 37)/  609.6102, 0.0028,1/
      data be( 34, 38),bee( 34, 38),iaud( 34, 38)/  622.4032, 0.0019,1/
      data be( 34, 39),bee( 34, 39),iaud( 34, 39)/  630.8336, 0.0074,1/
      data be( 34, 40),bee( 34, 40),iaud( 34, 40)/  642.8904, 0.0003,1/
      data be( 34, 41),bee( 34, 41),iaud( 34, 41)/  650.9180, 0.0003,1/
      data be( 34, 42),bee( 34, 42),iaud( 34, 42)/  662.0721, 0.0001,1/
      data be( 34, 43),bee( 34, 43),iaud( 34, 43)/  669.4911, 0.0001,1/
      data be( 34, 44),bee( 34, 44),iaud( 34, 44)/  679.9888, 0.0002,1/
      data be( 34, 45),bee( 34, 45),iaud( 34, 45)/  686.9516, 0.0002,1/
      data be( 34, 46),bee( 34, 46),iaud( 34, 46)/  696.8655, 0.0014,1/
      data be( 34, 47),bee( 34, 47),iaud( 34, 47)/  703.5663, 0.0015,1/
      data be( 34, 48),bee( 34, 48),iaud( 34, 48)/  712.8423, 0.0016,1/
      data be( 34, 49),bee( 34, 49),iaud( 34, 49)/  718.6602, 0.0034,1/
      data be( 34, 50),bee( 34, 50),iaud( 34, 50)/  727.3385, 0.0019,1/
      data be( 34, 51),bee( 34, 51),iaud( 34, 51)/  731.8758, 0.0026,1/
      data be( 34, 52),bee( 34, 52),iaud( 34, 52)/  738.0367, 0.0025,1/
      data be( 34, 53),bee( 34, 53),iaud( 34, 53)/  742.0309, 0.0023,1/
      data be( 34, 54),bee( 34, 54),iaud( 34, 54)/  747.5604, 0.0033,1/
      data be( 34, 55),bee( 34, 55),iaud( 34, 55)/  750.7399, 0.0037,1/
      data be( 35, 35),bee( 35, 35),iaud( 35, 35)/  589.0357, 0.0149,1/
      data be( 35, 36),bee( 35, 36),iaud( 35, 36)/  602.1838, 0.0054,1/
      data be( 35, 37),bee( 35, 37),iaud( 35, 37)/  612.8201, 0.0067,1/
      data be( 35, 38),bee( 35, 38),iaud( 35, 38)/  625.4717, 0.0073,1/
      data be( 35, 39),bee( 35, 39),iaud( 35, 39)/  635.1804, 0.0064,1/
      data be( 35, 40),bee( 35, 40),iaud( 35, 40)/  647.0739, 0.0043,1/
      data be( 35, 41),bee( 35, 41),iaud( 35, 41)/  656.3270, 0.0093,1/
      data be( 35, 42),bee( 35, 42),iaud( 35, 42)/  667.3439, 0.0028,1/
      data be( 35, 43),bee( 35, 43),iaud( 35, 43)/  675.6326, 0.0036,1/
      data be( 35, 44),bee( 35, 44),iaud( 35, 44)/  686.3204, 0.0015,1/
      data be( 35, 45),bee( 35, 45),iaud( 35, 45)/  694.2126, 0.0015,1/
      data be( 35, 46),bee( 35, 46),iaud( 35, 46)/  704.3701, 0.0013,1/
      data be( 35, 47),bee( 35, 47),iaud( 35, 47)/  711.9631, 0.0013,1/
      data be( 35, 48),bee( 35, 48),iaud( 35, 48)/  721.5436, 0.0051,1/
      data be( 35, 49),bee( 35, 49),iaud( 35, 49)/  728.3979, 0.0300,1/
      data be( 35, 50),bee( 35, 50),iaud( 35, 50)/  737.2553, 0.0031,1/
      data be( 35, 51),bee( 35, 51),iaud( 35, 51)/  742.3834, 0.0031,1/
      data be( 35, 52),bee( 35, 52),iaud( 35, 52)/  748.7142, 0.0031,1/
      data be( 35, 53),bee( 35, 53),iaud( 35, 53)/  753.6097, 0.0032,1/
      data be( 35, 54),bee( 35, 54),iaud( 35, 54)/  759.2394, 0.0033,1/
      data be( 35, 55),bee( 35, 55),iaud( 35, 55)/  763.0367, 0.0033,1/
      data be( 35, 56),bee( 35, 56),iaud( 35, 56)/  768.2150, 0.0035,1/
      data be( 35, 57),bee( 35, 57),iaud( 35, 57)/  771.4119, 0.0067,1/
      data be( 36, 35),bee( 36, 35),iaud( 36, 35)/  591.2262, 0.1288,1/
      data be( 36, 36),bee( 36, 36),iaud( 36, 36)/  606.9110, 0.0080,1/
      data be( 36, 37),bee( 36, 37),iaud( 36, 37)/  617.5934, 0.0066,1/
      data be( 36, 38),bee( 36, 38),iaud( 36, 38)/  631.4445, 0.0021,1/
      data be( 36, 39),bee( 36, 39),iaud( 36, 39)/  641.5079, 0.0081,1/
      data be( 36, 40),bee( 36, 40),iaud( 36, 40)/  654.2699, 0.0040,1/
      data be( 36, 41),bee( 36, 41),iaud( 36, 41)/  663.4963, 0.0019,1/
      data be( 36, 42),bee( 36, 42),iaud( 36, 42)/  675.5778, 0.0007,1/
      data be( 36, 43),bee( 36, 43),iaud( 36, 43)/  683.9122, 0.0036,1/
      data be( 36, 44),bee( 36, 44),iaud( 36, 44)/  695.4334, 0.0008,1/
      data be( 36, 45),bee( 36, 45),iaud( 36, 45)/  703.3069, 0.0014,1/
      data be( 36, 46),bee( 36, 46),iaud( 36, 46)/  714.2739, 0.0009,1/
      data be( 36, 47),bee( 36, 47),iaud( 36, 47)/  721.7449, 0.0003,1/
      data be( 36, 48),bee( 36, 48),iaud( 36, 48)/  732.2656, 0.0000,1/
      data be( 36, 49),bee( 36, 49),iaud( 36, 49)/  739.3779, 0.0020,1/
      data be( 36, 50),bee( 36, 50),iaud( 36, 50)/  749.2345, 0.0000,1/
      data be( 36, 51),bee( 36, 51),iaud( 36, 51)/  754.7496, 0.0003,1/
      data be( 36, 52),bee( 36, 52),iaud( 36, 52)/  761.8027, 0.0026,1/
      data be( 36, 53),bee( 36, 53),iaud( 36, 53)/  766.7186, 0.0021,1/
      data be( 36, 54),bee( 36, 54),iaud( 36, 54)/  773.2133, 0.0019,1/
      data be( 36, 55),bee( 36, 55),iaud( 36, 55)/  777.2993, 0.0023,1/
      data be( 36, 56),bee( 36, 56),iaud( 36, 56)/  783.1660, 0.0027,1/
      data be( 36, 57),bee( 36, 57),iaud( 36, 57)/  786.6041, 0.0025,1/
      data be( 36, 58),bee( 36, 58),iaud( 36, 58)/  791.8871, 0.0121,1/
      data be( 36, 59),bee( 36, 59),iaud( 36, 59)/  794.7697, 0.0186,1/
      data be( 36, 60),bee( 36, 60),iaud( 36, 60)/  799.7617, 0.0204,1/
      data be( 36, 61),bee( 36, 61),iaud( 36, 61)/  802.1768, 0.1304,1/
      data be( 37, 37),bee( 37, 37),iaud( 37, 37)/  620.2476, 0.0036,1/
      data be( 37, 38),bee( 37, 38),iaud( 37, 38)/  633.6207, 0.0016,1/
      data be( 37, 39),bee( 37, 39),iaud( 37, 39)/  644.9514, 0.0011,1/
      data be( 37, 40),bee( 37, 40),iaud( 37, 40)/  657.3751, 0.0013,1/
      data be( 37, 41),bee( 37, 41),iaud( 37, 41)/  667.5522, 0.0075,1/
      data be( 37, 42),bee( 37, 42),iaud( 37, 42)/  679.4902, 0.0021,1/
      data be( 37, 43),bee( 37, 43),iaud( 37, 43)/  688.9340, 0.0018,1/
      data be( 37, 44),bee( 37, 44),iaud( 37, 44)/  700.2864, 0.0049,1/
      data be( 37, 45),bee( 37, 45),iaud( 37, 45)/  709.0890, 0.0030,1/
      data be( 37, 46),bee( 37, 46),iaud( 37, 46)/  720.0432, 0.0023,1/
      data be( 37, 47),bee( 37, 47),iaud( 37, 47)/  728.8002, 0.0029,1/
      data be( 37, 48),bee( 37, 48),iaud( 37, 48)/  739.2825, 0.0000,1/
      data be( 37, 49),bee( 37, 49),iaud( 37, 49)/  747.9335, 0.0002,1/
      data be( 37, 50),bee( 37, 50),iaud( 37, 50)/  757.8557, 0.0000,1/
      data be( 37, 51),bee( 37, 51),iaud( 37, 51)/  763.9381, 0.0002,1/
      data be( 37, 52),bee( 37, 52),iaud( 37, 52)/  771.1128, 0.0054,1/
      data be( 37, 53),bee( 37, 53),iaud( 37, 53)/  776.8366, 0.0066,1/
      data be( 37, 54),bee( 37, 54),iaud( 37, 54)/  783.2896, 0.0081,1/
      data be( 37, 55),bee( 37, 55),iaud( 37, 55)/  788.3870, 0.0062,1/
      data be( 37, 56),bee( 37, 56),iaud( 37, 56)/  794.3057, 0.0078,1/
      data be( 37, 57),bee( 37, 57),iaud( 37, 57)/  798.3190, 0.0034,1/
      data be( 37, 58),bee( 37, 58),iaud( 37, 58)/  803.7228, 0.0202,1/
      data be( 37, 59),bee( 37, 59),iaud( 37, 59)/  807.2541, 0.0034,1/
      data be( 37, 60),bee( 37, 60),iaud( 37, 60)/  812.4891, 0.0053,1/
      data be( 37, 61),bee( 37, 61),iaud( 37, 61)/  816.0732, 0.0501,1/
      data be( 37, 62),bee( 37, 62),iaud( 37, 62)/  821.3340, 0.1120,1/
      data be( 38, 37),bee( 38, 37),iaud( 38, 37)/  622.2382, 0.2200,1/
      data be( 38, 38),bee( 38, 38),iaud( 38, 38)/  637.9386, 0.0344,1/
      data be( 38, 39),bee( 38, 39),iaud( 38, 39)/  649.5657, 0.0079,1/
      data be( 38, 40),bee( 38, 40),iaud( 38, 40)/  663.0074, 0.0075,1/
      data be( 38, 41),bee( 38, 41),iaud( 38, 41)/  673.3818, 0.0084,1/
      data be( 38, 42),bee( 38, 42),iaud( 38, 42)/  686.2877, 0.0034,1/
      data be( 38, 43),bee( 38, 43),iaud( 38, 43)/  695.5756, 0.0032,1/
      data be( 38, 44),bee( 38, 44),iaud( 38, 44)/  708.1288, 0.0060,1/
      data be( 38, 45),bee( 38, 45),iaud( 38, 45)/  716.9878, 0.0068,1/
      data be( 38, 46),bee( 38, 46),iaud( 38, 46)/  728.9108, 0.0013,1/
      data be( 38, 47),bee( 38, 47),iaud( 38, 47)/  737.4360, 0.0028,1/
      data be( 38, 48),bee( 38, 48),iaud( 38, 48)/  748.9273, 0.0011,1/
      data be( 38, 49),bee( 38, 49),iaud( 38, 49)/  757.3556, 0.0010,1/
      data be( 38, 50),bee( 38, 50),iaud( 38, 50)/  768.4681, 0.0011,1/
      data be( 38, 51),bee( 38, 51),iaud( 38, 51)/  774.8268, 0.0011,1/
      data be( 38, 52),bee( 38, 52),iaud( 38, 52)/  782.6388, 0.0028,1/
      data be( 38, 53),bee( 38, 53),iaud( 38, 53)/  788.4135, 0.0058,1/
      data be( 38, 54),bee( 38, 54),iaud( 38, 54)/  795.6995, 0.0034,1/
      data be( 38, 55),bee( 38, 55),iaud( 38, 55)/  800.9894, 0.0075,1/
      data be( 38, 56),bee( 38, 56),iaud( 38, 56)/  807.8178, 0.0071,1/
      data be( 38, 57),bee( 38, 57),iaud( 38, 57)/  812.1699, 0.0060,1/
      data be( 38, 58),bee( 38, 58),iaud( 38, 58)/  818.0503, 0.0088,1/
      data be( 38, 59),bee( 38, 59),iaud( 38, 59)/  821.7802, 0.0096,1/
      data be( 38, 60),bee( 38, 60),iaud( 38, 60)/  827.6965, 0.0096,1/
      data be( 38, 61),bee( 38, 61),iaud( 38, 61)/  831.8608, 0.0073,1/
      data be( 38, 62),bee( 38, 62),iaud( 38, 62)/  837.2360, 0.0096,1/
      data be( 38, 63),bee( 38, 63),iaud( 38, 63)/  841.0391, 0.0804,1/
      data be( 39, 40),bee( 39, 40),iaud( 39, 40)/  665.4794, 0.4501,1/
      data be( 39, 41),bee( 39, 41),iaud( 39, 41)/  676.3421, 0.0064,1/
      data be( 39, 42),bee( 39, 42),iaud( 39, 42)/  688.9783, 0.0056,1/
      data be( 39, 43),bee( 39, 43),iaud( 39, 43)/  699.4008, 0.0057,1/
      data be( 39, 44),bee( 39, 44),iaud( 39, 44)/  711.6136, 0.0187,1/
      data be( 39, 45),bee( 39, 45),iaud( 39, 45)/  721.3737, 0.0045,1/
      data be( 39, 46),bee( 39, 46),iaud( 39, 46)/  733.3926, 0.0190,1/
      data be( 39, 47),bee( 39, 47),iaud( 39, 47)/  742.9050, 0.0142,1/
      data be( 39, 48),bee( 39, 48),iaud( 39, 48)/  754.7114, 0.0016,1/
      data be( 39, 49),bee( 39, 49),iaud( 39, 49)/  764.0632, 0.0018,1/
      data be( 39, 50),bee( 39, 50),iaud( 39, 50)/  775.5454, 0.0025,1/
      data be( 39, 51),bee( 39, 51),iaud( 39, 51)/  782.4024, 0.0024,1/
      data be( 39, 52),bee( 39, 52),iaud( 39, 52)/  790.3314, 0.0028,1/
      data be( 39, 53),bee( 39, 53),iaud( 39, 53)/  796.8677, 0.0093,1/
      data be( 39, 54),bee( 39, 54),iaud( 39, 54)/  804.3495, 0.0106,1/
      data be( 39, 55),bee( 39, 55),iaud( 39, 55)/  810.5453, 0.0071,1/
      data be( 39, 56),bee( 39, 56),iaud( 39, 56)/  817.4767, 0.0069,1/
      data be( 39, 57),bee( 39, 57),iaud( 39, 57)/  822.6797, 0.0065,1/
      data be( 39, 58),bee( 39, 58),iaud( 39, 58)/  828.5366, 0.0072,1/
      data be( 39, 59),bee( 39, 59),iaud( 39, 59)/  832.7813, 0.0083,1/
      data be( 39, 60),bee( 39, 60),iaud( 39, 60)/  839.2077, 0.0070,1/
      data be( 39, 61),bee( 39, 61),iaud( 39, 61)/  843.9568, 0.0115,1/
      data be( 39, 62),bee( 39, 62),iaud( 39, 62)/  849.7618, 0.0075,1/
      data be( 39, 64),bee( 39, 64),iaud( 39, 64)/  859.3347, 0.0988,1/
      data be( 40, 40),bee( 40, 40),iaud( 40, 40)/  669.9286, 1.4904,1/
      data be( 40, 41),bee( 40, 41),iaud( 40, 41)/  680.8796, 0.1647,1/
      data be( 40, 43),bee( 40, 43),iaud( 40, 43)/  704.5373, 0.0066,1/
      data be( 40, 44),bee( 40, 44),iaud( 40, 44)/  718.1187, 0.0057,1/
      data be( 40, 45),bee( 40, 45),iaud( 40, 45)/  727.9434, 0.0066,1/
      data be( 40, 46),bee( 40, 46),iaud( 40, 46)/  740.8085, 0.0036,1/
      data be( 40, 47),bee( 40, 47),iaud( 40, 47)/  750.2587, 0.0044,1/
      data be( 40, 48),bee( 40, 48),iaud( 40, 48)/  762.6115, 0.0056,1/
      data be( 40, 49),bee( 40, 49),iaud( 40, 49)/  771.9301, 0.0036,1/
      data be( 40, 50),bee( 40, 50),iaud( 40, 50)/  783.8989, 0.0023,1/
      data be( 40, 51),bee( 40, 51),iaud( 40, 51)/  791.0933, 0.0022,1/
      data be( 40, 52),bee( 40, 52),iaud( 40, 52)/  799.7281, 0.0022,1/
      data be( 40, 53),bee( 40, 53),iaud( 40, 53)/  806.4625, 0.0022,1/
      data be( 40, 54),bee( 40, 54),iaud( 40, 54)/  814.6825, 0.0023,1/
      data be( 40, 55),bee( 40, 55),iaud( 40, 55)/  821.1445, 0.0022,1/
      data be( 40, 56),bee( 40, 56),iaud( 40, 56)/  829.0003, 0.0025,1/
      data be( 40, 57),bee( 40, 57),iaud( 40, 57)/  834.5755, 0.0025,1/
      data be( 40, 58),bee( 40, 58),iaud( 40, 58)/  840.9909, 0.0088,1/
      data be( 40, 59),bee( 40, 59),iaud( 40, 59)/  845.3931, 0.0106,1/
      data be( 40, 60),bee( 40, 60),iaud( 40, 60)/  852.2223, 0.0084,1/
      data be( 40, 61),bee( 40, 61),iaud( 40, 61)/  857.0825, 0.0086,1/
      data be( 40, 62),bee( 40, 62),iaud( 40, 62)/  863.5759, 0.0095,1/
      data be( 40, 63),bee( 40, 63),iaud( 40, 63)/  867.8766, 0.0096,1/
      data be( 40, 64),bee( 40, 64),iaud( 40, 64)/  873.8566, 0.0097,1/
      data be( 40, 65),bee( 40, 65),iaud( 40, 65)/  877.6688, 0.0124,1/
      data be( 41, 42),bee( 41, 42),iaud( 41, 42)/  696.2550, 0.3000,1/
      data be( 41, 44),bee( 41, 44),iaud( 41, 44)/  720.2654, 0.0041,1/
      data be( 41, 45),bee( 41, 45),iaud( 41, 45)/  731.1912, 0.0057,1/
      data be( 41, 46),bee( 41, 46),iaud( 41, 46)/  744.0030, 0.0070,1/
      data be( 41, 47),bee( 41, 47),iaud( 41, 47)/  754.3752, 0.0518,1/
      data be( 41, 48),bee( 41, 48),iaud( 41, 48)/  766.9214, 0.0268,1/
      data be( 41, 49),bee( 41, 49),iaud( 41, 49)/  777.0055, 0.0046,1/
      data be( 41, 50),bee( 41, 50),iaud( 41, 50)/  789.0530, 0.0037,1/
      data be( 41, 51),bee( 41, 51),iaud( 41, 51)/  796.9398, 0.0027,1/
      data be( 41, 52),bee( 41, 52),iaud( 41, 52)/  805.7705, 0.0022,1/
      data be( 41, 53),bee( 41, 53),iaud( 41, 53)/  812.9981, 0.0023,1/
      data be( 41, 54),bee( 41, 54),iaud( 41, 54)/  821.4853, 0.0015,1/
      data be( 41, 55),bee( 41, 55),iaud( 41, 55)/  828.3784, 0.0036,1/
      data be( 41, 56),bee( 41, 56),iaud( 41, 56)/  836.4518, 0.0022,1/
      data be( 41, 57),bee( 41, 57),iaud( 41, 57)/  842.4463, 0.0056,1/
      data be( 41, 58),bee( 41, 58),iaud( 41, 58)/  849.3143, 0.0122,1/
      data be( 41, 59),bee( 41, 59),iaud( 41, 59)/  854.8621, 0.0084,1/
      data be( 41, 60),bee( 41, 60),iaud( 41, 60)/  862.0132, 0.0042,1/
      data be( 41, 61),bee( 41, 61),iaud( 41, 61)/  867.5122, 0.0036,1/
      data be( 41, 62),bee( 41, 62),iaud( 41, 62)/  874.2930, 0.0044,1/
      data be( 41, 63),bee( 41, 63),iaud( 41, 63)/  879.1693, 0.0036,1/
      data be( 41, 64),bee( 41, 64),iaud( 41, 64)/  885.3223, 0.0045,1/
      data be( 41, 65),bee( 41, 65),iaud( 41, 65)/  889.6814, 0.0046,1/
      data be( 41, 66),bee( 41, 66),iaud( 41, 66)/  895.2731, 0.0082,1/
      data be( 41, 67),bee( 41, 67),iaud( 41, 67)/  899.1904, 0.1043,1/
      data be( 42, 43),bee( 42, 43),iaud( 42, 43)/  710.7131, 0.0158,1/
      data be( 42, 44),bee( 42, 44),iaud( 42, 44)/  725.3849, 0.0037,1/
      data be( 42, 45),bee( 42, 45),iaud( 42, 45)/  736.2289, 0.0039,1/
      data be( 42, 46),bee( 42, 46),iaud( 42, 46)/  750.1039, 0.0038,1/
      data be( 42, 47),bee( 42, 47),iaud( 42, 47)/  760.5036, 0.0039,1/
      data be( 42, 48),bee( 42, 48),iaud( 42, 48)/  773.7342, 0.0061,1/
      data be( 42, 49),bee( 42, 49),iaud( 42, 49)/  783.8399, 0.0112,1/
      data be( 42, 50),bee( 42, 50),iaud( 42, 50)/  796.5120, 0.0037,1/
      data be( 42, 51),bee( 42, 51),iaud( 42, 51)/  804.5818, 0.0037,1/
      data be( 42, 52),bee( 42, 52),iaud( 42, 52)/  814.2594, 0.0015,1/
      data be( 42, 53),bee( 42, 53),iaud( 42, 53)/  821.6285, 0.0015,1/
      data be( 42, 54),bee( 42, 54),iaud( 42, 54)/  830.7829, 0.0014,1/
      data be( 42, 55),bee( 42, 55),iaud( 42, 55)/  837.6040, 0.0015,1/
      data be( 42, 56),bee( 42, 56),iaud( 42, 56)/  846.2466, 0.0015,1/
      data be( 42, 57),bee( 42, 57),iaud( 42, 57)/  852.1721, 0.0015,1/
      data be( 42, 58),bee( 42, 58),iaud( 42, 58)/  860.4611, 0.0020,1/
      data be( 42, 59),bee( 42, 59),iaud( 42, 59)/  865.8593, 0.0020,1/
      data be( 42, 60),bee( 42, 60),iaud( 42, 60)/  873.9887, 0.0086,1/
      data be( 42, 61),bee( 42, 61),iaud( 42, 61)/  879.4572, 0.0096,1/
      data be( 42, 62),bee( 42, 62),iaud( 42, 62)/  886.9176, 0.0093,1/
      data be( 42, 63),bee( 42, 63),iaud( 42, 63)/  891.9763, 0.0095,1/
      data be( 42, 64),bee( 42, 64),iaud( 42, 64)/  898.8452, 0.0094,1/
      data be( 42, 65),bee( 42, 65),iaud( 42, 65)/  903.3337, 0.0095,1/
      data be( 42, 66),bee( 42, 66),iaud( 42, 66)/  909.6094, 0.0095,1/
      data be( 42, 67),bee( 42, 67),iaud( 42, 67)/  913.5909, 0.0114,1/
      data be( 42, 68),bee( 42, 68),iaud( 42, 68)/  919.5390, 0.0243,1/
      data be( 43, 44),bee( 43, 44),iaud( 43, 44)/  726.2537, 0.0042,1/
      data be( 43, 45),bee( 43, 45),iaud( 43, 45)/  738.3141, 0.0038,1/
      data be( 43, 46),bee( 43, 46),iaud( 43, 46)/  752.1012, 0.0038,1/
      data be( 43, 47),bee( 43, 47),iaud( 43, 47)/  763.5013, 0.0034,1/
      data be( 43, 48),bee( 43, 48),iaud( 43, 48)/  776.8362, 0.0033,1/
      data be( 43, 49),bee( 43, 49),iaud( 43, 49)/  787.8450, 0.0038,1/
      data be( 43, 50),bee( 43, 50),iaud( 43, 50)/  800.5985, 0.0038,1/
      data be( 43, 51),bee( 43, 51),iaud( 43, 51)/  809.2213, 0.0043,1/
      data be( 43, 52),bee( 43, 52),iaud( 43, 52)/  819.1557, 0.0053,1/
      data be( 43, 53),bee( 43, 53),iaud( 43, 53)/  827.0272, 0.0054,1/
      data be( 43, 54),bee( 43, 54),iaud( 43, 54)/  836.5014, 0.0044,1/
      data be( 43, 55),bee( 43, 55),iaud( 43, 55)/  843.7801, 0.0036,1/
      data be( 43, 56),bee( 43, 56),iaud( 43, 56)/  852.7466, 0.0017,1/
      data be( 43, 57),bee( 43, 57),iaud( 43, 57)/  859.5111, 0.0020,1/
      data be( 43, 58),bee( 43, 58),iaud( 43, 58)/  867.9012, 0.0240,1/
      data be( 43, 59),bee( 43, 59),iaud( 43, 59)/  874.2026, 0.0093,1/
      data be( 43, 60),bee( 43, 60),iaud( 43, 60)/  882.3054, 0.0100,1/
      data be( 43, 61),bee( 43, 61),iaud( 43, 61)/  888.2852, 0.0250,1/
      data be( 43, 62),bee( 43, 62),iaud( 43, 62)/  896.1418, 0.0353,1/
      data be( 43, 63),bee( 43, 63),iaud( 43, 63)/  901.6925, 0.0125,1/
      data be( 43, 64),bee( 43, 64),iaud( 43, 64)/  908.7366, 0.0088,1/
      data be( 43, 65),bee( 43, 65),iaud( 43, 65)/  913.9807, 0.0089,1/
      data be( 43, 66),bee( 43, 66),iaud( 43, 66)/  920.4120, 0.0098,1/
      data be( 43, 67),bee( 43, 67),iaud( 43, 67)/  925.2349, 0.0096,1/
      data be( 43, 68),bee( 43, 68),iaud( 43, 68)/  931.2963, 0.0107,1/
      data be( 43, 69),bee( 43, 69),iaud( 43, 69)/  935.5999, 0.0058,1/
      data be( 43, 70),bee( 43, 70),iaud( 43, 70)/  941.2957, 0.0988,1/
      data be( 44, 46),bee( 44, 46),iaud( 44, 46)/  756.8787, 0.0041,1/
      data be( 44, 47),bee( 44, 47),iaud( 44, 47)/  768.3054, 0.0029,1/
      data be( 44, 48),bee( 44, 48),iaud( 44, 48)/  782.4391, 0.0028,1/
      data be( 44, 49),bee( 44, 49),iaud( 44, 49)/  793.4232, 0.0040,1/
      data be( 44, 50),bee( 44, 50),iaud( 44, 50)/  806.8602, 0.0039,1/
      data be( 44, 51),bee( 44, 51),iaud( 44, 51)/  815.8096, 0.0096,1/
      data be( 44, 52),bee( 44, 52),iaud( 44, 52)/  826.5037, 0.0014,1/
      data be( 44, 53),bee( 44, 53),iaud( 44, 53)/  834.6152, 0.0031,1/
      data be( 44, 54),bee( 44, 54),iaud( 44, 54)/  844.7907, 0.0065,1/
      data be( 44, 55),bee( 44, 55),iaud( 44, 55)/  852.2574, 0.0020,1/
      data be( 44, 56),bee( 44, 56),iaud( 44, 56)/  861.9307, 0.0020,1/
      data be( 44, 57),bee( 44, 57),iaud( 44, 57)/  868.7328, 0.0020,1/
      data be( 44, 58),bee( 44, 58),iaud( 44, 58)/  877.9523, 0.0020,1/
      data be( 44, 59),bee( 44, 59),iaud( 44, 59)/  884.1845, 0.0020,1/
      data be( 44, 60),bee( 44, 60),iaud( 44, 60)/  893.0861, 0.0030,1/
      data be( 44, 61),bee( 44, 61),iaud( 44, 61)/  898.9962, 0.0030,1/
      data be( 44, 62),bee( 44, 62),iaud( 44, 62)/  907.4572, 0.0059,1/
      data be( 44, 63),bee( 44, 63),iaud( 44, 63)/  913.0667, 0.0088,1/
      data be( 44, 64),bee( 44, 64),iaud( 44, 64)/  920.9369, 0.0089,1/
      data be( 44, 65),bee( 44, 65),iaud( 44, 65)/  926.0853, 0.0090,1/
      data be( 44, 66),bee( 44, 66),iaud( 44, 66)/  933.4913, 0.0091,1/
      data be( 44, 67),bee( 44, 67),iaud( 44, 67)/  938.2747, 0.0098,1/
      data be( 44, 68),bee( 44, 68),iaud( 44, 68)/  945.1915, 0.0097,1/
      data be( 44, 69),bee( 44, 69),iaud( 44, 69)/  949.5099, 0.0357,1/
      data be( 44, 70),bee( 44, 70),iaud( 44, 70)/  955.9224, 0.0124,1/
      data be( 44, 71),bee( 44, 71),iaud( 44, 71)/  959.9678, 0.0886,1/
      data be( 45, 47),bee( 45, 47),iaud( 45, 47)/  770.3546, 0.0044,1/
      data be( 45, 48),bee( 45, 48),iaud( 45, 48)/  784.4439, 0.0031,1/
      data be( 45, 49),bee( 45, 49),iaud( 45, 49)/  796.4057, 0.0043,1/
      data be( 45, 50),bee( 45, 50),iaud( 45, 50)/  809.9118, 0.0042,1/
      data be( 45, 51),bee( 45, 51),iaud( 45, 51)/  819.3286, 0.0101,1/
      data be( 45, 52),bee( 45, 52),iaud( 45, 52)/  830.3097, 0.0355,1/
      data be( 45, 53),bee( 45, 53),iaud( 45, 53)/  838.9587, 0.0120,1/
      data be( 45, 54),bee( 45, 54),iaud( 45, 54)/  849.4318, 0.0069,1/
      data be( 45, 55),bee( 45, 55),iaud( 45, 55)/  857.5130, 0.0182,1/
      data be( 45, 56),bee( 45, 56),iaud( 45, 56)/  867.4092, 0.0061,1/
      data be( 45, 57),bee( 45, 57),iaud( 45, 57)/  874.8471, 0.0049,1/
      data be( 45, 58),bee( 45, 58),iaud( 45, 58)/  884.1656, 0.0028,1/
      data be( 45, 59),bee( 45, 59),iaud( 45, 59)/  891.1646, 0.0028,1/
      data be( 45, 60),bee( 45, 60),iaud( 45, 60)/  900.1316, 0.0036,1/
      data be( 45, 61),bee( 45, 61),iaud( 45, 61)/  906.7143, 0.0059,1/
      data be( 45, 62),bee( 45, 62),iaud( 45, 62)/  915.2861, 0.0123,1/
      data be( 45, 63),bee( 45, 63),iaud( 45, 63)/  921.5283, 0.0141,1/
      data be( 45, 64),bee( 45, 64),iaud( 45, 64)/  929.5787, 0.0060,1/
      data be( 45, 65),bee( 45, 65),iaud( 45, 65)/  935.4828, 0.0187,1/
      data be( 45, 66),bee( 45, 66),iaud( 45, 66)/  943.0149, 0.0071,1/
      data be( 45, 67),bee( 45, 67),iaud( 45, 67)/  948.5156, 0.0441,1/
      data be( 45, 68),bee( 45, 68),iaud( 45, 68)/  955.6207, 0.0075,1/
      data be( 45, 69),bee( 45, 69),iaud( 45, 69)/  960.6378, 0.0716,1/
      data be( 45, 70),bee( 45, 70),iaud( 45, 70)/  967.2256, 0.0076,1/
      data be( 45, 71),bee( 45, 71),iaud( 45, 71)/  971.8085, 0.0655,1/
      data be( 45, 72),bee( 45, 72),iaud( 45, 72)/  978.0358, 0.0091,1/
      data be( 45, 73),bee( 45, 73),iaud( 45, 73)/  982.0972, 0.0243,1/
      data be( 46, 48),bee( 46, 48),iaud( 46, 48)/  788.8182, 0.0045,1/
      data be( 46, 49),bee( 46, 49),iaud( 46, 49)/  800.7534, 0.0047,1/
      data be( 46, 50),bee( 46, 50),iaud( 46, 50)/  815.0421, 0.0044,1/
      data be( 46, 51),bee( 46, 51),iaud( 46, 51)/  824.7357, 0.0049,1/
      data be( 46, 52),bee( 46, 52),iaud( 46, 52)/  836.3217, 0.0046,1/
      data be( 46, 53),bee( 46, 53),iaud( 46, 53)/  845.2571, 0.0050,1/
      data be( 46, 54),bee( 46, 54),iaud( 46, 54)/  856.3703, 0.0177,1/
      data be( 46, 55),bee( 46, 55),iaud( 46, 55)/  864.6469, 0.0048,1/
      data be( 46, 56),bee( 46, 56),iaud( 46, 56)/  875.2150, 0.0030,1/
      data be( 46, 57),bee( 46, 57),iaud( 46, 57)/  882.8403, 0.0029,1/
      data be( 46, 58),bee( 46, 58),iaud( 46, 58)/  892.8223, 0.0034,1/
      data be( 46, 59),bee( 46, 59),iaud( 46, 59)/  899.9163, 0.0034,1/
      data be( 46, 60),bee( 46, 60),iaud( 46, 60)/  909.4773, 0.0034,1/
      data be( 46, 61),bee( 46, 61),iaud( 46, 61)/  916.0139, 0.0034,1/
      data be( 46, 62),bee( 46, 62),iaud( 46, 62)/  925.2355, 0.0028,1/
      data be( 46, 63),bee( 46, 63),iaud( 46, 63)/  931.3890, 0.0028,1/
      data be( 46, 64),bee( 46, 64),iaud( 46, 64)/  940.2054, 0.0067,1/
      data be( 46, 65),bee( 46, 65),iaud( 46, 65)/  945.9317, 0.0067,1/
      data be( 46, 66),bee( 46, 66),iaud( 46, 66)/  954.3229, 0.0068,1/
      data be( 46, 67),bee( 46, 67),iaud( 46, 67)/  959.6619, 0.0072,1/
      data be( 46, 68),bee( 46, 68),iaud( 46, 68)/  967.6330, 0.0072,1/
      data be( 46, 69),bee( 46, 69),iaud( 46, 69)/  972.6399, 0.0137,1/
      data be( 46, 70),bee( 46, 70),iaud( 46, 70)/  980.1164, 0.0074,1/
      data be( 46, 71),bee( 46, 71),iaud( 46, 71)/  984.7805, 0.0075,1/
      data be( 46, 72),bee( 46, 72),iaud( 46, 72)/  991.8186, 0.0077,1/
      data be( 46, 73),bee( 46, 73),iaud( 46, 73)/  995.9066, 0.0084,1/
      data be( 46, 74),bee( 46, 74),iaud( 46, 74)/ 1002.8801, 0.0094,1/
      data be( 47, 49),bee( 47, 49),iaud( 47, 49)/  802.6996, 0.0602,1/
      data be( 47, 50),bee( 47, 50),iaud( 47, 50)/  816.9733, 0.1101,1/
      data be( 47, 51),bee( 47, 51),iaud( 47, 51)/  827.2698, 0.0372,1/
      data be( 47, 52),bee( 47, 52),iaud( 47, 52)/  839.0027, 0.0062,1/
      data be( 47, 53),bee( 47, 53),iaud( 47, 53)/  848.4994, 0.0050,1/
      data be( 47, 54),bee( 47, 54),iaud( 47, 54)/  859.7672, 0.0048,1/
      data be( 47, 55),bee( 47, 55),iaud( 47, 55)/  868.7507, 0.0082,1/
      data be( 47, 56),bee( 47, 56),iaud( 47, 56)/  879.3757, 0.0038,1/
      data be( 47, 57),bee( 47, 57),iaud( 47, 57)/  887.7613, 0.0053,1/
      data be( 47, 58),bee( 47, 58),iaud( 47, 58)/  897.7889, 0.0045,1/
      data be( 47, 59),bee( 47, 59),iaud( 47, 59)/  905.7299, 0.0043,1/
      data be( 47, 60),bee( 47, 60),iaud( 47, 60)/  915.2662, 0.0031,1/
      data be( 47, 61),bee( 47, 61),iaud( 47, 61)/  922.5376, 0.0030,1/
      data be( 47, 62),bee( 47, 62),iaud( 47, 62)/  931.7228, 0.0021,1/
      data be( 47, 63),bee( 47, 63),iaud( 47, 63)/  938.5320, 0.0020,1/
      data be( 47, 64),bee( 47, 64),iaud( 47, 64)/  947.3639, 0.0022,1/
      data be( 47, 65),bee( 47, 65),iaud( 47, 65)/  953.8010, 0.0025,1/
      data be( 47, 66),bee( 47, 66),iaud( 47, 66)/  962.3185, 0.0167,1/
      data be( 47, 67),bee( 47, 67),iaud( 47, 67)/  968.2907, 0.0046,1/
      data be( 47, 68),bee( 47, 68),iaud( 47, 68)/  976.4145, 0.0183,1/
      data be( 47, 69),bee( 47, 69),iaud( 47, 69)/  982.0452, 0.0032,1/
      data be( 47, 70),bee( 47, 70),iaud( 47, 70)/  989.7558, 0.0136,1/
      data be( 47, 71),bee( 47, 71),iaud( 47, 71)/  995.1989, 0.0025,1/
      data be( 47, 72),bee( 47, 72),iaud( 47, 72)/ 1002.3622, 0.0148,1/
      data be( 47, 73),bee( 47, 73),iaud( 47, 73)/ 1007.4393, 0.0044,1/
      data be( 47, 74),bee( 47, 74),iaud( 47, 74)/ 1014.2620, 0.0121,1/
      data be( 47, 75),bee( 47, 75),iaud( 47, 75)/ 1019.0364, 0.0382,1/
      data be( 47, 76),bee( 47, 76),iaud( 47, 76)/ 1025.5497, 0.0308,1/
      data be( 47, 77),bee( 47, 77),iaud( 47, 77)/ 1030.2732, 0.2515,1/
      data be( 48, 50),bee( 48, 50),iaud( 48, 50)/  821.0574, 0.0547,1/
      data be( 48, 51),bee( 48, 51),iaud( 48, 51)/  831.4389, 0.0016,1/
      data be( 48, 52),bee( 48, 52),iaud( 48, 52)/  843.7737, 0.0017,1/
      data be( 48, 53),bee( 48, 53),iaud( 48, 53)/  853.4866, 0.0014,1/
      data be( 48, 54),bee( 48, 54),iaud( 48, 54)/  865.3815, 0.0016,1/
      data be( 48, 55),bee( 48, 55),iaud( 48, 55)/  874.4451, 0.0018,1/
      data be( 48, 56),bee( 48, 56),iaud( 48, 56)/  885.8328, 0.0017,1/
      data be( 48, 57),bee( 48, 57),iaud( 48, 57)/  894.2695, 0.0014,1/
      data be( 48, 58),bee( 48, 58),iaud( 48, 58)/  905.1374, 0.0017,1/
      data be( 48, 59),bee( 48, 59),iaud( 48, 59)/  913.0683, 0.0017,1/
      data be( 48, 60),bee( 48, 60),iaud( 48, 60)/  923.4021, 0.0021,1/
      data be( 48, 61),bee( 48, 61),iaud( 48, 61)/  930.7252, 0.0016,1/
      data be( 48, 62),bee( 48, 62),iaud( 48, 62)/  940.6426, 0.0018,1/
      data be( 48, 63),bee( 48, 63),iaud( 48, 63)/  947.6183, 0.0017,1/
      data be( 48, 64),bee( 48, 64),iaud( 48, 64)/  957.0126, 0.0017,1/
      data be( 48, 65),bee( 48, 65),iaud( 48, 65)/  963.5526, 0.0016,1/
      data be( 48, 66),bee( 48, 66),iaud( 48, 66)/  972.5956, 0.0016,1/
      data be( 48, 67),bee( 48, 67),iaud( 48, 67)/  978.7365, 0.0017,1/
      data be( 48, 68),bee( 48, 68),iaud( 48, 68)/  987.4366, 0.0016,1/
      data be( 48, 69),bee( 48, 69),iaud( 48, 69)/  993.2138, 0.0020,1/
      data be( 48, 70),bee( 48, 70),iaud( 48, 70)/ 1001.5684, 0.0201,1/
      data be( 48, 71),bee( 48, 71),iaud( 48, 71)/ 1006.9112, 0.0377,1/
      data be( 48, 72),bee( 48, 72),iaud( 48, 72)/ 1014.9628, 0.0037,1/
      data be( 48, 73),bee( 48, 73),iaud( 48, 73)/ 1020.1346, 0.0846,1/
      data be( 48, 74),bee( 48, 74),iaud( 48, 74)/ 1027.7645, 0.0044,1/
      data be( 48, 75),bee( 48, 75),iaud( 48, 75)/ 1032.5382, 0.0374,1/
      data be( 48, 76),bee( 48, 76),iaud( 48, 76)/ 1039.9882, 0.0092,1/
      data be( 48, 77),bee( 48, 77),iaud( 48, 77)/ 1044.7098, 0.0609,1/
      data be( 48, 78),bee( 48, 78),iaud( 48, 78)/ 1051.6898, 0.0042,1/
      data be( 48, 79),bee( 48, 79),iaud( 48, 79)/ 1055.9402, 0.0639,1/
      data be( 48, 80),bee( 48, 80),iaud( 48, 80)/ 1062.8264, 0.0168,1/
      data be( 48, 82),bee( 48, 82),iaud( 48, 82)/ 1073.2568, 0.1647,1/
      data be( 49, 51),bee( 49, 51),iaud( 49, 51)/  833.1409, 0.1803,1/
      data be( 49, 53),bee( 49, 53),iaud( 49, 53)/  855.6344, 0.0048,1/
      data be( 49, 54),bee( 49, 54),iaud( 49, 54)/  867.6403, 0.0092,1/
      data be( 49, 55),bee( 49, 55),iaud( 49, 55)/  877.2647, 0.0058,1/
      data be( 49, 56),bee( 49, 56),iaud( 49, 56)/  888.7939, 0.0103,1/
      data be( 49, 57),bee( 49, 57),iaud( 49, 57)/  897.8286, 0.0113,1/
      data be( 49, 58),bee( 49, 58),iaud( 49, 58)/  908.8600, 0.0104,1/
      data be( 49, 59),bee( 49, 59),iaud( 49, 59)/  917.4834, 0.0094,1/
      data be( 49, 60),bee( 49, 60),iaud( 49, 60)/  927.9271, 0.0043,1/
      data be( 49, 61),bee( 49, 61),iaud( 49, 61)/  935.9822, 0.0117,1/
      data be( 49, 62),bee( 49, 62),iaud( 49, 62)/  945.9745, 0.0039,1/
      data be( 49, 63),bee( 49, 63),iaud( 49, 63)/  953.6456, 0.0046,1/
      data be( 49, 64),bee( 49, 64),iaud( 49, 64)/  963.0923, 0.0016,1/
      data be( 49, 65),bee( 49, 65),iaud( 49, 65)/  970.3661, 0.0015,1/
      data be( 49, 66),bee( 49, 66),iaud( 49, 66)/  979.4028, 0.0000,1/
      data be( 49, 67),bee( 49, 67),iaud( 49, 67)/  986.1876, 0.0002,1/
      data be( 49, 68),bee( 49, 68),iaud( 49, 68)/  994.9522, 0.0049,1/
      data be( 49, 69),bee( 49, 69),iaud( 49, 69)/ 1001.3086, 0.0078,1/
      data be( 49, 70),bee( 49, 70),iaud( 49, 70)/ 1009.8508, 0.0076,1/
      data be( 49, 71),bee( 49, 71),iaud( 49, 71)/ 1015.9513, 0.0401,1/
      data be( 49, 72),bee( 49, 72),iaud( 49, 72)/ 1024.1322, 0.0275,1/
      data be( 49, 73),bee( 49, 73),iaud( 49, 73)/ 1029.9397, 0.0500,1/
      data be( 49, 74),bee( 49, 74),iaud( 49, 74)/ 1037.8646, 0.0234,1/
      data be( 49, 75),bee( 49, 75),iaud( 49, 75)/ 1043.3771, 0.0310,1/
      data be( 49, 76),bee( 49, 76),iaud( 49, 76)/ 1051.0585, 0.0294,1/
      data be( 49, 77),bee( 49, 77),iaud( 49, 77)/ 1056.4647, 0.0404,1/
      data be( 49, 78),bee( 49, 78),iaud( 49, 78)/ 1063.6144, 0.0224,1/
      data be( 49, 79),bee( 49, 79),iaud( 49, 79)/ 1069.1543, 0.0485,1/
      data be( 49, 80),bee( 49, 80),iaud( 49, 80)/ 1075.6787, 0.0388,1/
      data be( 49, 81),bee( 49, 81),iaud( 49, 81)/ 1080.8246, 0.0390,1/
      data be( 49, 82),bee( 49, 82),iaud( 49, 82)/ 1087.0574, 0.0200,1/
      data be( 49, 83),bee( 49, 83),iaud( 49, 83)/ 1089.4926, 0.0603,1/
      data be( 50, 50),bee( 50, 50),iaud( 50, 50)/  824.9393, 0.5606,1/
      data be( 50, 52),bee( 50, 52),iaud( 50, 52)/  849.0919, 0.1002,1/
      data be( 50, 53),bee( 50, 53),iaud( 50, 53)/  859.1978, 0.0706,1/
      data be( 50, 54),bee( 50, 54),iaud( 50, 54)/  871.9244, 0.0059,1/
      data be( 50, 55),bee( 50, 55),iaud( 50, 55)/  881.7089, 0.0040,1/
      data be( 50, 56),bee( 50, 56),iaud( 50, 56)/  893.7960, 0.0051,1/
      data be( 50, 57),bee( 50, 57),iaud( 50, 57)/  903.0259, 0.0054,1/
      data be( 50, 58),bee( 50, 58),iaud( 50, 58)/  914.6562, 0.0055,1/
      data be( 50, 59),bee( 50, 59),iaud( 50, 59)/  923.2892, 0.0081,1/
      data be( 50, 60),bee( 50, 60),iaud( 50, 60)/  934.5714, 0.0137,1/
      data be( 50, 61),bee( 50, 61),iaud( 50, 61)/  942.7404, 0.0055,1/
      data be( 50, 62),bee( 50, 62),iaud( 50, 62)/  953.5281, 0.0017,1/
      data be( 50, 63),bee( 50, 63),iaud( 50, 63)/  961.2718, 0.0021,1/
      data be( 50, 64),bee( 50, 64),iaud( 50, 64)/  971.5723, 0.0015,1/
      data be( 50, 65),bee( 50, 65),iaud( 50, 65)/  979.1180, 0.0000,1/
      data be( 50, 66),bee( 50, 66),iaud( 50, 66)/  988.6815, 0.0001,1/
      data be( 50, 67),bee( 50, 67),iaud( 50, 67)/  995.6245, 0.0005,1/
      data be( 50, 68),bee( 50, 68),iaud( 50, 68)/ 1004.9509, 0.0005,1/
      data be( 50, 69),bee( 50, 69),iaud( 50, 69)/ 1011.4344, 0.0007,1/
      data be( 50, 70),bee( 50, 70),iaud( 50, 70)/ 1020.5389, 0.0022,1/
      data be( 50, 71),bee( 50, 71),iaud( 50, 71)/ 1026.7092, 0.0022,1/
      data be( 50, 72),bee( 50, 72),iaud( 50, 72)/ 1035.5260, 0.0026,1/
      data be( 50, 73),bee( 50, 73),iaud( 50, 73)/ 1041.4723, 0.0026,1/
      data be( 50, 74),bee( 50, 74),iaud( 50, 74)/ 1049.9631, 0.0014,1/
      data be( 50, 75),bee( 50, 75),iaud( 50, 75)/ 1055.6963, 0.0015,1/
      data be( 50, 76),bee( 50, 76),iaud( 50, 76)/ 1063.8895, 0.0107,1/
      data be( 50, 77),bee( 50, 77),iaud( 50, 77)/ 1069.4098, 0.0102,1/
      data be( 50, 78),bee( 50, 78),iaud( 50, 78)/ 1077.3477, 0.0271,1/
      data be( 50, 79),bee( 50, 79),iaud( 50, 79)/ 1082.6764, 0.0289,1/
      data be( 50, 80),bee( 50, 80),iaud( 50, 80)/ 1090.2913, 0.0090,1/
      data be( 50, 81),bee( 50, 81),iaud( 50, 81)/ 1095.4969, 0.0089,1/
      data be( 50, 82),bee( 50, 82),iaud( 50, 82)/ 1102.8451, 0.0063,1/
      data be( 50, 83),bee( 50, 83),iaud( 50, 83)/ 1105.2148, 0.0233,1/
      data be( 50, 84),bee( 50, 84),iaud( 50, 84)/ 1108.7626, 0.1490,1/
      data be( 51, 54),bee( 51, 54),iaud( 51, 54)/  871.4418, 0.0162,1/
      data be( 51, 55),bee( 51, 55),iaud( 51, 55)/  882.1332, 0.0074,1/
      data be( 51, 56),bee( 51, 56),iaud( 51, 56)/  894.3846, 0.0042,1/
      data be( 51, 57),bee( 51, 57),iaud( 51, 57)/  904.2479, 0.0055,1/
      data be( 51, 58),bee( 51, 58),iaud( 51, 58)/  916.1252, 0.0052,1/
      data be( 51, 59),bee( 51, 59),iaud( 51, 59)/  925.3949, 0.0059,1/
      data be( 51, 60),bee( 51, 60),iaud( 51, 60)/  936.8533, 0.0089,1/
      data be( 51, 61),bee( 51, 61),iaud( 51, 61)/  945.6886, 0.0178,1/
      data be( 51, 62),bee( 51, 62),iaud( 51, 62)/  956.5762, 0.0173,1/
      data be( 51, 63),bee( 51, 63),iaud( 51, 63)/  964.7269, 0.0219,1/
      data be( 51, 64),bee( 51, 64),iaud( 51, 64)/  975.3052, 0.0160,1/
      data be( 51, 65),bee( 51, 65),iaud( 51, 65)/  983.1953, 0.0052,1/
      data be( 51, 66),bee( 51, 66),iaud( 51, 66)/  993.0870, 0.0089,1/
      data be( 51, 67),bee( 51, 67),iaud( 51, 67)/ 1000.5120, 0.0031,1/
      data be( 51, 68),bee( 51, 68),iaud( 51, 68)/ 1010.0613, 0.0077,1/
      data be( 51, 69),bee( 51, 69),iaud( 51, 69)/ 1017.0759, 0.0074,1/
      data be( 51, 70),bee( 51, 70),iaud( 51, 70)/ 1026.3297, 0.0029,1/
      data be( 51, 71),bee( 51, 71),iaud( 51, 71)/ 1033.1359, 0.0028,1/
      data be( 51, 72),bee( 51, 72),iaud( 51, 72)/ 1042.0985, 0.0022,1/
      data be( 51, 73),bee( 51, 73),iaud( 51, 73)/ 1048.5660, 0.0022,1/
      data be( 51, 74),bee( 51, 74),iaud( 51, 74)/ 1057.2726, 0.0026,1/
      data be( 51, 75),bee( 51, 75),iaud( 51, 75)/ 1063.4851, 0.0319,1/
      data be( 51, 76),bee( 51, 76),iaud( 51, 76)/ 1071.8584, 0.0052,1/
      data be( 51, 77),bee( 51, 77),iaud( 51, 77)/ 1077.8391, 0.0250,1/
      data be( 51, 78),bee( 51, 78),iaud( 51, 78)/ 1085.9296, 0.0213,1/
      data be( 51, 79),bee( 51, 79),iaud( 51, 79)/ 1091.6617, 0.0162,1/
      data be( 51, 80),bee( 51, 80),iaud( 51, 80)/ 1099.4189, 0.0111,1/
      data be( 51, 81),bee( 51, 81),iaud( 51, 81)/ 1105.1829, 0.0104,1/
      data be( 51, 82),bee( 51, 82),iaud( 51, 82)/ 1112.5281, 0.0254,1/
      data be( 51, 83),bee( 51, 83),iaud( 51, 83)/ 1115.8228, 0.0434,1/
      data be( 51, 84),bee( 51, 84),iaud( 51, 84)/ 1119.5155, 0.0479,1/
      data be( 52, 54),bee( 52, 54),iaud( 52, 54)/  873.0975, 0.1006,1/
      data be( 52, 55),bee( 52, 55),iaud( 52, 55)/  883.4853, 0.0707,1/
      data be( 52, 56),bee( 52, 56),iaud( 52, 56)/  896.8040, 0.0056,1/
      data be( 52, 57),bee( 52, 57),iaud( 52, 57)/  906.8070, 0.0044,1/
      data be( 52, 58),bee( 52, 58),iaud( 52, 58)/  919.3927, 0.0066,1/
      data be( 52, 59),bee( 52, 59),iaud( 52, 59)/  928.8217, 0.0064,1/
      data be( 52, 60),bee( 52, 60),iaud( 52, 60)/  940.8730, 0.0084,1/
      data be( 52, 61),bee( 52, 61),iaud( 52, 61)/  949.7238, 0.0279,1/
      data be( 52, 62),bee( 52, 62),iaud( 52, 62)/  961.3367, 0.0279,1/
      data be( 52, 63),bee( 52, 63),iaud( 52, 63)/  969.5823, 0.0279,1/
      data be( 52, 64),bee( 52, 64),iaud( 52, 64)/  980.8596, 0.0280,1/
      data be( 52, 65),bee( 52, 65),iaud( 52, 65)/  988.7590, 0.0135,1/
      data be( 52, 66),bee( 52, 66),iaud( 52, 66)/  999.4170, 0.0190,1/
      data be( 52, 67),bee( 52, 67),iaud( 52, 67)/ 1006.9859, 0.0080,1/
      data be( 52, 68),bee( 52, 68),iaud( 52, 68)/ 1017.2457, 0.0031,1/
      data be( 52, 69),bee( 52, 69),iaud( 52, 69)/ 1024.4929, 0.0259,1/
      data be( 52, 70),bee( 52, 70),iaud( 52, 70)/ 1034.3346, 0.0016,1/
      data be( 52, 71),bee( 52, 71),iaud( 52, 71)/ 1041.2634, 0.0016,1/
      data be( 52, 72),bee( 52, 72),iaud( 52, 72)/ 1050.6880, 0.0016,1/
      data be( 52, 73),bee( 52, 73),iaud( 52, 73)/ 1057.2570, 0.0016,1/
      data be( 52, 74),bee( 52, 74),iaud( 52, 74)/ 1066.3706, 0.0016,1/
      data be( 52, 75),bee( 52, 75),iaud( 52, 75)/ 1072.6582, 0.0017,1/
      data be( 52, 76),bee( 52, 76),iaud( 52, 76)/ 1081.4404, 0.0009,1/
      data be( 52, 77),bee( 52, 77),iaud( 52, 77)/ 1087.5228, 0.0009,1/
      data be( 52, 78),bee( 52, 78),iaud( 52, 78)/ 1095.9421, 0.0000,1/
      data be( 52, 79),bee( 52, 79),iaud( 52, 79)/ 1101.8716, 0.0001,1/
      data be( 52, 80),bee( 52, 80),iaud( 52, 80)/ 1109.9121, 0.0067,1/
      data be( 52, 81),bee( 52, 81),iaud( 52, 81)/ 1115.7478, 0.0245,1/
      data be( 52, 82),bee( 52, 82),iaud( 52, 82)/ 1123.4340, 0.0107,1/
      data be( 52, 83),bee( 52, 83),iaud( 52, 83)/ 1126.8494, 0.0148,1/
      data be( 52, 84),bee( 52, 84),iaud( 52, 84)/ 1131.4962, 0.0248,1/
      data be( 52, 85),bee( 52, 85),iaud( 52, 85)/ 1134.3784, 0.1201,1/
      data be( 52, 86),bee( 52, 86),iaud( 52, 86)/ 1138.9148, 0.1220,1/
      data be( 53, 56),bee( 53, 56),iaud( 53, 56)/  895.9844, 0.0059,1/
      data be( 53, 57),bee( 53, 57),iaud( 53, 57)/  906.8447, 0.0506,1/
      data be( 53, 58),bee( 53, 58),iaud( 53, 58)/  919.4056, 0.0048,1/
      data be( 53, 59),bee( 53, 59),iaud( 53, 59)/  929.5864, 0.0102,1/
      data be( 53, 60),bee( 53, 60),iaud( 53, 60)/  941.7140, 0.0080,1/
      data be( 53, 62),bee( 53, 62),iaud( 53, 62)/  963.0749, 0.0289,1/
      data be( 53, 63),bee( 53, 63),iaud( 53, 63)/  972.3007, 0.0966,1/
      data be( 53, 64),bee( 53, 64),iaud( 53, 64)/  983.3141, 0.0280,1/
      data be( 53, 65),bee( 53, 65),iaud( 53, 65)/  991.9222, 0.0197,1/
      data be( 53, 66),bee( 53, 66),iaud( 53, 66)/ 1002.7879, 0.0280,1/
      data be( 53, 67),bee( 53, 67),iaud( 53, 67)/ 1010.8484, 0.0154,1/
      data be( 53, 68),bee( 53, 68),iaud( 53, 68)/ 1021.4181, 0.0053,1/
      data be( 53, 69),bee( 53, 69),iaud( 53, 69)/ 1029.3181, 0.0052,1/
      data be( 53, 70),bee( 53, 70),iaud( 53, 70)/ 1039.2527, 0.0038,1/
      data be( 53, 71),bee( 53, 71),iaud( 53, 71)/ 1046.7460, 0.0025,1/
      data be( 53, 72),bee( 53, 72),iaud( 53, 72)/ 1056.2888, 0.0016,1/
      data be( 53, 73),bee( 53, 73),iaud( 53, 73)/ 1063.4338, 0.0038,1/
      data be( 53, 74),bee( 53, 74),iaud( 53, 74)/ 1072.5776, 0.0037,1/
      data be( 53, 75),bee( 53, 75),iaud( 53, 75)/ 1079.4038, 0.0037,1/
      data be( 53, 76),bee( 53, 76),iaud( 53, 76)/ 1088.2428, 0.0032,1/
      data be( 53, 77),bee( 53, 77),iaud( 53, 77)/ 1094.7429, 0.0031,1/
      data be( 53, 78),bee( 53, 78),iaud( 53, 78)/ 1103.3210, 0.0007,1/
      data be( 53, 79),bee( 53, 79),iaud( 53, 79)/ 1109.6476, 0.0057,1/
      data be( 53, 80),bee( 53, 80),iaud( 53, 80)/ 1117.9075, 0.0047,1/
      data be( 53, 81),bee( 53, 81),iaud( 53, 81)/ 1124.1646, 0.0080,1/
      data be( 53, 82),bee( 53, 82),iaud( 53, 82)/ 1131.9547, 0.0074,1/
      data be( 53, 83),bee( 53, 83),iaud( 53, 83)/ 1135.8069, 0.0188,1/
      data be( 53, 84),bee( 53, 84),iaud( 53, 84)/ 1140.8129, 0.0269,1/
      data be( 53, 86),bee( 53, 86),iaud( 53, 86)/ 1148.9760, 0.1211,1/
      data be( 53, 87),bee( 53, 87),iaud( 53, 87)/ 1152.1161, 0.1211,1/
      data be( 53, 88),bee( 53, 88),iaud( 53, 88)/ 1156.8926, 0.1276,1/
      data be( 54, 56),bee( 54, 56),iaud( 54, 56)/  897.5179, 0.1011,1/
      data be( 54, 57),bee( 54, 57),iaud( 54, 57)/  908.0620, 0.0867,1/
      data be( 54, 58),bee( 54, 58),iaud( 54, 58)/  921.7692, 0.0084,1/
      data be( 54, 59),bee( 54, 59),iaud( 54, 59)/  932.0157, 0.0069,1/
      data be( 54, 60),bee( 54, 60),iaud( 54, 60)/  944.9694, 0.0112,1/
      data be( 54, 61),bee( 54, 61),iaud( 54, 61)/  954.6115, 0.0121,1/
      data be( 54, 62),bee( 54, 62),iaud( 54, 62)/  967.0729, 0.0130,1/
      data be( 54, 63),bee( 54, 63),iaud( 54, 63)/  976.2827, 0.0104,1/
      data be( 54, 64),bee( 54, 64),iaud( 54, 64)/  988.2478, 0.0104,1/
      data be( 54, 65),bee( 54, 65),iaud( 54, 65)/  997.0345, 0.0104,1/
      data be( 54, 66),bee( 54, 66),iaud( 54, 66)/ 1008.4838, 0.0118,1/
      data be( 54, 67),bee( 54, 67),iaud( 54, 67)/ 1016.8554, 0.0111,1/
      data be( 54, 68),bee( 54, 68),iaud( 54, 68)/ 1027.8090, 0.0111,1/
      data be( 54, 69),bee( 54, 69),iaud( 54, 69)/ 1035.7744, 0.0096,1/
      data be( 54, 70),bee( 54, 70),iaud( 54, 70)/ 1046.2579, 0.0019,1/
      data be( 54, 71),bee( 54, 71),iaud( 54, 71)/ 1053.8611, 0.0019,1/
      data be( 54, 72),bee( 54, 72),iaud( 54, 72)/ 1063.8855, 0.0037,1/
      data be( 54, 73),bee( 54, 73),iaud( 54, 73)/ 1071.1331, 0.0041,1/
      data be( 54, 74),bee( 54, 74),iaud( 54, 74)/ 1080.7421, 0.0010,1/
      data be( 54, 75),bee( 54, 75),iaud( 54, 75)/ 1087.6493, 0.0000,1/
      data be( 54, 76),bee( 54, 76),iaud( 54, 76)/ 1096.9050, 0.0000,1/
      data be( 54, 77),bee( 54, 77),iaud( 54, 77)/ 1103.5094, 0.0003,1/
      data be( 54, 78),bee( 54, 78),iaud( 54, 78)/ 1112.4462, 0.0000,1/
      data be( 54, 79),bee( 54, 79),iaud( 54, 79)/ 1118.8821, 0.0024,1/
      data be( 54, 80),bee( 54, 80),iaud( 54, 80)/ 1127.4343, 0.0008,1/
      data be( 54, 81),bee( 54, 81),iaud( 54, 81)/ 1133.7987, 0.0046,1/
      data be( 54, 82),bee( 54, 82),iaud( 54, 82)/ 1141.8816, 0.0000,1/
      data be( 54, 83),bee( 54, 83),iaud( 54, 83)/ 1145.9072, 0.0001,1/
      data be( 54, 84),bee( 54, 84),iaud( 54, 84)/ 1151.5701, 0.0033,1/
      data be( 54, 85),bee( 54, 85),iaud( 54, 85)/ 1155.3110, 0.0021,1/
      data be( 54, 86),bee( 54, 86),iaud( 54, 86)/ 1160.7241, 0.0024,1/
      data be( 54, 87),bee( 54, 87),iaud( 54, 87)/ 1164.0063, 0.0028,1/
      data be( 54, 88),bee( 54, 88),iaud( 54, 88)/ 1169.1100, 0.0027,1/
      data be( 54, 89),bee( 54, 89),iaud( 54, 89)/ 1172.1545, 0.0047,1/
      data be( 54, 90),bee( 54, 90),iaud( 54, 90)/ 1176.8953, 0.0053,1/
      data be( 54, 91),bee( 54, 91),iaud( 54, 91)/ 1179.5876, 0.0112,1/
      data be( 54, 92),bee( 54, 92),iaud( 54, 92)/ 1184.1206, 0.0242,1/
      data be( 55, 57),bee( 55, 57),iaud( 55, 57)/  907.2478, 0.0869,1/
      data be( 55, 58),bee( 55, 58),iaud( 55, 58)/  920.7956, 0.0088,1/
      data be( 55, 59),bee( 55, 59),iaud( 55, 59)/  931.7833, 0.0711,1/
      data be( 55, 62),bee( 55, 62),iaud( 55, 62)/  967.8081, 0.0624,1/
      data be( 55, 63),bee( 55, 63),iaud( 55, 63)/  977.7958, 0.0127,1/
      data be( 55, 64),bee( 55, 64),iaud( 55, 64)/  989.7628, 0.0139,1/
      data be( 55, 65),bee( 55, 65),iaud( 55, 65)/  999.4177, 0.0100,1/
      data be( 55, 66),bee( 55, 66),iaud( 55, 66)/ 1010.7008, 0.0138,1/
      data be( 55, 67),bee( 55, 67),iaud( 55, 67)/ 1019.8137, 0.0332,1/
      data be( 55, 68),bee( 55, 68),iaud( 55, 68)/ 1030.7866, 0.0121,1/
      data be( 55, 69),bee( 55, 69),iaud( 55, 69)/ 1039.5455, 0.0083,1/
      data be( 55, 70),bee( 55, 70),iaud( 55, 70)/ 1049.9735, 0.0077,1/
      data be( 55, 71),bee( 55, 71),iaud( 55, 71)/ 1058.3018, 0.0121,1/
      data be( 55, 72),bee( 55, 72),iaud( 55, 72)/ 1068.2686, 0.0056,1/
      data be( 55, 73),bee( 55, 73),iaud( 55, 73)/ 1076.0311, 0.0055,1/
      data be( 55, 74),bee( 55, 74),iaud( 55, 74)/ 1085.6702, 0.0045,1/
      data be( 55, 75),bee( 55, 75),iaud( 55, 75)/ 1093.1420, 0.0083,1/
      data be( 55, 76),bee( 55, 76),iaud( 55, 76)/ 1102.3724, 0.0050,1/
      data be( 55, 77),bee( 55, 77),iaud( 55, 77)/ 1109.5405, 0.0018,1/
      data be( 55, 78),bee( 55, 78),iaud( 55, 78)/ 1118.5270, 0.0000,1/
      data be( 55, 79),bee( 55, 79),iaud( 55, 79)/ 1125.4186, 0.0000,1/
      data be( 55, 80),bee( 55, 80),iaud( 55, 80)/ 1134.1807, 0.0009,1/
      data be( 55, 81),bee( 55, 81),iaud( 55, 81)/ 1141.0092, 0.0019,1/
      data be( 55, 82),bee( 55, 82),iaud( 55, 82)/ 1149.2874, 0.0004,1/
      data be( 55, 83),bee( 55, 83),iaud( 55, 83)/ 1153.6998, 0.0091,1/
      data be( 55, 84),bee( 55, 84),iaud( 55, 84)/ 1159.5852, 0.0032,1/
      data be( 55, 85),bee( 55, 85),iaud( 55, 85)/ 1164.0056, 0.0083,1/
      data be( 55, 86),bee( 55, 86),iaud( 55, 86)/ 1169.5070, 0.0102,1/
      data be( 55, 87),bee( 55, 87),iaud( 55, 87)/ 1173.6233, 0.0107,1/
      data be( 55, 88),bee( 55, 88),iaud( 55, 88)/ 1178.8442, 0.0222,1/
      data be( 55, 89),bee( 55, 89),iaud( 55, 89)/ 1182.5118, 0.0252,1/
      data be( 55, 90),bee( 55, 90),iaud( 55, 90)/ 1187.3678, 0.0107,1/
      data be( 55, 91),bee( 55, 91),iaud( 55, 91)/ 1190.9524, 0.0396,1/
      data be( 55, 92),bee( 55, 92),iaud( 55, 92)/ 1195.4725, 0.0531,1/
      data be( 55, 93),bee( 55, 93),iaud( 55, 93)/ 1198.8203, 0.5756,1/
      data be( 56, 58),bee( 56, 58),iaud( 56, 58)/  922.2794, 0.1093,1/
      data be( 56, 61),bee( 56, 61),iaud( 56, 61)/  957.9905, 0.2504,1/
      data be( 56, 63),bee( 56, 63),iaud( 56, 63)/  981.2654, 0.2003,1/
      data be( 56, 64),bee( 56, 64),iaud( 56, 64)/  993.6353, 0.3001,1/
      data be( 56, 65),bee( 56, 65),iaud( 56, 65)/ 1003.5608, 0.1418,1/
      data be( 56, 66),bee( 56, 66),iaud( 56, 66)/ 1015.4982, 0.0279,1/
      data be( 56, 67),bee( 56, 67),iaud( 56, 67)/ 1024.6156, 0.0121,1/
      data be( 56, 68),bee( 56, 68),iaud( 56, 68)/ 1036.1217, 0.0125,1/
      data be( 56, 69),bee( 56, 69),iaud( 56, 69)/ 1044.7712, 0.0111,1/
      data be( 56, 70),bee( 56, 70),iaud( 56, 70)/ 1055.8445, 0.0125,1/
      data be( 56, 71),bee( 56, 71),iaud( 56, 71)/ 1064.0614, 0.0114,1/
      data be( 56, 72),bee( 56, 72),iaud( 56, 72)/ 1074.6964, 0.0052,1/
      data be( 56, 73),bee( 56, 73),iaud( 56, 73)/ 1082.4528, 0.0110,1/
      data be( 56, 74),bee( 56, 74),iaud( 56, 74)/ 1092.7217, 0.0026,1/
      data be( 56, 75),bee( 56, 75),iaud( 56, 75)/ 1100.2151, 0.0026,1/
      data be( 56, 76),bee( 56, 76),iaud( 56, 76)/ 1110.0375, 0.0011,1/
      data be( 56, 77),bee( 56, 77),iaud( 56, 77)/ 1117.2274, 0.0009,1/
      data be( 56, 78),bee( 56, 78),iaud( 56, 78)/ 1126.6952, 0.0003,1/
      data be( 56, 79),bee( 56, 79),iaud( 56, 79)/ 1133.6672, 0.0003,1/
      data be( 56, 80),bee( 56, 80),iaud( 56, 80)/ 1142.7749, 0.0003,1/
      data be( 56, 81),bee( 56, 81),iaud( 56, 81)/ 1149.6805, 0.0003,1/
      data be( 56, 82),bee( 56, 82),iaud( 56, 82)/ 1158.2924, 0.0003,1/
      data be( 56, 83),bee( 56, 83),iaud( 56, 83)/ 1163.0157, 0.0003,1/
      data be( 56, 84),bee( 56, 84),iaud( 56, 84)/ 1169.4434, 0.0080,1/
      data be( 56, 85),bee( 56, 85),iaud( 56, 85)/ 1173.9774, 0.0054,1/
      data be( 56, 86),bee( 56, 86),iaud( 56, 86)/ 1180.1608, 0.0062,1/
      data be( 56, 87),bee( 56, 87),iaud( 56, 87)/ 1184.3242, 0.0069,1/
      data be( 56, 88),bee( 56, 88),iaud( 56, 88)/ 1190.2253, 0.0072,1/
      data be( 56, 89),bee( 56, 89),iaud( 56, 89)/ 1194.0457, 0.0084,1/
      data be( 56, 90),bee( 56, 90),iaud( 56, 90)/ 1199.5415, 0.0204,1/
      data be( 56, 91),bee( 56, 91),iaud( 56, 91)/ 1202.9363, 0.0197,1/
      data be( 56, 92),bee( 56, 92),iaud( 56, 92)/ 1208.3373, 0.0630,1/
      data be( 57, 67),bee( 57, 67),iaud( 57, 67)/ 1026.5082, 0.0567,1/
      data be( 57, 68),bee( 57, 68),iaud( 57, 68)/ 1038.0802, 0.0260,1/
      data be( 57, 69),bee( 57, 69),iaud( 57, 69)/ 1047.3656, 0.0905,1/
      data be( 57, 70),bee( 57, 70),iaud( 57, 70)/ 1058.3594, 0.0259,1/
      data be( 57, 71),bee( 57, 71),iaud( 57, 71)/ 1067.1667, 0.0544,1/
      data be( 57, 72),bee( 57, 72),iaud( 57, 72)/ 1077.9324, 0.0209,1/
      data be( 57, 73),bee( 57, 73),iaud( 57, 73)/ 1086.3055, 0.0260,1/
      data be( 57, 74),bee( 57, 74),iaud( 57, 74)/ 1096.5181, 0.0279,1/
      data be( 57, 75),bee( 57, 75),iaud( 57, 75)/ 1104.5438, 0.0363,1/
      data be( 57, 76),bee( 57, 76),iaud( 57, 76)/ 1114.3859, 0.0279,1/
      data be( 57, 77),bee( 57, 77),iaud( 57, 77)/ 1122.1814, 0.0200,1/
      data be( 57, 78),bee( 57, 78),iaud( 57, 78)/ 1131.6848, 0.0100,1/
      data be( 57, 79),bee( 57, 79),iaud( 57, 79)/ 1139.1423, 0.0529,1/
      data be( 57, 80),bee( 57, 80),iaud( 57, 80)/ 1148.2827, 0.0122,1/
      data be( 57, 81),bee( 57, 81),iaud( 57, 81)/ 1155.7695, 0.0034,1/
      data be( 57, 82),bee( 57, 82),iaud( 57, 82)/ 1164.5476, 0.0022,1/
      data be( 57, 83),bee( 57, 83),iaud( 57, 83)/ 1169.7085, 0.0022,1/
      data be( 57, 84),bee( 57, 84),iaud( 57, 84)/ 1176.3962, 0.0045,1/
      data be( 57, 85),bee( 57, 85),iaud( 57, 85)/ 1181.5552, 0.0065,1/
      data be( 57, 86),bee( 57, 86),iaud( 57, 86)/ 1187.7759, 0.0073,1/
      data be( 57, 87),bee( 57, 87),iaud( 57, 87)/ 1192.5095, 0.0180,1/
      data be( 57, 88),bee( 57, 88),iaud( 57, 88)/ 1198.5797, 0.0123,1/
      data be( 57, 89),bee( 57, 89),iaud( 57, 89)/ 1202.8678, 0.0337,1/
      data be( 57, 90),bee( 57, 90),iaud( 57, 90)/ 1208.5682, 0.0107,1/
      data be( 57, 91),bee( 57, 91),iaud( 57, 91)/ 1212.6699, 0.0195,1/
      data be( 57, 92),bee( 57, 92),iaud( 57, 92)/ 1218.2524, 0.2003,1/
      data be( 58, 68),bee( 58, 68),iaud( 58, 68)/ 1042.4304, 0.0280,1/
      data be( 58, 69),bee( 58, 69),iaud( 58, 69)/ 1051.6567, 0.0578,1/
      data be( 58, 70),bee( 58, 70),iaud( 58, 70)/ 1063.2864, 0.0279,1/
      data be( 58, 71),bee( 58, 71),iaud( 58, 71)/ 1072.1113, 0.0280,1/
      data be( 58, 72),bee( 58, 72),iaud( 58, 72)/ 1083.3181, 0.0280,1/
      data be( 58, 73),bee( 58, 73),iaud( 58, 73)/ 1091.6740, 0.0327,1/
      data be( 58, 74),bee( 58, 74),iaud( 58, 74)/ 1102.5090, 0.0205,1/
      data be( 58, 75),bee( 58, 75),iaud( 58, 75)/ 1110.5323, 0.0164,1/
      data be( 58, 76),bee( 58, 76),iaud( 58, 76)/ 1121.0164, 0.0204,1/
      data be( 58, 77),bee( 58, 77),iaud( 58, 77)/ 1128.8768, 0.0111,1/
      data be( 58, 78),bee( 58, 78),iaud( 58, 78)/ 1138.7966, 0.0121,1/
      data be( 58, 79),bee( 58, 79),iaud( 58, 79)/ 1146.2782, 0.0122,1/
      data be( 58, 80),bee( 58, 80),iaud( 58, 80)/ 1156.0300, 0.0101,1/
      data be( 58, 81),bee( 58, 81),iaud( 58, 81)/ 1163.4868, 0.0074,1/
      data be( 58, 82),bee( 58, 82),iaud( 58, 82)/ 1172.6869, 0.0022,1/
      data be( 58, 83),bee( 58, 83),iaud( 58, 83)/ 1178.1150, 0.0023,1/
      data be( 58, 84),bee( 58, 84),iaud( 58, 84)/ 1185.2830, 0.0027,1/
      data be( 58, 85),bee( 58, 85),iaud( 58, 85)/ 1190.4279, 0.0027,1/
      data be( 58, 86),bee( 58, 86),iaud( 58, 86)/ 1197.3248, 0.0032,1/
      data be( 58, 87),bee( 58, 87),iaud( 58, 87)/ 1202.0577, 0.0374,1/
      data be( 58, 88),bee( 58, 88),iaud( 58, 88)/ 1208.6771, 0.0181,1/
      data be( 58, 89),bee( 58, 89),iaud( 58, 89)/ 1213.1213, 0.0085,1/
      data be( 58, 90),bee( 58, 90),iaud( 58, 90)/ 1219.5771, 0.0112,1/
      data be( 58, 91),bee( 58, 91),iaud( 58, 91)/ 1223.9200, 0.0103,1/
      data be( 58, 92),bee( 58, 92),iaud( 58, 92)/ 1230.1708, 0.0121,1/
      data be( 58, 93),bee( 58, 93),iaud( 58, 93)/ 1234.6178, 0.0177,1/
      data be( 59, 69),bee( 59, 69),iaud( 59, 69)/ 1053.3009, 0.0298,1/
      data be( 59, 70),bee( 59, 70),iaud( 59, 70)/ 1064.8151, 0.0298,1/
      data be( 59, 71),bee( 59, 71),iaud( 59, 71)/ 1074.2882, 0.0642,1/
      data be( 59, 72),bee( 59, 72),iaud( 59, 72)/ 1085.4846, 0.0470,1/
      data be( 59, 73),bee( 59, 73),iaud( 59, 73)/ 1094.4689, 0.0568,1/
      data be( 59, 74),bee( 59, 74),iaud( 59, 74)/ 1105.2643, 0.0125,1/
      data be( 59, 75),bee( 59, 75),iaud( 59, 75)/ 1113.9121, 0.0355,1/
      data be( 59, 76),bee( 59, 76),iaud( 59, 76)/ 1124.4053, 0.0119,1/
      data be( 59, 77),bee( 59, 77),iaud( 59, 77)/ 1132.8696, 0.0121,1/
      data be( 59, 78),bee( 59, 78),iaud( 59, 78)/ 1142.7908, 0.0114,1/
      data be( 59, 79),bee( 59, 79),iaud( 59, 79)/ 1150.8107, 0.0142,1/
      data be( 59, 80),bee( 59, 80),iaud( 59, 80)/ 1160.5754, 0.0079,1/
      data be( 59, 81),bee( 59, 81),iaud( 59, 81)/ 1168.5166, 0.0064,1/
      data be( 59, 82),bee( 59, 82),iaud( 59, 82)/ 1177.9132, 0.0021,1/
      data be( 59, 83),bee( 59, 83),iaud( 59, 83)/ 1183.7562, 0.0021,1/
      data be( 59, 84),bee( 59, 84),iaud( 59, 84)/ 1191.1073, 0.0023,1/
      data be( 59, 85),bee( 59, 85),iaud( 59, 85)/ 1196.8611, 0.0030,1/
      data be( 59, 86),bee( 59, 86),iaud( 59, 86)/ 1203.8086, 0.0073,1/
      data be( 59, 87),bee( 59, 87),iaud( 59, 87)/ 1208.9392, 0.0353,1/
      data be( 59, 88),bee( 59, 88),iaud( 59, 88)/ 1215.7689, 0.0159,1/
      data be( 59, 89),bee( 59, 89),iaud( 59, 89)/ 1220.9315, 0.0151,1/
      data be( 59, 90),bee( 59, 90),iaud( 59, 90)/ 1227.5071, 0.0098,1/
      data be( 59, 91),bee( 59, 91),iaud( 59, 91)/ 1232.8386, 0.0093,1/
      data be( 59, 92),bee( 59, 92),iaud( 59, 92)/ 1239.3909, 0.0116,1/
      data be( 59, 93),bee( 59, 93),iaud( 59, 93)/ 1244.4398, 0.0185,1/
      data be( 59, 94),bee( 59, 94),iaud( 59, 94)/ 1250.3347, 0.0142,1/
      data be( 59, 95),bee( 59, 95),iaud( 59, 95)/ 1255.0192, 0.1517,1/
      data be( 60, 70),bee( 60, 70),iaud( 60, 70)/ 1068.9266, 0.0280,1/
      data be( 60, 71),bee( 60, 71),iaud( 60, 71)/ 1078.1698, 0.0275,1/
      data be( 60, 72),bee( 60, 72),iaud( 60, 72)/ 1089.8988, 0.0242,1/
      data be( 60, 73),bee( 60, 73),iaud( 60, 73)/ 1098.8768, 0.0465,1/
      data be( 60, 74),bee( 60, 74),iaud( 60, 74)/ 1110.2621, 0.0118,1/
      data be( 60, 75),bee( 60, 75),iaud( 60, 75)/ 1118.9009, 0.0193,1/
      data be( 60, 76),bee( 60, 76),iaud( 60, 76)/ 1129.9576, 0.0118,1/
      data be( 60, 77),bee( 60, 77),iaud( 60, 77)/ 1138.4142, 0.0118,1/
      data be( 60, 78),bee( 60, 78),iaud( 60, 78)/ 1148.9189, 0.0119,1/
      data be( 60, 79),bee( 60, 79),iaud( 60, 79)/ 1156.9868, 0.0277,1/
      data be( 60, 80),bee( 60, 80),iaud( 60, 80)/ 1167.2975, 0.0260,1/
      data be( 60, 81),bee( 60, 81),iaud( 60, 81)/ 1175.3077, 0.0035,1/
      data be( 60, 82),bee( 60, 82),iaud( 60, 82)/ 1185.1356, 0.0018,1/
      data be( 60, 83),bee( 60, 83),iaud( 60, 83)/ 1191.2593, 0.0019,1/
      data be( 60, 84),bee( 60, 84),iaud( 60, 84)/ 1199.0762, 0.0019,1/
      data be( 60, 85),bee( 60, 85),iaud( 60, 85)/ 1204.8314, 0.0019,1/
      data be( 60, 86),bee( 60, 86),iaud( 60, 86)/ 1212.3967, 0.0019,1/
      data be( 60, 87),bee( 60, 87),iaud( 60, 87)/ 1217.6888, 0.0019,1/
      data be( 60, 88),bee( 60, 88),iaud( 60, 88)/ 1225.0210, 0.0024,1/
      data be( 60, 89),bee( 60, 89),iaud( 60, 89)/ 1230.0597, 0.0024,1/
      data be( 60, 90),bee( 60, 90),iaud( 60, 90)/ 1237.4399, 0.0027,1/
      data be( 60, 91),bee( 60, 91),iaud( 60, 91)/ 1242.7745, 0.0027,1/
      data be( 60, 92),bee( 60, 92),iaud( 60, 92)/ 1250.0510, 0.0246,1/
      data be( 60, 93),bee( 60, 93),iaud( 60, 93)/ 1255.3129, 0.0272,1/
      data be( 60, 94),bee( 60, 94),iaud( 60, 94)/ 1261.7268, 0.1140,1/
      data be( 60, 96),bee( 60, 96),iaud( 60, 96)/ 1272.7074, 0.2030,1/
      data be( 61, 72),bee( 61, 72),iaud( 61, 72)/ 1091.1697, 0.0503,1/
      data be( 61, 73),bee( 61, 73),iaud( 61, 73)/ 1100.5721, 0.0578,1/
      data be( 61, 74),bee( 61, 74),iaud( 61, 74)/ 1111.8823, 0.0587,1/
      data be( 61, 75),bee( 61, 75),iaud( 61, 75)/ 1121.1740, 0.0781,1/
      data be( 61, 76),bee( 61, 76),iaud( 61, 76)/ 1132.1202, 0.0130,1/
      data be( 61, 77),bee( 61, 77),iaud( 61, 77)/ 1141.0590, 0.0275,1/
      data be( 61, 78),bee( 61, 78),iaud( 61, 78)/ 1151.6906, 0.0136,1/
      data be( 61, 79),bee( 61, 79),iaud( 61, 79)/ 1160.4698, 0.0354,1/
      data be( 61, 80),bee( 61, 80),iaud( 61, 80)/ 1170.8556, 0.0140,1/
      data be( 61, 81),bee( 61, 81),iaud( 61, 81)/ 1179.5607, 0.0250,1/
      data be( 61, 82),bee( 61, 82),iaud( 61, 82)/ 1189.4355, 0.0033,1/
      data be( 61, 83),bee( 61, 83),iaud( 61, 83)/ 1195.9623, 0.0032,1/
      data be( 61, 84),bee( 61, 84),iaud( 61, 84)/ 1203.8851, 0.0032,1/
      data be( 61, 85),bee( 61, 85),iaud( 61, 85)/ 1210.1432, 0.0045,1/
      data be( 61, 86),bee( 61, 86),iaud( 61, 86)/ 1217.8021, 0.0018,1/
      data be( 61, 87),bee( 61, 87),iaud( 61, 87)/ 1223.6968, 0.0058,1/
      data be( 61, 88),bee( 61, 88),iaud( 61, 88)/ 1230.9667, 0.0025,1/
      data be( 61, 89),bee( 61, 89),iaud( 61, 89)/ 1236.5708, 0.0201,1/
      data be( 61, 90),bee( 61, 90),iaud( 61, 90)/ 1244.4344, 0.0051,1/
      data be( 61, 91),bee( 61, 91),iaud( 61, 91)/ 1250.3728, 0.0260,1/
      data be( 61, 92),bee( 61, 92),iaud( 61, 92)/ 1257.8663, 0.0110,1/
      data be( 61, 93),bee( 61, 93),iaud( 61, 93)/ 1263.7513, 0.0448,1/
      data be( 61, 94),bee( 61, 94),iaud( 61, 94)/ 1270.2975, 0.0301,1/
      data be( 61, 95),bee( 61, 95),iaud( 61, 95)/ 1275.6151, 0.0343,1/
      data be( 61, 96),bee( 61, 96),iaud( 61, 96)/ 1281.8395, 0.1119,1/
      data be( 61, 97),bee( 61, 97),iaud( 61, 97)/ 1286.6700, 0.1119,1/
      data be( 61, 98),bee( 61, 98),iaud( 61, 98)/ 1292.4321, 0.1545,1/
      data be( 62, 73),bee( 62, 73),iaud( 62, 73)/ 1103.9795, 0.1546,1/
      data be( 62, 74),bee( 62, 74),iaud( 62, 74)/ 1116.0046, 0.0125,1/
      data be( 62, 75),bee( 62, 75),iaud( 62, 75)/ 1125.2915, 0.0423,1/
      data be( 62, 76),bee( 62, 76),iaud( 62, 76)/ 1136.8340, 0.0119,1/
      data be( 62, 77),bee( 62, 77),iaud( 62, 77)/ 1145.7878, 0.0108,1/
      data be( 62, 78),bee( 62, 78),iaud( 62, 78)/ 1156.9348, 0.0125,1/
      data be( 62, 79),bee( 62, 79),iaud( 62, 79)/ 1165.4845, 0.0086,1/
      data be( 62, 80),bee( 62, 80),iaud( 62, 80)/ 1176.6085, 0.0037,1/
      data be( 62, 81),bee( 62, 81),iaud( 62, 81)/ 1185.2098, 0.0034,1/
      data be( 62, 82),bee( 62, 82),iaud( 62, 82)/ 1195.7299, 0.0024,1/
      data be( 62, 83),bee( 62, 83),iaud( 62, 83)/ 1202.4869, 0.0025,1/
      data be( 62, 84),bee( 62, 84),iaud( 62, 84)/ 1210.9030, 0.0034,1/
      data be( 62, 85),bee( 62, 85),iaud( 62, 85)/ 1217.2440, 0.0018,1/
      data be( 62, 86),bee( 62, 86),iaud( 62, 86)/ 1225.3853, 0.0018,1/
      data be( 62, 87),bee( 62, 87),iaud( 62, 87)/ 1231.2559, 0.0018,1/
      data be( 62, 88),bee( 62, 88),iaud( 62, 88)/ 1239.2426, 0.0018,1/
      data be( 62, 89),bee( 62, 89),iaud( 62, 89)/ 1244.8390, 0.0017,1/
      data be( 62, 90),bee( 62, 90),iaud( 62, 90)/ 1253.0969, 0.0017,1/
      data be( 62, 91),bee( 62, 91),iaud( 62, 91)/ 1258.9655, 0.0017,1/
      data be( 62, 92),bee( 62, 92),iaud( 62, 92)/ 1266.9323, 0.0018,1/
      data be( 62, 93),bee( 62, 93),iaud( 62, 93)/ 1272.7393, 0.0019,1/
      data be( 62, 94),bee( 62, 94),iaud( 62, 94)/ 1279.9828, 0.0094,1/
      data be( 62, 95),bee( 62, 95),iaud( 62, 95)/ 1285.4172, 0.0502,1/
      data be( 62, 96),bee( 62, 96),iaud( 62, 96)/ 1291.9675, 0.0784,1/
      data be( 62, 97),bee( 62, 97),iaud( 62, 97)/ 1297.0797, 0.0653,1/
      data be( 62, 99),bee( 62, 99),iaud( 62, 99)/ 1307.7267, 0.1431,1/
      data be( 63, 75),bee( 63, 75),iaud( 63, 75)/ 1126.3036, 0.0279,1/
      data be( 63, 76),bee( 63, 76),iaud( 63, 76)/ 1138.0233, 0.0132,1/
      data be( 63, 77),bee( 63, 77),iaud( 63, 77)/ 1147.6825, 0.0515,1/
      data be( 63, 78),bee( 63, 78),iaud( 63, 78)/ 1158.6935, 0.0127,1/
      data be( 63, 79),bee( 63, 79),iaud( 63, 79)/ 1168.1533, 0.0302,1/
      data be( 63, 80),bee( 63, 80),iaud( 63, 80)/ 1179.1528, 0.0110,1/
      data be( 63, 81),bee( 63, 81),iaud( 63, 81)/ 1188.6011, 0.0108,1/
      data be( 63, 82),bee( 63, 82),iaud( 63, 82)/ 1199.0452, 0.0036,1/
      data be( 63, 83),bee( 63, 83),iaud( 63, 83)/ 1206.2417, 0.0061,1/
      data be( 63, 84),bee( 63, 84),iaud( 63, 84)/ 1214.7401, 0.0029,1/
      data be( 63, 85),bee( 63, 85),iaud( 63, 85)/ 1221.5667, 0.0101,1/
      data be( 63, 86),bee( 63, 86),iaud( 63, 86)/ 1229.7789, 0.0042,1/
      data be( 63, 87),bee( 63, 87),iaud( 63, 87)/ 1236.2012, 0.0063,1/
      data be( 63, 88),bee( 63, 88),iaud( 63, 88)/ 1244.1328, 0.0018,1/
      data be( 63, 89),bee( 63, 89),iaud( 63, 89)/ 1250.4396, 0.0018,1/
      data be( 63, 90),bee( 63, 90),iaud( 63, 90)/ 1258.9900, 0.0018,1/
      data be( 63, 91),bee( 63, 91),iaud( 63, 91)/ 1265.4320, 0.0018,1/
      data be( 63, 92),bee( 63, 92),iaud( 63, 92)/ 1273.5834, 0.0019,1/
      data be( 63, 93),bee( 63, 93),iaud( 63, 93)/ 1279.9229, 0.0055,1/
      data be( 63, 94),bee( 63, 94),iaud( 63, 94)/ 1287.3689, 0.0050,1/
      data be( 63, 95),bee( 63, 95),iaud( 63, 95)/ 1293.1843, 0.0768,1/
      data be( 63, 96),bee( 63, 96),iaud( 63, 96)/ 1300.0973, 0.0072,1/
      data be( 63, 97),bee( 63, 97),iaud( 63, 97)/ 1305.3690, 0.0600,1/
      data be( 63, 98),bee( 63, 98),iaud( 63, 98)/ 1311.9944, 0.0601,1/
      data be( 63, 99),bee( 63, 99),iaud( 63, 99)/ 1316.9602, 0.0601,1/
      data be( 63,100),bee( 63,100),iaud( 63,100)/ 1323.1364, 0.0991,1/
      data be( 64, 76),bee( 64, 76),iaud( 64, 76)/ 1141.6965, 0.0280,1/
      data be( 64, 77),bee( 64, 77),iaud( 64, 77)/ 1151.2097, 0.0197,1/
      data be( 64, 78),bee( 64, 78),iaud( 64, 78)/ 1163.0164, 0.0280,1/
      data be( 64, 79),bee( 64, 79),iaud( 64, 79)/ 1172.3606, 0.2003,1/
      data be( 64, 80),bee( 64, 80),iaud( 64, 80)/ 1183.9591, 0.0279,1/
      data be( 64, 81),bee( 64, 81),iaud( 64, 81)/ 1193.1982, 0.0187,1/
      data be( 64, 82),bee( 64, 82),iaud( 64, 82)/ 1204.4292, 0.0045,1/
      data be( 64, 83),bee( 64, 83),iaud( 64, 83)/ 1211.7703, 0.0028,1/
      data be( 64, 84),bee( 64, 84),iaud( 64, 84)/ 1220.7544, 0.0025,1/
      data be( 64, 85),bee( 64, 85),iaud( 64, 85)/ 1227.6832, 0.0037,1/
      data be( 64, 86),bee( 64, 86),iaud( 64, 86)/ 1236.3904, 0.0062,1/
      data be( 64, 87),bee( 64, 87),iaud( 64, 87)/ 1242.8865, 0.0033,1/
      data be( 64, 88),bee( 64, 88),iaud( 64, 88)/ 1251.4767, 0.0017,1/
      data be( 64, 89),bee( 64, 89),iaud( 64, 89)/ 1257.7235, 0.0017,1/
      data be( 64, 90),bee( 64, 90),iaud( 64, 90)/ 1266.6183, 0.0017,1/
      data be( 64, 91),bee( 64, 91),iaud( 64, 91)/ 1273.0535, 0.0017,1/
      data be( 64, 92),bee( 64, 92),iaud( 64, 92)/ 1281.5900, 0.0017,1/
      data be( 64, 93),bee( 64, 93),iaud( 64, 93)/ 1287.9497, 0.0017,1/
      data be( 64, 94),bee( 64, 94),iaud( 64, 94)/ 1295.8872, 0.0017,1/
      data be( 64, 95),bee( 64, 95),iaud( 64, 95)/ 1301.8303, 0.0017,1/
      data be( 64, 96),bee( 64, 96),iaud( 64, 96)/ 1309.2816, 0.0018,1/
      data be( 64, 97),bee( 64, 97),iaud( 64, 97)/ 1314.9170, 0.0021,1/
      data be( 64, 98),bee( 64, 98),iaud( 64, 98)/ 1321.7628, 0.0042,1/
      data be( 64, 99),bee( 64, 99),iaud( 64, 99)/ 1327.0291, 0.0701,1/
      data be( 65, 75),bee( 65, 75),iaud( 65, 75)/ 1129.6143, 0.8005,1/
      data be( 65, 76),bee( 65, 76),iaud( 65, 76)/ 1141.7440, 0.1053,1/
      data be( 65, 77),bee( 65, 77),iaud( 65, 77)/ 1151.8340, 0.7006,1/
      data be( 65, 78),bee( 65, 78),iaud( 65, 78)/ 1163.7650, 0.0512,1/
      data be( 65, 79),bee( 65, 79),iaud( 65, 79)/ 1173.7854, 0.0279,1/
      data be( 65, 80),bee( 65, 80),iaud( 65, 80)/ 1185.3694, 0.0568,1/
      data be( 65, 81),bee( 65, 81),iaud( 65, 81)/ 1195.3245, 0.0448,1/
      data be( 65, 82),bee( 65, 82),iaud( 65, 82)/ 1206.3740, 0.0081,1/
      data be( 65, 83),bee( 65, 83),iaud( 65, 83)/ 1214.2427, 0.0126,1/
      data be( 65, 84),bee( 65, 84),iaud( 65, 84)/ 1223.2632, 0.0042,1/
      data be( 65, 85),bee( 65, 85),iaud( 65, 85)/ 1230.9506, 0.0075,1/
      data be( 65, 86),bee( 65, 86),iaud( 65, 86)/ 1239.5392, 0.0042,1/
      data be( 65, 87),bee( 65, 87),iaud( 65, 87)/ 1246.7043, 0.0400,1/
      data be( 65, 88),bee( 65, 88),iaud( 65, 88)/ 1255.3722, 0.0041,1/
      data be( 65, 89),bee( 65, 89),iaud( 65, 89)/ 1262.2848, 0.0453,1/
      data be( 65, 90),bee( 65, 90),iaud( 65, 90)/ 1271.4485, 0.0119,1/
      data be( 65, 91),bee( 65, 91),iaud( 65, 91)/ 1278.3630, 0.0041,1/
      data be( 65, 92),bee( 65, 92),iaud( 65, 92)/ 1287.1072, 0.0017,1/
      data be( 65, 93),bee( 65, 93),iaud( 65, 93)/ 1293.8854, 0.0019,1/
      data be( 65, 94),bee( 65, 94),iaud( 65, 94)/ 1302.0184, 0.0017,1/
      data be( 65, 95),bee( 65, 95),iaud( 65, 95)/ 1308.3938, 0.0018,1/
      data be( 65, 96),bee( 65, 96),iaud( 65, 96)/ 1316.0903, 0.0019,1/
      data be( 65, 97),bee( 65, 97),iaud( 65, 97)/ 1322.3752, 0.0364,1/
      data be( 65, 98),bee( 65, 98),iaud( 65, 98)/ 1329.3667, 0.0044,1/
      data be( 65, 99),bee( 65, 99),iaud( 65, 99)/ 1334.9198, 0.1000,1/
      data be( 65,101),bee( 65,101),iaud( 65,101)/ 1346.8693, 0.0701,1/
      data be( 66, 77),bee( 66, 77),iaud( 66, 77)/ 1154.7324, 0.0130,1/
      data be( 66, 78),bee( 66, 78),iaud( 66, 78)/ 1167.2050, 0.0072,1/
      data be( 66, 79),bee( 66, 79),iaud( 66, 79)/ 1176.9487, 0.0065,1/
      data be( 66, 80),bee( 66, 80),iaud( 66, 80)/ 1189.3323, 0.0067,1/
      data be( 66, 81),bee( 66, 81),iaud( 66, 81)/ 1199.0435, 0.0081,1/
      data be( 66, 82),bee( 66, 82),iaud( 66, 82)/ 1210.7797, 0.0086,1/
      data be( 66, 83),bee( 66, 83),iaud( 66, 83)/ 1218.6942, 0.0091,1/
      data be( 66, 84),bee( 66, 84),iaud( 66, 84)/ 1228.3735, 0.0047,1/
      data be( 66, 85),bee( 66, 85),iaud( 66, 85)/ 1235.8864, 0.0038,1/
      data be( 66, 86),bee( 66, 86),iaud( 66, 86)/ 1245.3237, 0.0050,1/
      data be( 66, 87),bee( 66, 87),iaud( 66, 87)/ 1252.4194, 0.0043,1/
      data be( 66, 88),bee( 66, 88),iaud( 66, 88)/ 1261.7410, 0.0075,1/
      data be( 66, 89),bee( 66, 89),iaud( 66, 89)/ 1268.5718, 0.0118,1/
      data be( 66, 90),bee( 66, 90),iaud( 66, 90)/ 1278.0129, 0.0064,1/
      data be( 66, 91),bee( 66, 91),iaud( 66, 91)/ 1284.9821, 0.0064,1/
      data be( 66, 92),bee( 66, 92),iaud( 66, 92)/ 1294.0382, 0.0030,1/
      data be( 66, 93),bee( 66, 93),iaud( 66, 93)/ 1300.8707, 0.0021,1/
      data be( 66, 94),bee( 66, 94),iaud( 66, 94)/ 1309.4470, 0.0019,1/
      data be( 66, 95),bee( 66, 95),iaud( 66, 95)/ 1315.9014, 0.0019,1/
      data be( 66, 96),bee( 66, 96),iaud( 66, 96)/ 1324.0984, 0.0019,1/
      data be( 66, 97),bee( 66, 97),iaud( 66, 97)/ 1330.3693, 0.0020,1/
      data be( 66, 98),bee( 66, 98),iaud( 66, 98)/ 1338.0275, 0.0020,1/
      data be( 66, 99),bee( 66, 99),iaud( 66, 99)/ 1343.7435, 0.0020,1/
      data be( 66,100),bee( 66,100),iaud( 66,100)/ 1350.7870, 0.0020,1/
      data be( 66,101),bee( 66,101),iaud( 66,101)/ 1356.2050, 0.0603,1/
      data be( 66,102),bee( 66,102),iaud( 66,102)/ 1362.9054, 0.1399,1/
      data be( 66,103),bee( 66,103),iaud( 66,103)/ 1368.0143, 0.3007,1/
      data be( 67, 77),bee( 67, 77),iaud( 67, 77)/ 1154.4620, 0.0085,1/
      data be( 67, 78),bee( 67, 78),iaud( 67, 78)/ 1167.0439, 0.0074,1/
      data be( 67, 79),bee( 67, 79),iaud( 67, 79)/ 1177.2334, 0.0066,1/
      data be( 67, 80),bee( 67, 80),iaud( 67, 80)/ 1189.8235, 0.0050,1/
      data be( 67, 81),bee( 67, 81),iaud( 67, 81)/ 1200.1289, 0.0838,1/
      data be( 67, 82),bee( 67, 82),iaud( 67, 82)/ 1211.8737, 0.0145,1/
      data be( 67, 83),bee( 67, 83),iaud( 67, 83)/ 1220.2267, 0.0143,1/
      data be( 67, 84),bee( 67, 84),iaud( 67, 84)/ 1229.9746, 0.0083,1/
      data be( 67, 85),bee( 67, 85),iaud( 67, 85)/ 1238.0310, 0.0126,1/
      data be( 67, 86),bee( 67, 86),iaud( 67, 86)/ 1247.5071, 0.0054,1/
      data be( 67, 87),bee( 67, 87),iaud( 67, 87)/ 1255.2050, 0.0083,1/
      data be( 67, 88),bee( 67, 88),iaud( 67, 88)/ 1264.6766, 0.0178,1/
      data be( 67, 89),bee( 67, 89),iaud( 67, 89)/ 1272.1807, 0.0604,1/
      data be( 67, 90),bee( 67, 90),iaud( 67, 90)/ 1281.6115, 0.0236,1/
      data be( 67, 91),bee( 67, 91),iaud( 67, 91)/ 1289.0348, 0.0272,1/
      data be( 67, 92),bee( 67, 92),iaud( 67, 92)/ 1298.2507, 0.0033,1/
      data be( 67, 93),bee( 67, 93),iaud( 67, 93)/ 1305.3746, 0.0152,1/
      data be( 67, 94),bee( 67, 94),iaud( 67, 94)/ 1314.2609, 0.0029,1/
      data be( 67, 95),bee( 67, 95),iaud( 67, 95)/ 1321.1764, 0.0036,1/
      data be( 67, 96),bee( 67, 96),iaud( 67, 96)/ 1329.5845, 0.0020,1/
      data be( 67, 97),bee( 67, 97),iaud( 67, 97)/ 1336.2590, 0.0023,1/
      data be( 67, 98),bee( 67, 98),iaud( 67, 98)/ 1344.2478, 0.0020,1/
      data be( 67, 99),bee( 67, 99),iaud( 67, 99)/ 1350.4916, 0.0020,1/
      data be( 67,100),bee( 67,100),iaud( 67,100)/ 1357.7728, 0.0055,1/
      data be( 67,101),bee( 67,101),iaud( 67,101)/ 1363.6238, 0.0301,1/
      data be( 67,102),bee( 67,102),iaud( 67,102)/ 1370.4320, 0.0201,1/
      data be( 67,103),bee( 67,103),iaud( 67,103)/ 1375.9448, 0.0500,1/
      data be( 67,104),bee( 67,104),iaud( 67,104)/ 1382.2963, 0.6000,1/
      data be( 68, 78),bee( 68, 78),iaud( 68, 78)/ 1169.5348, 0.0067,1/
      data be( 68, 79),bee( 68, 79),iaud( 68, 79)/ 1179.8918, 0.0382,1/
      data be( 68, 80),bee( 68, 80),iaud( 68, 80)/ 1192.8344, 0.0102,1/
      data be( 68, 81),bee( 68, 81),iaud( 68, 81)/ 1203.1683, 0.0280,1/
      data be( 68, 82),bee( 68, 82),iaud( 68, 82)/ 1215.3295, 0.0172,1/
      data be( 68, 83),bee( 68, 83),iaud( 68, 83)/ 1223.8353, 0.0165,1/
      data be( 68, 84),bee( 68, 84),iaud( 68, 84)/ 1234.1412, 0.0087,1/
      data be( 68, 85),bee( 68, 85),iaud( 68, 85)/ 1242.1876, 0.0092,1/
      data be( 68, 86),bee( 68, 86),iaud( 68, 86)/ 1252.3893, 0.0052,1/
      data be( 68, 87),bee( 68, 87),iaud( 68, 87)/ 1260.0638, 0.0064,1/
      data be( 68, 88),bee( 68, 88),iaud( 68, 88)/ 1270.1388, 0.0245,1/
      data be( 68, 89),bee( 68, 89),iaud( 68, 89)/ 1277.4108, 0.0265,1/
      data be( 68, 90),bee( 68, 90),iaud( 68, 90)/ 1287.3723, 0.0253,1/
      data be( 68, 91),bee( 68, 91),iaud( 68, 91)/ 1294.7000, 0.0040,1/
      data be( 68, 92),bee( 68, 92),iaud( 68, 92)/ 1304.2697, 0.0250,1/
      data be( 68, 93),bee( 68, 93),iaud( 68, 93)/ 1311.4818, 0.0090,1/
      data be( 68, 94),bee( 68, 94),iaud( 68, 94)/ 1320.6868, 0.0019,1/
      data be( 68, 95),bee( 68, 95),iaud( 68, 95)/ 1327.5914, 0.0049,1/
      data be( 68, 96),bee( 68, 96),iaud( 68, 96)/ 1336.4380, 0.0026,1/
      data be( 68, 97),bee( 68, 97),iaud( 68, 97)/ 1343.0884, 0.0026,1/
      data be( 68, 98),bee( 68, 98),iaud( 68, 98)/ 1351.5637, 0.0020,1/
      data be( 68, 99),bee( 68, 99),iaud( 68, 99)/ 1358.0000, 0.0020,1/
      data be( 68,100),bee( 68,100),iaud( 68,100)/ 1365.7714, 0.0020,1/
      data be( 68,101),bee( 68,101),iaud( 68,101)/ 1371.7747, 0.0020,1/
      data be( 68,102),bee( 68,102),iaud( 68,102)/ 1379.0323, 0.0024,1/
      data be( 68,103),bee( 68,103),iaud( 68,103)/ 1384.7141, 0.0024,1/
      data be( 68,104),bee( 68,104),iaud( 68,104)/ 1391.5500, 0.0045,1/
      data be( 69, 78),bee( 69, 78),iaud( 69, 78)/ 1168.4761, 0.0069,1/
      data be( 69, 79),bee( 69, 79),iaud( 69, 79)/ 1179.3380, 0.0102,1/
      data be( 69, 82),bee( 69, 82),iaud( 69, 82)/ 1215.5651, 0.0198,1/
      data be( 69, 83),bee( 69, 83),iaud( 69, 83)/ 1224.6289, 0.0736,1/
      data be( 69, 84),bee( 69, 84),iaud( 69, 84)/ 1234.9211, 0.0144,1/
      data be( 69, 85),bee( 69, 85),iaud( 69, 85)/ 1243.4285, 0.0145,1/
      data be( 69, 86),bee( 69, 86),iaud( 69, 86)/ 1253.6985, 0.0099,1/
      data be( 69, 87),bee( 69, 87),iaud( 69, 87)/ 1261.9833, 0.0147,1/
      data be( 69, 88),bee( 69, 88),iaud( 69, 88)/ 1271.9242, 0.0279,1/
      data be( 69, 89),bee( 69, 89),iaud( 69, 89)/ 1279.9895, 0.0253,1/
      data be( 69, 90),bee( 69, 90),iaud( 69, 90)/ 1289.9279, 0.0280,1/
      data be( 69, 91),bee( 69, 91),iaud( 69, 91)/ 1297.7312, 0.0342,1/
      data be( 69, 92),bee( 69, 92),iaud( 69, 92)/ 1307.3989, 0.0280,1/
      data be( 69, 93),bee( 69, 93),iaud( 69, 93)/ 1315.0454, 0.0261,1/
      data be( 69, 94),bee( 69, 94),iaud( 69, 94)/ 1324.3701, 0.0059,1/
      data be( 69, 95),bee( 69, 95),iaud( 69, 95)/ 1331.6179, 0.0244,1/
      data be( 69, 96),bee( 69, 96),iaud( 69, 96)/ 1340.7142, 0.0030,1/
      data be( 69, 97),bee( 69, 97),iaud( 69, 97)/ 1347.7437, 0.0118,1/
      data be( 69, 98),bee( 69, 98),iaud( 69, 98)/ 1356.4711, 0.0023,1/
      data be( 69, 99),bee( 69, 99),iaud( 69, 99)/ 1363.3116, 0.0025,1/
      data be( 69,100),bee( 69,100),iaud( 69,100)/ 1371.3453, 0.0020,1/
      data be( 69,101),bee( 69,101),iaud( 69,101)/ 1377.9373, 0.0020,1/
      data be( 69,102),bee( 69,102),iaud( 69,102)/ 1385.4237, 0.0022,1/
      data be( 69,103),bee( 69,103),iaud( 69,103)/ 1391.6583, 0.0058,1/
      data be( 69,104),bee( 69,104),iaud( 69,104)/ 1398.6091, 0.0050,1/
      data be( 69,105),bee( 69,105),iaud( 69,105)/ 1404.2917, 0.0447,1/
      data be( 69,106),bee( 69,106),iaud( 69,106)/ 1410.8091, 0.0501,1/
      data be( 69,107),bee( 69,107),iaud( 69,107)/ 1415.9385, 0.1000,1/
      data be( 70, 81),bee( 70, 81),iaud( 70, 81)/ 1205.5472, 0.3005,1/
      data be( 70, 82),bee( 70, 82),iaud( 70, 82)/ 1218.3816, 0.2084,1/
      data be( 70, 84),bee( 70, 84),iaud( 70, 84)/ 1238.1510, 0.0172,1/
      data be( 70, 85),bee( 70, 85),iaud( 70, 85)/ 1246.7933, 0.0166,1/
      data be( 70, 86),bee( 70, 86),iaud( 70, 86)/ 1257.6267, 0.0090,1/
      data be( 70, 87),bee( 70, 87),iaud( 70, 87)/ 1265.8627, 0.0104,1/
      data be( 70, 88),bee( 70, 88),iaud( 70, 88)/ 1276.5125, 0.0081,1/
      data be( 70, 89),bee( 70, 89),iaud( 70, 89)/ 1284.4117, 0.0178,1/
      data be( 70, 90),bee( 70, 90),iaud( 70, 90)/ 1294.8096, 0.0158,1/
      data be( 70, 91),bee( 70, 91),iaud( 70, 91)/ 1302.5555, 0.0155,1/
      data be( 70, 92),bee( 70, 92),iaud( 70, 92)/ 1312.6141, 0.0154,1/
      data be( 70, 93),bee( 70, 93),iaud( 70, 93)/ 1320.1582, 0.0153,1/
      data be( 70, 94),bee( 70, 94),iaud( 70, 94)/ 1329.9479, 0.0154,1/
      data be( 70, 95),bee( 70, 95),iaud( 70, 95)/ 1337.2904, 0.0279,1/
      data be( 70, 96),bee( 70, 96),iaud( 70, 96)/ 1346.6687, 0.0073,1/
      data be( 70, 97),bee( 70, 97),iaud( 70, 97)/ 1353.7347, 0.0047,1/
      data be( 70, 98),bee( 70, 98),iaud( 70, 98)/ 1362.7975, 0.0020,1/
      data be( 70, 99),bee( 70, 99),iaud( 70, 99)/ 1369.6646, 0.0020,1/
      data be( 70,100),bee( 70,100),iaud( 70,100)/ 1378.1232, 0.0020,1/
      data be( 70,101),bee( 70,101),iaud( 70,101)/ 1384.7378, 0.0021,1/
      data be( 70,102),bee( 70,102),iaud( 70,102)/ 1392.7572, 0.0021,1/
      data be( 70,103),bee( 70,103),iaud( 70,103)/ 1399.1246, 0.0021,1/
      data be( 70,104),bee( 70,104),iaud( 70,104)/ 1406.5894, 0.0021,1/
      data be( 70,105),bee( 70,105),iaud( 70,105)/ 1412.4116, 0.0021,1/
      data be( 70,106),bee( 70,106),iaud( 70,106)/ 1419.2761, 0.0023,1/
      data be( 70,107),bee( 70,107),iaud( 70,107)/ 1424.8425, 0.0023,1/
      data be( 70,108),bee( 70,108),iaud( 70,108)/ 1431.6229, 0.0103,1/
      data be( 71, 82),bee( 71, 82),iaud( 71, 82)/ 1217.7728, 0.2087,1/
      data be( 71, 84),bee( 71, 84),iaud( 71, 84)/ 1238.0580, 0.0195,1/
      data be( 71, 85),bee( 71, 85),iaud( 71, 85)/ 1247.3287, 0.0736,1/
      data be( 71, 86),bee( 71, 86),iaud( 71, 86)/ 1258.1090, 0.0146,1/
      data be( 71, 87),bee( 71, 87),iaud( 71, 87)/ 1266.9342, 0.0152,1/
      data be( 71, 88),bee( 71, 88),iaud( 71, 88)/ 1277.5078, 0.0377,1/
      data be( 71, 89),bee( 71, 89),iaud( 71, 89)/ 1286.1340, 0.0568,1/
      data be( 71, 90),bee( 71, 90),iaud( 71, 90)/ 1296.4977, 0.0280,1/
      data be( 71, 91),bee( 71, 91),iaud( 71, 91)/ 1304.8435, 0.0750,1/
      data be( 71, 92),bee( 71, 92),iaud( 71, 92)/ 1314.8695, 0.0279,1/
      data be( 71, 93),bee( 71, 93),iaud( 71, 93)/ 1322.7919, 0.0279,1/
      data be( 71, 94),bee( 71, 94),iaud( 71, 94)/ 1332.6631, 0.0266,1/
      data be( 71, 95),bee( 71, 95),iaud( 71, 95)/ 1340.3130, 0.0299,1/
      data be( 71, 96),bee( 71, 96),iaud( 71, 96)/ 1349.8645, 0.0317,1/
      data be( 71, 97),bee( 71, 97),iaud( 71, 97)/ 1357.5046, 0.0469,1/
      data be( 71, 98),bee( 71, 98),iaud( 71, 98)/ 1366.5891, 0.0037,1/
      data be( 71, 99),bee( 71, 99),iaud( 71, 99)/ 1373.8822, 0.0170,1/
      data be( 71,100),bee( 71,100),iaud( 71,100)/ 1382.4774, 0.0026,1/
      data be( 71,101),bee( 71,101),iaud( 71,101)/ 1389.4568, 0.0028,1/
      data be( 71,102),bee( 71,102),iaud( 71,102)/ 1397.6726, 0.0022,1/
      data be( 71,103),bee( 71,103),iaud( 71,103)/ 1404.4333, 0.0023,1/
      data be( 71,104),bee( 71,104),iaud( 71,104)/ 1412.1001, 0.0019,1/
      data be( 71,105),bee( 71,105),iaud( 71,105)/ 1418.3881, 0.0019,1/
      data be( 71,106),bee( 71,106),iaud( 71,106)/ 1425.4611, 0.0019,1/
      data be( 71,107),bee( 71,107),iaud( 71,107)/ 1431.4863, 0.0027,1/
      data be( 71,108),bee( 71,108),iaud( 71,108)/ 1438.2788, 0.0054,1/
      data be( 71,109),bee( 71,109),iaud( 71,109)/ 1443.9713, 0.0707,1/
      data be( 72, 84),bee( 72, 84),iaud( 72, 84)/ 1240.6487, 0.2084,1/
      data be( 72, 86),bee( 72, 86),iaud( 72, 86)/ 1261.0419, 0.0175,1/
      data be( 72, 87),bee( 72, 87),iaud( 72, 87)/ 1269.8640, 0.0169,1/
      data be( 72, 88),bee( 72, 88),iaud( 72, 88)/ 1281.0203, 0.0093,1/
      data be( 72, 89),bee( 72, 89),iaud( 72, 89)/ 1289.4695, 0.0225,1/
      data be( 72, 90),bee( 72, 90),iaud( 72, 90)/ 1300.3914, 0.0094,1/
      data be( 72, 91),bee( 72, 91),iaud( 72, 91)/ 1308.5820, 0.0279,1/
      data be( 72, 92),bee( 72, 92),iaud( 72, 92)/ 1319.1958, 0.0194,1/
      data be( 72, 93),bee( 72, 93),iaud( 72, 93)/ 1327.0739, 0.0279,1/
      data be( 72, 94),bee( 72, 94),iaud( 72, 94)/ 1337.3687, 0.0279,1/
      data be( 72, 95),bee( 72, 95),iaud( 72, 95)/ 1345.0487, 0.0279,1/
      data be( 72, 96),bee( 72, 96),iaud( 72, 96)/ 1355.0129, 0.0279,1/
      data be( 72, 97),bee( 72, 97),iaud( 72, 97)/ 1362.4404, 0.0279,1/
      data be( 72, 98),bee( 72, 98),iaud( 72, 98)/ 1372.0487, 0.0279,1/
      data be( 72, 99),bee( 72, 99),iaud( 72, 99)/ 1379.2976, 0.0289,1/
      data be( 72,100),bee( 72,100),iaud( 72,100)/ 1388.3412, 0.0244,1/
      data be( 72,101),bee( 72,101),iaud( 72,101)/ 1395.4208, 0.0280,1/
      data be( 72,102),bee( 72,102),iaud( 72,102)/ 1403.9258, 0.0026,1/
      data be( 72,103),bee( 72,103),iaud( 72,103)/ 1410.6344, 0.0026,1/
      data be( 72,104),bee( 72,104),iaud( 72,104)/ 1418.7998, 0.0021,1/
      data be( 72,105),bee( 72,105),iaud( 72,105)/ 1425.1792, 0.0021,1/
      data be( 72,106),bee( 72,106),iaud( 72,106)/ 1432.8051, 0.0021,1/
      data be( 72,107),bee( 72,107),iaud( 72,107)/ 1438.9042, 0.0021,1/
      data be( 72,108),bee( 72,108),iaud( 72,108)/ 1446.2919, 0.0022,1/
      data be( 72,109),bee( 72,109),iaud( 72,109)/ 1451.9867, 0.0022,1/
      data be( 72,110),bee( 72,110),iaud( 72,110)/ 1458.7047, 0.0064,1/
      data be( 72,111),bee( 72,111),iaud( 72,111)/ 1464.0085, 0.0300,1/
      data be( 72,112),bee( 72,112),iaud( 72,112)/ 1470.2950, 0.0397,1/
      data be( 73, 84),bee( 73, 84),iaud( 73, 84)/ 1239.7141, 0.2087,1/
      data be( 73, 86),bee( 73, 86),iaud( 73, 86)/ 1260.6729, 0.0200,1/
      data be( 73, 87),bee( 73, 87),iaud( 73, 87)/ 1270.1736, 0.0738,1/
      data be( 73, 88),bee( 73, 88),iaud( 73, 88)/ 1281.0773, 0.0251,1/
      data be( 73, 89),bee( 73, 89),iaud( 73, 89)/ 1290.2228, 0.0522,1/
      data be( 73, 90),bee( 73, 90),iaud( 73, 90)/ 1301.0544, 0.0381,1/
      data be( 73, 91),bee( 73, 91),iaud( 73, 91)/ 1309.8676, 0.0279,1/
      data be( 73, 92),bee( 73, 92),iaud( 73, 92)/ 1320.5096, 0.0157,1/
      data be( 73, 93),bee( 73, 93),iaud( 73, 93)/ 1328.8252, 0.0279,1/
      data be( 73, 94),bee( 73, 94),iaud( 73, 94)/ 1339.1498, 0.0279,1/
      data be( 73, 95),bee( 73, 95),iaud( 73, 95)/ 1347.2639, 0.0279,1/
      data be( 73, 96),bee( 73, 96),iaud( 73, 96)/ 1357.2317, 0.0279,1/
      data be( 73, 97),bee( 73, 97),iaud( 73, 97)/ 1365.1503, 0.0279,1/
      data be( 73, 98),bee( 73, 98),iaud( 73, 98)/ 1374.8043, 0.0279,1/
      data be( 73, 99),bee( 73, 99),iaud( 73, 99)/ 1382.4852, 0.0279,1/
      data be( 73,100),bee( 73,100),iaud( 73,100)/ 1391.6230, 0.0280,1/
      data be( 73,101),bee( 73,101),iaud( 73,101)/ 1399.0387, 0.0280,1/
      data be( 73,102),bee( 73,102),iaud( 73,102)/ 1407.7778, 0.0280,1/
      data be( 73,103),bee( 73,103),iaud( 73,103)/ 1414.8059, 0.0308,1/
      data be( 73,104),bee( 73,104),iaud( 73,104)/ 1423.2310, 0.0037,1/
      data be( 73,105),bee( 73,105),iaud( 73,105)/ 1430.0858, 0.0151,1/
      data be( 73,106),bee( 73,106),iaud( 73,106)/ 1438.0161, 0.0021,1/
      data be( 73,107),bee( 73,107),iaud( 73,107)/ 1444.6624, 0.0023,1/
      data be( 73,108),bee( 73,108),iaud( 73,108)/ 1452.2390, 0.0018,1/
      data be( 73,109),bee( 73,109),iaud( 73,109)/ 1458.3019, 0.0018,1/
      data be( 73,110),bee( 73,110),iaud( 73,110)/ 1465.2361, 0.0018,1/
      data be( 73,111),bee( 73,111),iaud( 73,111)/ 1470.8527, 0.0259,1/
      data be( 73,112),bee( 73,112),iaud( 73,112)/ 1477.4789, 0.0142,1/
      data be( 73,113),bee( 73,113),iaud( 73,113)/ 1482.7638, 0.0601,1/
      data be( 74, 86),bee( 74, 86),iaud( 74, 86)/ 1262.8789, 0.2085,1/
      data be( 74, 88),bee( 74, 88),iaud( 74, 88)/ 1283.6605, 0.0177,1/
      data be( 74, 89),bee( 74, 89),iaud( 74, 89)/ 1292.6403, 0.0528,1/
      data be( 74, 90),bee( 74, 90),iaud( 74, 90)/ 1304.0375, 0.0095,1/
      data be( 74, 91),bee( 74, 91),iaud( 74, 91)/ 1312.7351, 0.0249,1/
      data be( 74, 92),bee( 74, 92),iaud( 74, 92)/ 1323.8307, 0.0103,1/
      data be( 74, 93),bee( 74, 93),iaud( 74, 93)/ 1332.1050, 0.0192,1/
      data be( 74, 94),bee( 74, 94),iaud( 74, 94)/ 1342.9850, 0.0150,1/
      data be( 74, 95),bee( 74, 95),iaud( 74, 95)/ 1351.0769, 0.0154,1/
      data be( 74, 96),bee( 74, 96),iaud( 74, 96)/ 1361.5240, 0.0151,1/
      data be( 74, 97),bee( 74, 97),iaud( 74, 97)/ 1369.3877, 0.0279,1/
      data be( 74, 98),bee( 74, 98),iaud( 74, 98)/ 1379.4701, 0.0279,1/
      data be( 74, 99),bee( 74, 99),iaud( 74, 99)/ 1387.1716, 0.0280,1/
      data be( 74,100),bee( 74,100),iaud( 74,100)/ 1396.7427, 0.0280,1/
      data be( 74,101),bee( 74,101),iaud( 74,101)/ 1404.2196, 0.0280,1/
      data be( 74,102),bee( 74,102),iaud( 74,102)/ 1413.2997, 0.0280,1/
      data be( 74,103),bee( 74,103),iaud( 74,103)/ 1420.4313, 0.0280,1/
      data be( 74,104),bee( 74,104),iaud( 74,104)/ 1429.2123, 0.0153,1/
      data be( 74,105),bee( 74,105),iaud( 74,105)/ 1436.1678, 0.0152,1/
      data be( 74,106),bee( 74,106),iaud( 74,106)/ 1444.5801, 0.0023,1/
      data be( 74,107),bee( 74,107),iaud( 74,107)/ 1451.2683, 0.0047,1/
      data be( 74,108),bee( 74,108),iaud( 74,108)/ 1459.3336, 0.0009,1/
      data be( 74,109),bee( 74,109),iaud( 74,109)/ 1465.5245, 0.0009,1/
      data be( 74,110),bee( 74,110),iaud( 74,110)/ 1472.9362, 0.0009,1/
      data be( 74,111),bee( 74,111),iaud( 74,111)/ 1478.6901, 0.0009,1/
      data be( 74,112),bee( 74,112),iaud( 74,112)/ 1485.8824, 0.0015,1/
      data be( 74,113),bee( 74,113),iaud( 74,113)/ 1491.3489, 0.0015,1/
      data be( 74,114),bee( 74,114),iaud( 74,114)/ 1498.1838, 0.0034,1/
      data be( 74,115),bee( 74,115),iaud( 74,115)/ 1503.0663, 0.2002,1/
      data be( 74,116),bee( 74,116),iaud( 74,116)/ 1509.9561, 0.1649,1/
      data be( 75, 86),bee( 75, 86),iaud( 75, 86)/ 1261.6816, 0.2087,1/
      data be( 75, 88),bee( 75, 88),iaud( 75, 88)/ 1282.9564, 0.0187,1/
      data be( 75, 89),bee( 75, 89),iaud( 75, 89)/ 1292.5430, 0.0740,1/
      data be( 75, 90),bee( 75, 90),iaud( 75, 90)/ 1303.7402, 0.0246,1/
      data be( 75, 91),bee( 75, 91),iaud( 75, 91)/ 1313.0566, 0.0724,1/
      data be( 75, 93),bee( 75, 93),iaud( 75, 93)/ 1333.1002, 0.0307,1/
      data be( 75, 94),bee( 75, 94),iaud( 75, 94)/ 1343.7863, 0.0115,1/
      data be( 75, 95),bee( 75, 95),iaud( 75, 95)/ 1352.3656, 0.0258,1/
      data be( 75, 96),bee( 75, 96),iaud( 75, 96)/ 1362.7697, 0.0279,1/
      data be( 75, 97),bee( 75, 97),iaud( 75, 97)/ 1371.1138, 0.0540,1/
      data be( 75, 98),bee( 75, 98),iaud( 75, 98)/ 1381.2157, 0.0280,1/
      data be( 75, 99),bee( 75, 99),iaud( 75, 99)/ 1389.4064, 0.0280,1/
      data be( 75,100),bee( 75,100),iaud( 75,100)/ 1399.0928, 0.0280,1/
      data be( 75,101),bee( 75,101),iaud( 75,101)/ 1406.9387, 0.0280,1/
      data be( 75,102),bee( 75,102),iaud( 75,102)/ 1416.2163, 0.0280,1/
      data be( 75,103),bee( 75,103),iaud( 75,103)/ 1423.6720, 0.0279,1/
      data be( 75,104),bee( 75,104),iaud( 75,104)/ 1432.6747, 0.0243,1/
      data be( 75,105),bee( 75,105),iaud( 75,105)/ 1439.9985, 0.0214,1/
      data be( 75,106),bee( 75,106),iaud( 75,106)/ 1448.7559, 0.0127,1/
      data be( 75,107),bee( 75,107),iaud( 75,107)/ 1455.7513, 0.1019,1/
      data be( 75,108),bee( 75,108),iaud( 75,108)/ 1464.1862, 0.0081,1/
      data be( 75,109),bee( 75,109),iaud( 75,109)/ 1470.6711, 0.0044,1/
      data be( 75,110),bee( 75,110),iaud( 75,110)/ 1478.3401, 0.0013,1/
      data be( 75,111),bee( 75,111),iaud( 75,111)/ 1484.5195, 0.0013,1/
      data be( 75,112),bee( 75,112),iaud( 75,112)/ 1491.8789, 0.0015,1/
      data be( 75,113),bee( 75,113),iaud( 75,113)/ 1497.7505, 0.0015,1/
      data be( 75,114),bee( 75,114),iaud( 75,114)/ 1504.7839, 0.0083,1/
      data be( 75,115),bee( 75,115),iaud( 75,115)/ 1510.4436, 0.1493,1/
      data be( 75,116),bee( 75,116),iaud( 75,116)/ 1517.2975, 0.0103,1/
      data be( 76, 88),bee( 76, 88),iaud( 76, 88)/ 1284.6973, 0.2086,1/
      data be( 76, 90),bee( 76, 90),iaud( 76, 90)/ 1305.8174, 0.0183,1/
      data be( 76, 91),bee( 76, 91),iaud( 76, 91)/ 1314.9545, 0.0726,1/
      data be( 76, 92),bee( 76, 92),iaud( 76, 92)/ 1326.5150, 0.0099,1/
      data be( 76, 93),bee( 76, 93),iaud( 76, 93)/ 1335.3152, 0.0252,1/
      data be( 76, 94),bee( 76, 94),iaud( 76, 94)/ 1346.5872, 0.0107,1/
      data be( 76, 95),bee( 76, 95),iaud( 76, 95)/ 1355.0302, 0.0188,1/
      data be( 76, 96),bee( 76, 96),iaud( 76, 96)/ 1366.0533, 0.0131,1/
      data be( 76, 97),bee( 76, 97),iaud( 76, 97)/ 1374.3179, 0.0149,1/
      data be( 76, 98),bee( 76, 98),iaud( 76, 98)/ 1384.9476, 0.0110,1/
      data be( 76, 99),bee( 76, 99),iaud( 76, 99)/ 1393.1332, 0.0130,1/
      data be( 76,100),bee( 76,100),iaud( 76,100)/ 1403.1915, 0.0280,1/
      data be( 76,101),bee( 76,101),iaud( 76,101)/ 1411.1143, 0.0158,1/
      data be( 76,102),bee( 76,102),iaud( 76,102)/ 1420.7830, 0.0164,1/
      data be( 76,103),bee( 76,103),iaud( 76,103)/ 1428.3278, 0.0181,1/
      data be( 76,104),bee( 76,104),iaud( 76,104)/ 1437.7344, 0.0200,1/
      data be( 76,105),bee( 76,105),iaud( 76,105)/ 1445.0029, 0.0317,1/
      data be( 76,106),bee( 76,106),iaud( 76,106)/ 1454.1305, 0.0217,1/
      data be( 76,107),bee( 76,107),iaud( 76,107)/ 1461.2555, 0.0498,1/
      data be( 76,108),bee( 76,108),iaud( 76,108)/ 1469.9207, 0.0013,1/
      data be( 76,109),bee( 76,109),iaud( 76,109)/ 1476.5452, 0.0013,1/
      data be( 76,110),bee( 76,110),iaud( 76,110)/ 1484.8091, 0.0015,1/
      data be( 76,111),bee( 76,111),iaud( 76,111)/ 1491.0989, 0.0015,1/
      data be( 76,112),bee( 76,112),iaud( 76,112)/ 1499.0885, 0.0015,1/
      data be( 76,113),bee( 76,113),iaud( 76,113)/ 1505.0092, 0.0015,1/
      data be( 76,114),bee( 76,114),iaud( 76,114)/ 1512.8013, 0.0015,1/
      data be( 76,115),bee( 76,115),iaud( 76,115)/ 1518.5601, 0.0015,1/
      data be( 76,116),bee( 76,116),iaud( 76,116)/ 1526.1185, 0.0027,1/
      data be( 76,117),bee( 76,117),iaud( 76,117)/ 1531.7018, 0.0027,1/
      data be( 76,118),bee( 76,118),iaud( 76,118)/ 1538.8145, 0.0027,1/
      data be( 76,119),bee( 76,119),iaud( 76,119)/ 1544.1428, 0.5000,1/
      data be( 76,120),bee( 76,120),iaud( 76,120)/ 1550.7986, 0.0400,1/
      data be( 77, 90),bee( 77, 90),iaud( 77, 90)/ 1304.7473, 0.0185,1/
      data be( 77, 91),bee( 77, 91),iaud( 77, 91)/ 1314.4575, 0.0744,1/
      data be( 77, 92),bee( 77, 92),iaud( 77, 92)/ 1325.8949, 0.0243,1/
      data be( 77, 94),bee( 77, 94),iaud( 77, 94)/ 1346.3848, 0.0395,1/
      data be( 77, 95),bee( 77, 95),iaud( 77, 95)/ 1355.4053, 0.0323,1/
      data be( 77, 96),bee( 77, 96),iaud( 77, 96)/ 1366.3677, 0.0116,1/
      data be( 77, 97),bee( 77, 97),iaud( 77, 97)/ 1375.0374, 0.0277,1/
      data be( 77, 98),bee( 77, 98),iaud( 77, 98)/ 1385.6262, 0.0131,1/
      data be( 77, 99),bee( 77, 99),iaud( 77, 99)/ 1394.1722, 0.0204,1/
      data be( 77,100),bee( 77,100),iaud( 77,100)/ 1404.4298, 0.0198,1/
      data be( 77,101),bee( 77,101),iaud( 77,101)/ 1412.7057, 0.0198,1/
      data be( 77,102),bee( 77,102),iaud( 77,102)/ 1422.6025, 0.0109,1/
      data be( 77,103),bee( 77,103),iaud( 77,103)/ 1430.5739, 0.0218,1/
      data be( 77,104),bee( 77,104),iaud( 77,104)/ 1440.1395, 0.0257,1/
      data be( 77,105),bee( 77,105),iaud( 77,105)/ 1447.7908, 0.0209,1/
      data be( 77,106),bee( 77,106),iaud( 77,106)/ 1457.0076, 0.0251,1/
      data be( 77,107),bee( 77,107),iaud( 77,107)/ 1464.4927, 0.0280,1/
      data be( 77,108),bee( 77,108),iaud( 77,108)/ 1473.2886, 0.0279,1/
      data be( 77,109),bee( 77,109),iaud( 77,109)/ 1480.1973, 0.0166,1/
      data be( 77,110),bee( 77,110),iaud( 77,110)/ 1488.6281, 0.0062,1/
      data be( 77,111),bee( 77,111),iaud( 77,111)/ 1495.5183, 0.0096,1/
      data be( 77,112),bee( 77,112),iaud( 77,112)/ 1503.6949, 0.0129,1/
      data be( 77,113),bee( 77,113),iaud( 77,113)/ 1510.0651, 0.0019,1/
      data be( 77,114),bee( 77,114),iaud( 77,114)/ 1518.0917, 0.0019,1/
      data be( 77,115),bee( 77,115),iaud( 77,115)/ 1524.2897, 0.0019,1/
      data be( 77,116),bee( 77,116),iaud( 77,116)/ 1532.0618, 0.0019,1/
      data be( 77,117),bee( 77,117),iaud( 77,117)/ 1538.1287, 0.0019,1/
      data be( 77,118),bee( 77,118),iaud( 77,118)/ 1545.3604, 0.0019,1/
      data be( 77,119),bee( 77,119),iaud( 77,119)/ 1551.1754, 0.0384,1/
      data be( 77,120),bee( 77,120),iaud( 77,120)/ 1558.0746, 0.0201,1/
      data be( 77,122),bee( 77,122),iaud( 77,122)/ 1570.3516, 0.0410,1/
      data be( 78, 90),bee( 78, 90),iaud( 78, 90)/ 1306.0034, 0.2087,1/
      data be( 78, 92),bee( 78, 92),iaud( 78, 92)/ 1327.4054, 0.0185,1/
      data be( 78, 93),bee( 78, 93),iaud( 78, 93)/ 1336.6428, 0.0727,1/
      data be( 78, 94),bee( 78, 94),iaud( 78, 94)/ 1348.3464, 0.0107,1/
      data be( 78, 95),bee( 78, 95),iaud( 78, 95)/ 1357.2560, 0.0561,1/
      data be( 78, 96),bee( 78, 96),iaud( 78, 96)/ 1368.6996, 0.0113,1/
      data be( 78, 97),bee( 78, 97),iaud( 78, 97)/ 1377.1478, 0.0189,1/
      data be( 78, 98),bee( 78, 98),iaud( 78, 98)/ 1388.4639, 0.0130,1/
      data be( 78, 99),bee( 78, 99),iaud( 78, 99)/ 1396.9708, 0.0150,1/
      data be( 78,100),bee( 78,100),iaud( 78,100)/ 1407.6703, 0.0109,1/
      data be( 78,101),bee( 78,101),iaud( 78,101)/ 1416.0129, 0.0081,1/
      data be( 78,102),bee( 78,102),iaud( 78,102)/ 1426.2505, 0.0110,1/
      data be( 78,103),bee( 78,103),iaud( 78,103)/ 1434.2601, 0.0148,1/
      data be( 78,104),bee( 78,104),iaud( 78,104)/ 1444.1267, 0.0157,1/
      data be( 78,105),bee( 78,105),iaud( 78,105)/ 1451.8007, 0.0156,1/
      data be( 78,106),bee( 78,106),iaud( 78,106)/ 1461.4320, 0.0182,1/
      data be( 78,107),bee( 78,107),iaud( 78,107)/ 1468.8538, 0.0411,1/
      data be( 78,108),bee( 78,108),iaud( 78,108)/ 1478.1064, 0.0218,1/
      data be( 78,109),bee( 78,109),iaud( 78,109)/ 1485.0262, 0.0279,1/
      data be( 78,110),bee( 78,110),iaud( 78,110)/ 1494.2136, 0.0056,1/
      data be( 78,111),bee( 78,111),iaud( 78,111)/ 1500.9412, 0.0112,1/
      data be( 78,112),bee( 78,112),iaud( 78,112)/ 1509.8524, 0.0059,1/
      data be( 78,113),bee( 78,113),iaud( 78,113)/ 1516.2999, 0.0050,1/
      data be( 78,114),bee( 78,114),iaud( 78,114)/ 1524.9619, 0.0031,1/
      data be( 78,115),bee( 78,115),iaud( 78,115)/ 1531.2228, 0.0019,1/
      data be( 78,116),bee( 78,116),iaud( 78,116)/ 1539.5751, 0.0010,1/
      data be( 78,117),bee( 78,117),iaud( 78,117)/ 1545.6802, 0.0010,1/
      data be( 78,118),bee( 78,118),iaud( 78,118)/ 1553.6021, 0.0010,1/
      data be( 78,119),bee( 78,119),iaud( 78,119)/ 1559.4485, 0.0008,1/
      data be( 78,120),bee( 78,120),iaud( 78,120)/ 1567.0035, 0.0022,1/
      data be( 78,121),bee( 78,121),iaud( 78,121)/ 1572.5594, 0.0022,1/
      data be( 78,122),bee( 78,122),iaud( 78,122)/ 1579.8412, 0.0202,1/
      data be( 78,123),bee( 78,123),iaud( 78,123)/ 1585.0529, 0.0500,1/
      data be( 79, 92),bee( 79, 92),iaud( 79, 92)/ 1325.9575, 0.0210,1/
      data be( 79, 93),bee( 79, 93),iaud( 79, 93)/ 1335.8300, 0.0752,1/
      data be( 79, 94),bee( 79, 94),iaud( 79, 94)/ 1347.3541, 0.0239,1/
      data be( 79, 96),bee( 79, 96),iaud( 79, 96)/ 1368.1182, 0.0424,1/
      data be( 79, 97),bee( 79, 97),iaud( 79, 97)/ 1377.1429, 0.0331,1/
      data be( 79, 98),bee( 79, 98),iaud( 79, 98)/ 1388.3645, 0.0108,1/
      data be( 79, 99),bee( 79, 99),iaud( 79, 99)/ 1397.2152, 0.0571,1/
      data be( 79,100),bee( 79,100),iaud( 79,100)/ 1407.9406, 0.0125,1/
      data be( 79,101),bee( 79,101),iaud( 79,101)/ 1416.6281, 0.0211,1/
      data be( 79,102),bee( 79,102),iaud( 79,102)/ 1426.9744, 0.0199,1/
      data be( 79,103),bee( 79,103),iaud( 79,103)/ 1435.4751, 0.0202,1/
      data be( 79,104),bee( 79,104),iaud( 79,104)/ 1445.4325, 0.0104,1/
      data be( 79,105),bee( 79,105),iaud( 79,105)/ 1453.6356, 0.0223,1/
      data be( 79,106),bee( 79,106),iaud( 79,106)/ 1463.2552, 0.0261,1/
      data be( 79,107),bee( 79,107),iaud( 79,107)/ 1471.1744, 0.0210,1/
      data be( 79,108),bee( 79,108),iaud( 79,108)/ 1480.5360, 0.0251,1/
      data be( 79,109),bee( 79,109),iaud( 79,109)/ 1487.9031, 0.0203,1/
      data be( 79,110),bee( 79,110),iaud( 79,110)/ 1497.2555, 0.0200,1/
      data be( 79,111),bee( 79,111),iaud( 79,111)/ 1504.6281, 0.0161,1/
      data be( 79,112),bee( 79,112),iaud( 79,112)/ 1513.6274, 0.0371,1/
      data be( 79,113),bee( 79,113),iaud( 79,113)/ 1520.6632, 0.0159,1/
      data be( 79,114),bee( 79,114),iaud( 79,114)/ 1529.3647, 0.0087,1/
      data be( 79,115),bee( 79,115),iaud( 79,115)/ 1536.2917, 0.0103,1/
      data be( 79,116),bee( 79,116),iaud( 79,116)/ 1544.6709, 0.0014,1/
      data be( 79,117),bee( 79,117),iaud( 79,117)/ 1551.3127, 0.0029,1/
      data be( 79,118),bee( 79,118),iaud( 79,118)/ 1559.3850, 0.0006,1/
      data be( 79,119),bee( 79,119),iaud( 79,119)/ 1565.8975, 0.0006,1/
      data be( 79,120),bee( 79,120),iaud( 79,120)/ 1573.4817, 0.0006,1/
      data be( 79,121),bee( 79,121),iaud( 79,121)/ 1579.7263, 0.0498,1/
      data be( 79,122),bee( 79,122),iaud( 79,122)/ 1586.9303, 0.0032,1/
      data be( 79,123),bee( 79,123),iaud( 79,123)/ 1593.0001, 0.1664,1/
      data be( 79,124),bee( 79,124),iaud( 79,124)/ 1599.8157, 0.0030,1/
      data be( 80, 92),bee( 80, 92),iaud( 80, 92)/ 1326.7754, 0.2086,1/
      data be( 80, 94),bee( 80, 94),iaud( 80, 94)/ 1348.4678, 0.0195,1/
      data be( 80, 95),bee( 80, 95),iaud( 80, 95)/ 1357.8665, 0.0730,1/
      data be( 80, 96),bee( 80, 96),iaud( 80, 96)/ 1369.7426, 0.0120,1/
      data be( 80, 97),bee( 80, 97),iaud( 80, 97)/ 1378.8158, 0.0750,1/
      data be( 80, 98),bee( 80, 98),iaud( 80, 98)/ 1390.4181, 0.0117,1/
      data be( 80, 99),bee( 80, 99),iaud( 80, 99)/ 1399.1000, 0.0274,1/
      data be( 80,100),bee( 80,100),iaud( 80,100)/ 1410.5007, 0.0128,1/
      data be( 80,101),bee( 80,101),iaud( 80,101)/ 1418.9821, 0.0154,1/
      data be( 80,102),bee( 80,102),iaud( 80,102)/ 1429.9690, 0.0096,1/
      data be( 80,103),bee( 80,103),iaud( 80,103)/ 1438.2694, 0.0071,1/
      data be( 80,104),bee( 80,104),iaud( 80,104)/ 1448.8843, 0.0101,1/
      data be( 80,105),bee( 80,105),iaud( 80,105)/ 1456.7817, 0.0155,1/
      data be( 80,106),bee( 80,106),iaud( 80,106)/ 1467.2173, 0.0112,1/
      data be( 80,107),bee( 80,107),iaud( 80,107)/ 1474.8669, 0.0138,1/
      data be( 80,108),bee( 80,108),iaud( 80,108)/ 1485.0222, 0.0115,1/
      data be( 80,109),bee( 80,109),iaud( 80,109)/ 1492.5222, 0.0335,1/
      data be( 80,110),bee( 80,110),iaud( 80,110)/ 1502.3339, 0.0160,1/
      data be( 80,111),bee( 80,111),iaud( 80,111)/ 1509.6276, 0.0225,1/
      data be( 80,112),bee( 80,112),iaud( 80,112)/ 1519.1174, 0.0156,1/
      data be( 80,113),bee( 80,113),iaud( 80,113)/ 1526.2396, 0.0154,1/
      data be( 80,114),bee( 80,114),iaud( 80,114)/ 1535.4409, 0.0126,1/
      data be( 80,115),bee( 80,115),iaud( 80,115)/ 1542.3196, 0.0232,1/
      data be( 80,116),bee( 80,116),iaud( 80,116)/ 1551.2172, 0.0029,1/
      data be( 80,117),bee( 80,117),iaud( 80,117)/ 1558.0027, 0.0032,1/
      data be( 80,118),bee( 80,118),iaud( 80,118)/ 1566.4879, 0.0004,1/
      data be( 80,119),bee( 80,119),iaud( 80,119)/ 1573.1506, 0.0004,1/
      data be( 80,120),bee( 80,120),iaud( 80,120)/ 1581.1792, 0.0004,1/
      data be( 80,121),bee( 80,121),iaud( 80,121)/ 1587.4099, 0.0006,1/
      data be( 80,122),bee( 80,122),iaud( 80,122)/ 1595.1639, 0.0006,1/
      data be( 80,123),bee( 80,123),iaud( 80,123)/ 1601.1594, 0.0016,1/
      data be( 80,124),bee( 80,124),iaud( 80,124)/ 1608.6511, 0.0004,1/
      data be( 80,125),bee( 80,125),iaud( 80,125)/ 1614.3202, 0.0037,1/
      data be( 80,126),bee( 80,126),iaud( 80,126)/ 1621.0500, 0.0204,1/
      data be( 80,127),bee( 80,127),iaud( 80,127)/ 1624.3940, 0.1501,1/
      data be( 80,128),bee( 80,128),iaud( 80,128)/ 1629.5117, 0.0308,1/
      data be( 81, 95),bee( 81, 95),iaud( 81, 95)/ 1356.6013, 0.0752,1/
      data be( 81, 96),bee( 81, 96),iaud( 81, 96)/ 1368.5829, 0.0228,1/
      data be( 81, 98),bee( 81, 98),iaud( 81, 98)/ 1389.6962, 0.0431,1/
      data be( 81, 99),bee( 81, 99),iaud( 81, 99)/ 1398.7292, 0.0599,1/
      data be( 81,100),bee( 81,100),iaud( 81,100)/ 1410.3375, 0.0092,1/
      data be( 81,101),bee( 81,101),iaud( 81,101)/ 1418.9606, 0.0759,1/
      data be( 81,102),bee( 81,102),iaud( 81,102)/ 1430.2704, 0.0093,1/
      data be( 81,103),bee( 81,103),iaud( 81,103)/ 1438.6373, 0.0493,1/
      data be( 81,104),bee( 81,104),iaud( 81,104)/ 1449.5793, 0.0538,1/
      data be( 81,105),bee( 81,105),iaud( 81,105)/ 1457.7694, 0.0260,1/
      data be( 81,106),bee( 81,106),iaud( 81,106)/ 1468.4097, 0.0080,1/
      data be( 81,107),bee( 81,107),iaud( 81,107)/ 1476.3843, 0.0325,1/
      data be( 81,108),bee( 81,108),iaud( 81,108)/ 1486.7111, 0.0110,1/
      data be( 81,109),bee( 81,109),iaud( 81,109)/ 1494.4912, 0.0139,1/
      data be( 81,110),bee( 81,110),iaud( 81,110)/ 1504.5345, 0.0073,1/
      data be( 81,111),bee( 81,111),iaud( 81,111)/ 1512.1951, 0.0317,1/
      data be( 81,112),bee( 81,112),iaud( 81,112)/ 1521.6942, 0.0787,1/
      data be( 81,113),bee( 81,113),iaud( 81,113)/ 1529.2925, 0.1350,1/
      data be( 81,114),bee( 81,114),iaud( 81,114)/ 1538.6921, 0.0137,1/
      data be( 81,115),bee( 81,115),iaud( 81,115)/ 1546.1046, 0.0122,1/
      data be( 81,116),bee( 81,116),iaud( 81,116)/ 1555.0205, 0.0164,1/
      data be( 81,117),bee( 81,117),iaud( 81,117)/ 1562.2455, 0.0800,1/
      data be( 81,118),bee( 81,118),iaud( 81,118)/ 1570.8815, 0.0279,1/
      data be( 81,119),bee( 81,119),iaud( 81,119)/ 1577.9408, 0.0058,1/
      data be( 81,120),bee( 81,120),iaud( 81,120)/ 1586.1475, 0.0151,1/
      data be( 81,121),bee( 81,121),iaud( 81,121)/ 1593.0215, 0.0143,1/
      data be( 81,122),bee( 81,122),iaud( 81,122)/ 1600.8694, 0.0012,1/
      data be( 81,123),bee( 81,123),iaud( 81,123)/ 1607.5255, 0.0012,1/
      data be( 81,124),bee( 81,124),iaud( 81,124)/ 1615.0715, 0.0014,1/
      data be( 81,125),bee( 81,125),iaud( 81,125)/ 1621.5753, 0.0014,1/
      data be( 81,126),bee( 81,126),iaud( 81,126)/ 1628.4265, 0.0056,1/
      data be( 81,127),bee( 81,127),iaud( 81,127)/ 1632.2163, 0.0021,1/
      data be( 81,128),bee( 81,128),iaud( 81,128)/ 1637.1730, 0.0079,1/
      data be( 81,129),bee( 81,129),iaud( 81,129)/ 1640.8536, 0.0115,1/
      data be( 81,132),bee( 81,132),iaud( 81,132)/ 1654.0573, 0.0605,1/
      data be( 82, 96),bee( 82, 96),iaud( 82, 96)/ 1368.9733, 0.0242,1/
      data be( 82, 97),bee( 82, 97),iaud( 82, 97)/ 1378.5638, 0.0755,1/
      data be( 82, 98),bee( 82, 98),iaud( 82, 98)/ 1390.6198, 0.0131,1/
      data be( 82, 99),bee( 82, 99),iaud( 82, 99)/ 1399.8596, 0.0766,1/
      data be( 82,100),bee( 82,100),iaud( 82,100)/ 1411.6481, 0.0129,1/
      data be( 82,101),bee( 82,101),iaud( 82,101)/ 1420.4677, 0.0282,1/
      data be( 82,102),bee( 82,102),iaud( 82,102)/ 1432.0225, 0.0129,1/
      data be( 82,103),bee( 82,103),iaud( 82,103)/ 1440.5826, 0.0161,1/
      data be( 82,104),bee( 82,104),iaud( 82,104)/ 1451.7948, 0.0113,1/
      data be( 82,105),bee( 82,105),iaud( 82,105)/ 1460.1742, 0.0058,1/
      data be( 82,106),bee( 82,106),iaud( 82,106)/ 1471.0710, 0.0107,1/
      data be( 82,107),bee( 82,107),iaud( 82,107)/ 1479.2047, 0.0344,1/
      data be( 82,108),bee( 82,108),iaud( 82,108)/ 1489.8156, 0.0122,1/
      data be( 82,109),bee( 82,109),iaud( 82,109)/ 1497.7152, 0.0392,1/
      data be( 82,110),bee( 82,110),iaud( 82,110)/ 1508.0970, 0.0127,1/
      data be( 82,111),bee( 82,111),iaud( 82,111)/ 1515.8064, 0.0496,1/
      data be( 82,112),bee( 82,112),iaud( 82,112)/ 1525.8918, 0.0175,1/
      data be( 82,113),bee( 82,113),iaud( 82,113)/ 1533.4683, 0.0234,1/
      data be( 82,114),bee( 82,114),iaud( 82,114)/ 1543.1874, 0.0143,1/
      data be( 82,115),bee( 82,115),iaud( 82,115)/ 1550.6456, 0.0055,1/
      data be( 82,116),bee( 82,116),iaud( 82,116)/ 1560.0195, 0.0147,1/
      data be( 82,117),bee( 82,117),iaud( 82,117)/ 1567.2715, 0.0099,1/
      data be( 82,118),bee( 82,118),iaud( 82,118)/ 1576.3668, 0.0110,1/
      data be( 82,119),bee( 82,119),iaud( 82,119)/ 1583.4402, 0.0223,1/
      data be( 82,120),bee( 82,120),iaud( 82,120)/ 1592.1908, 0.0032,1/
      data be( 82,121),bee( 82,121),iaud( 82,121)/ 1599.1122, 0.0065,1/
      data be( 82,122),bee( 82,122),iaud( 82,122)/ 1607.5070, 0.0012,1/
      data be( 82,123),bee( 82,123),iaud( 82,123)/ 1614.2385, 0.0012,1/
      data be( 82,124),bee( 82,124),iaud( 82,124)/ 1622.3252, 0.0012,1/
      data be( 82,125),bee( 82,125),iaud( 82,125)/ 1629.0629, 0.0012,1/
      data be( 82,126),bee( 82,126),iaud( 82,126)/ 1636.4309, 0.0012,1/
      data be( 82,127),bee( 82,127),iaud( 82,127)/ 1640.3683, 0.0019,1/
      data be( 82,128),bee( 82,128),iaud( 82,128)/ 1645.5532, 0.0015,1/
      data be( 82,129),bee( 82,129),iaud( 82,129)/ 1649.3868, 0.0027,1/
      data be( 82,130),bee( 82,130),iaud( 82,130)/ 1654.5199, 0.0021,1/
      data be( 82,131),bee( 82,131),iaud( 82,131)/ 1658.2389, 0.0066,1/
      data be( 82,132),bee( 82,132),iaud( 82,132)/ 1663.2913, 0.0024,1/
      data be( 83,101),bee( 83,101),iaud( 83,101)/ 1419.0002, 0.0780,1/
      data be( 83,103),bee( 83,103),iaud( 83,103)/ 1439.4996, 0.0768,1/
      data be( 83,104),bee( 83,104),iaud( 83,104)/ 1450.7867, 0.0103,1/
      data be( 83,105),bee( 83,105),iaud( 83,105)/ 1459.6742, 0.0494,1/
      data be( 83,106),bee( 83,106),iaud( 83,106)/ 1470.6079, 0.0539,1/
      data be( 83,107),bee( 83,107),iaud( 83,107)/ 1479.2024, 0.0264,1/
      data be( 83,108),bee( 83,108),iaud( 83,108)/ 1489.9270, 0.0074,1/
      data be( 83,109),bee( 83,109),iaud( 83,109)/ 1498.3041, 0.0330,1/
      data be( 83,110),bee( 83,110),iaud( 83,110)/ 1508.7021, 0.0097,1/
      data be( 83,111),bee( 83,111),iaud( 83,111)/ 1516.8685, 0.0147,1/
      data be( 83,112),bee( 83,112),iaud( 83,112)/ 1526.9978, 0.0053,1/
      data be( 83,113),bee( 83,113),iaud( 83,113)/ 1535.0524, 0.0245,1/
      data be( 83,114),bee( 83,114),iaud( 83,114)/ 1544.8016, 0.0083,1/
      data be( 83,115),bee( 83,115),iaud( 83,115)/ 1552.5557, 0.0279,1/
      data be( 83,116),bee( 83,116),iaud( 83,116)/ 1562.0563, 0.0117,1/
      data be( 83,117),bee( 83,117),iaud( 83,117)/ 1569.6998, 0.0244,1/
      data be( 83,118),bee( 83,118),iaud( 83,118)/ 1578.8160, 0.0153,1/
      data be( 83,119),bee( 83,119),iaud( 83,119)/ 1586.2136, 0.0152,1/
      data be( 83,120),bee( 83,120),iaud( 83,120)/ 1595.0670, 0.0128,1/
      data be( 83,121),bee( 83,121),iaud( 83,121)/ 1602.2596, 0.0092,1/
      data be( 83,122),bee( 83,122),iaud( 83,122)/ 1610.7500, 0.0051,1/
      data be( 83,123),bee( 83,123),iaud( 83,123)/ 1617.7854, 0.0078,1/
      data be( 83,124),bee( 83,124),iaud( 83,124)/ 1625.8831, 0.0025,1/
      data be( 83,125),bee( 83,125),iaud( 83,125)/ 1632.7700, 0.0023,1/
      data be( 83,126),bee( 83,126),iaud( 83,126)/ 1640.2300, 0.0015,1/
      data be( 83,127),bee( 83,127),iaud( 83,127)/ 1644.8345, 0.0015,1/
      data be( 83,128),bee( 83,128),iaud( 83,128)/ 1649.9719, 0.0055,1/
      data be( 83,129),bee( 83,129),iaud( 83,129)/ 1654.3047, 0.0019,1/
      data be( 83,130),bee( 83,130),iaud( 83,130)/ 1659.4862, 0.0049,1/
      data be( 83,131),bee( 83,131),iaud( 83,131)/ 1663.5282, 0.0111,1/
      data be( 83,132),bee( 83,132),iaud( 83,132)/ 1668.7498, 0.0148,1/
      data be( 83,133),bee( 83,133),iaud( 83,133)/ 1672.5958, 0.0112,1/
      data be( 84,102),bee( 84,102),iaud( 84,102)/ 1431.4508, 0.0333,1/
      data be( 84,103),bee( 84,103),iaud( 84,103)/ 1440.7843, 0.0320,1/
      data be( 84,104),bee( 84,104),iaud( 84,104)/ 1452.2345, 0.0184,1/
      data be( 84,105),bee( 84,105),iaud( 84,105)/ 1461.1815, 0.0193,1/
      data be( 84,106),bee( 84,106),iaud( 84,106)/ 1472.3972, 0.0135,1/
      data be( 84,107),bee( 84,107),iaud( 84,107)/ 1480.9597, 0.0118,1/
      data be( 84,108),bee( 84,108),iaud( 84,108)/ 1492.0472, 0.0111,1/
      data be( 84,109),bee( 84,109),iaud( 84,109)/ 1500.4067, 0.0347,1/
      data be( 84,110),bee( 84,110),iaud( 84,110)/ 1511.1241, 0.0126,1/
      data be( 84,111),bee( 84,111),iaud( 84,111)/ 1519.2610, 0.0392,1/
      data be( 84,112),bee( 84,112),iaud( 84,112)/ 1529.7347, 0.0129,1/
      data be( 84,113),bee( 84,113),iaud( 84,113)/ 1537.6904, 0.0496,1/
      data be( 84,114),bee( 84,114),iaud( 84,114)/ 1547.8777, 0.0174,1/
      data be( 84,115),bee( 84,115),iaud( 84,115)/ 1555.6899, 0.0235,1/
      data be( 84,116),bee( 84,116),iaud( 84,116)/ 1565.5016, 0.0144,1/
      data be( 84,117),bee( 84,117),iaud( 84,117)/ 1573.1426, 0.0058,1/
      data be( 84,118),bee( 84,118),iaud( 84,118)/ 1582.6141, 0.0147,1/
      data be( 84,119),bee( 84,119),iaud( 84,119)/ 1590.0709, 0.0087,1/
      data be( 84,120),bee( 84,120),iaud( 84,120)/ 1599.1776, 0.0110,1/
      data be( 84,121),bee( 84,121),iaud( 84,121)/ 1606.4120, 0.0199,1/
      data be( 84,122),bee( 84,122),iaud( 84,122)/ 1615.1597, 0.0035,1/
      data be( 84,123),bee( 84,123),iaud( 84,123)/ 1622.1921, 0.0066,1/
      data be( 84,124),bee( 84,124),iaud( 84,124)/ 1630.5873, 0.0019,1/
      data be( 84,125),bee( 84,125),iaud( 84,125)/ 1637.5549, 0.0019,1/
      data be( 84,126),bee( 84,126),iaud( 84,126)/ 1645.2135, 0.0013,1/
      data be( 84,127),bee( 84,127),iaud( 84,127)/ 1649.7640, 0.0013,1/
      data be( 84,128),bee( 84,128),iaud( 84,128)/ 1655.7723, 0.0013,1/
      data be( 84,129),bee( 84,129),iaud( 84,129)/ 1660.1277, 0.0032,1/
      data be( 84,130),bee( 84,130),iaud( 84,130)/ 1666.0155, 0.0015,1/
      data be( 84,131),bee( 84,131),iaud( 84,131)/ 1670.1561, 0.0026,1/
      data be( 84,132),bee( 84,132),iaud( 84,132)/ 1675.9094, 0.0022,1/
      data be( 84,133),bee( 84,133),iaud( 84,133)/ 1679.8726, 0.0063,1/
      data be( 84,134),bee( 84,134),iaud( 84,134)/ 1685.4722, 0.0024,1/
      data be( 84,137),bee( 84,137),iaud( 84,137)/ 1698.2610, 0.0577,1/
      data be( 84,138),bee( 84,138),iaud( 84,138)/ 1703.6356, 0.0670,1/
      data be( 85,106),bee( 85,106),iaud( 85,106)/ 1471.2606, 0.0162,1/
      data be( 85,107),bee( 85,107),iaud( 85,107)/ 1480.2743, 0.0557,1/
      data be( 85,108),bee( 85,108),iaud( 85,108)/ 1491.3303, 0.0542,1/
      data be( 85,109),bee( 85,109),iaud( 85,109)/ 1500.0355, 0.0303,1/
      data be( 85,110),bee( 85,110),iaud( 85,110)/ 1510.8837, 0.0090,1/
      data be( 85,111),bee( 85,111),iaud( 85,111)/ 1519.4021, 0.0600,1/
      data be( 85,112),bee( 85,112),iaud( 85,112)/ 1529.8943, 0.0508,1/
      data be( 85,113),bee( 85,113),iaud( 85,113)/ 1538.2719, 0.0149,1/
      data be( 85,114),bee( 85,114),iaud( 85,114)/ 1548.5149, 0.0056,1/
      data be( 85,115),bee( 85,115),iaud( 85,115)/ 1556.7520, 0.0244,1/
      data be( 85,116),bee( 85,116),iaud( 85,116)/ 1566.6245, 0.0082,1/
      data be( 85,117),bee( 85,117),iaud( 85,117)/ 1574.4974, 0.0279,1/
      data be( 85,118),bee( 85,118),iaud( 85,118)/ 1584.1417, 0.0118,1/
      data be( 85,119),bee( 85,119),iaud( 85,119)/ 1591.9257, 0.0245,1/
      data be( 85,120),bee( 85,120),iaud( 85,120)/ 1601.0920, 0.0152,1/
      data be( 85,121),bee( 85,121),iaud( 85,121)/ 1608.6208, 0.0150,1/
      data be( 85,122),bee( 85,122),iaud( 85,122)/ 1617.4904, 0.0124,1/
      data be( 85,123),bee( 85,123),iaud( 85,123)/ 1624.8043, 0.0089,1/
      data be( 85,124),bee( 85,124),iaud( 85,124)/ 1633.2888, 0.0050,1/
      data be( 85,125),bee( 85,125),iaud( 85,125)/ 1640.4498, 0.0078,1/
      data be( 85,126),bee( 85,126),iaud( 85,126)/ 1648.1965, 0.0027,1/
      data be( 85,127),bee( 85,127),iaud( 85,127)/ 1653.2487, 0.0023,1/
      data be( 85,128),bee( 85,128),iaud( 85,128)/ 1659.2715, 0.0049,1/
      data be( 85,129),bee( 85,129),iaud( 85,129)/ 1664.1429, 0.0043,1/
      data be( 85,130),bee( 85,130),iaud( 85,130)/ 1670.0892, 0.0069,1/
      data be( 85,131),bee( 85,131),iaud( 85,131)/ 1674.6509, 0.0037,1/
      data be( 85,132),bee( 85,132),iaud( 85,132)/ 1680.5806, 0.0050,1/
      data be( 85,133),bee( 85,133),iaud( 85,133)/ 1684.9497, 0.0116,1/
      data be( 85,134),bee( 85,134),iaud( 85,134)/ 1690.7216, 0.0039,1/
      data be( 85,135),bee( 85,135),iaud( 85,135)/ 1694.8383, 0.0513,1/
      data be( 85,139),bee( 85,139),iaud( 85,139)/ 1713.7693, 0.0587,1/
      data be( 86,107),bee( 86,107),iaud( 86,107)/ 1481.4371, 0.0228,1/
      data be( 86,108),bee( 86,108),iaud( 86,108)/ 1492.8303, 0.0169,1/
      data be( 86,109),bee( 86,109),iaud( 86,109)/ 1501.5613, 0.0513,1/
      data be( 86,110),bee( 86,110),iaud( 86,110)/ 1512.7263, 0.0145,1/
      data be( 86,111),bee( 86,111),iaud( 86,111)/ 1521.2915, 0.0609,1/
      data be( 86,112),bee( 86,112),iaud( 86,112)/ 1532.0706, 0.0131,1/
      data be( 86,113),bee( 86,113),iaud( 86,113)/ 1540.4204, 0.0635,1/
      data be( 86,114),bee( 86,114),iaud( 86,114)/ 1550.9871, 0.0130,1/
      data be( 86,115),bee( 86,115),iaud( 86,115)/ 1559.1254, 0.0496,1/
      data be( 86,116),bee( 86,116),iaud( 86,116)/ 1569.3997, 0.0176,1/
      data be( 86,117),bee( 86,117),iaud( 86,117)/ 1577.3557, 0.0235,1/
      data be( 86,118),bee( 86,118),iaud( 86,118)/ 1587.2507, 0.0145,1/
      data be( 86,119),bee( 86,119),iaud( 86,119)/ 1595.0521, 0.0504,1/
      data be( 86,120),bee( 86,120),iaud( 86,120)/ 1604.5258, 0.0148,1/
      data be( 86,121),bee( 86,121),iaud( 86,121)/ 1612.1156, 0.0085,1/
      data be( 86,122),bee( 86,122),iaud( 86,122)/ 1621.2125, 0.0112,1/
      data be( 86,123),bee( 86,123),iaud( 86,123)/ 1628.5521, 0.0201,1/
      data be( 86,124),bee( 86,124),iaud( 86,124)/ 1637.2963, 0.0040,1/
      data be( 86,125),bee( 86,125),iaud( 86,125)/ 1644.5223, 0.0068,1/
      data be( 86,126),bee( 86,126),iaud( 86,126)/ 1652.4978, 0.0032,1/
      data be( 86,127),bee( 86,127),iaud( 86,127)/ 1657.6077, 0.0058,1/
      data be( 86,128),bee( 86,128),iaud( 86,128)/ 1664.3007, 0.0092,1/
      data be( 86,129),bee( 86,129),iaud( 86,129)/ 1669.2208, 0.0077,1/
      data be( 86,130),bee( 86,130),iaud( 86,130)/ 1675.8679, 0.0073,1/
      data be( 86,131),bee( 86,131),iaud( 86,131)/ 1680.5364, 0.0041,1/
      data be( 86,132),bee( 86,132),iaud( 86,132)/ 1687.0486, 0.0024,1/
      data be( 86,133),bee( 86,133),iaud( 86,133)/ 1691.5056, 0.0024,1/
      data be( 86,134),bee( 86,134),iaud( 86,134)/ 1697.8005, 0.0022,1/
      data be( 86,135),bee( 86,135),iaud( 86,135)/ 1702.0059, 0.0060,1/
      data be( 86,136),bee( 86,136),iaud( 86,136)/ 1708.1775, 0.0022,1/
      data be( 86,137),bee( 86,137),iaud( 86,137)/ 1712.2261, 0.0103,1/
      data be( 86,138),bee( 86,138),iaud( 86,138)/ 1718.2581, 0.0150,1/
      data be( 86,139),bee( 86,139),iaud( 86,139)/ 1722.2090, 0.0214,1/
      data be( 86,140),bee( 86,140),iaud( 86,140)/ 1728.0966, 0.0158,1/
      data be( 86,141),bee( 86,141),iaud( 86,141)/ 1732.0325, 0.0177,1/
      data be( 86,142),bee( 86,142),iaud( 86,142)/ 1737.7294, 0.0223,1/
      data be( 86,143),bee( 86,143),iaud( 86,143)/ 1741.6875, 0.0131,1/
      data be( 87,112),bee( 87,112),iaud( 87,112)/ 1531.3671, 0.0418,1/
      data be( 87,113),bee( 87,113),iaud( 87,113)/ 1540.0752, 0.0780,1/
      data be( 87,114),bee( 87,114),iaud( 87,114)/ 1550.6689, 0.0714,1/
      data be( 87,115),bee( 87,115),iaud( 87,115)/ 1559.1791, 0.0154,1/
      data be( 87,116),bee( 87,116),iaud( 87,116)/ 1569.5359, 0.0065,1/
      data be( 87,117),bee( 87,117),iaud( 87,117)/ 1577.8772, 0.0247,1/
      data be( 87,118),bee( 87,118),iaud( 87,118)/ 1587.8656, 0.0078,1/
      data be( 87,119),bee( 87,119),iaud( 87,119)/ 1595.8696, 0.0282,1/
      data be( 87,120),bee( 87,120),iaud( 87,120)/ 1605.5408, 0.0507,1/
      data be( 87,121),bee( 87,121),iaud( 87,121)/ 1613.4403, 0.0524,1/
      data be( 87,122),bee( 87,122),iaud( 87,122)/ 1622.6104, 0.0146,1/
      data be( 87,123),bee( 87,123),iaud( 87,123)/ 1630.2449, 0.0151,1/
      data be( 87,124),bee( 87,124),iaud( 87,124)/ 1639.1238, 0.0120,1/
      data be( 87,125),bee( 87,125),iaud( 87,125)/ 1646.5709, 0.0087,1/
      data be( 87,126),bee( 87,126),iaud( 87,126)/ 1654.6797, 0.0051,1/
      data be( 87,127),bee( 87,127),iaud( 87,127)/ 1660.1570, 0.0088,1/
      data be( 87,128),bee( 87,128),iaud( 87,128)/ 1666.9518, 0.0071,1/
      data be( 87,129),bee( 87,129),iaud( 87,129)/ 1672.3702, 0.0041,1/
      data be( 87,130),bee( 87,130),iaud( 87,130)/ 1679.0980, 0.0065,1/
      data be( 87,131),bee( 87,131),iaud( 87,131)/ 1684.4248, 0.0048,1/
      data be( 87,132),bee( 87,132),iaud( 87,132)/ 1690.9364, 0.0070,1/
      data be( 87,133),bee( 87,133),iaud( 87,133)/ 1696.1456, 0.0042,1/
      data be( 87,134),bee( 87,134),iaud( 87,134)/ 1702.4185, 0.0049,1/
      data be( 87,135),bee( 87,135),iaud( 87,135)/ 1707.4193, 0.0213,1/
      data be( 87,136),bee( 87,136),iaud( 87,136)/ 1713.4556, 0.0025,1/
      data be( 87,137),bee( 87,137),iaud( 87,137)/ 1718.2596, 0.0500,1/
      data be( 87,138),bee( 87,138),iaud( 87,138)/ 1724.1671, 0.0302,1/
      data be( 87,139),bee( 87,139),iaud( 87,139)/ 1728.6808, 0.1001,1/
      data be( 87,140),bee( 87,140),iaud( 87,140)/ 1734.4702, 0.1001,1/
      data be( 87,142),bee( 87,142),iaud( 87,142)/ 1744.4512, 0.0373,1/
      data be( 87,143),bee( 87,143),iaud( 87,143)/ 1748.8392, 0.0299,1/
      data be( 88,114),bee( 88,114),iaud( 88,114)/ 1552.4696, 0.0242,1/
      data be( 88,115),bee( 88,115),iaud( 88,115)/ 1560.9741, 0.0808,1/
      data be( 88,116),bee( 88,116),iaud( 88,116)/ 1571.6462, 0.0147,1/
      data be( 88,117),bee( 88,117),iaud( 88,117)/ 1579.9348, 0.0705,1/
      data be( 88,118),bee( 88,118),iaud( 88,118)/ 1590.2800, 0.0179,1/
      data be( 88,119),bee( 88,119),iaud( 88,119)/ 1598.3781, 0.0553,1/
      data be( 88,120),bee( 88,120),iaud( 88,120)/ 1608.2734, 0.0154,1/
      data be( 88,121),bee( 88,121),iaud( 88,121)/ 1616.2040, 0.0504,1/
      data be( 88,122),bee( 88,122),iaud( 88,122)/ 1625.6707, 0.0151,1/
      data be( 88,123),bee( 88,123),iaud( 88,123)/ 1633.3694, 0.0080,1/
      data be( 88,124),bee( 88,124),iaud( 88,124)/ 1642.4766, 0.0112,1/
      data be( 88,125),bee( 88,125),iaud( 88,125)/ 1649.9860, 0.0200,1/
      data be( 88,126),bee( 88,126),iaud( 88,126)/ 1658.3197, 0.0047,1/
      data be( 88,127),bee( 88,127),iaud( 88,127)/ 1663.9537, 0.0075,1/
      data be( 88,128),bee( 88,128),iaud( 88,128)/ 1671.2678, 0.0089,1/
      data be( 88,129),bee( 88,129),iaud( 88,129)/ 1676.7427, 0.0085,1/
      data be( 88,130),bee( 88,130),iaud( 88,130)/ 1684.0504, 0.0111,1/
      data be( 88,131),bee( 88,131),iaud( 88,131)/ 1689.3788, 0.0083,1/
      data be( 88,132),bee( 88,132),iaud( 88,132)/ 1696.5714, 0.0092,1/
      data be( 88,133),bee( 88,133),iaud( 88,133)/ 1701.9515, 0.0046,1/
      data be( 88,134),bee( 88,134),iaud( 88,134)/ 1708.6654, 0.0047,1/
      data be( 88,135),bee( 88,135),iaud( 88,135)/ 1713.8223, 0.0025,1/
      data be( 88,136),bee( 88,136),iaud( 88,136)/ 1720.3073, 0.0022,1/
      data be( 88,137),bee( 88,137),iaud( 88,137)/ 1725.2048, 0.0029,1/
      data be( 88,138),bee( 88,138),iaud( 88,138)/ 1731.6025, 0.0023,1/
      data be( 88,139),bee( 88,139),iaud( 88,139)/ 1736.1638, 0.0023,1/
      data be( 88,140),bee( 88,140),iaud( 88,140)/ 1742.4677, 0.0027,1/
      data be( 88,141),bee( 88,141),iaud( 88,141)/ 1746.9299, 0.0151,1/
      data be( 88,142),bee( 88,142),iaud( 88,142)/ 1753.0403, 0.0104,1/
      data be( 88,143),bee( 88,143),iaud( 88,143)/ 1757.4020, 0.0196,1/
      data be( 88,144),bee( 88,144),iaud( 88,144)/ 1763.2014, 0.0121,1/
      data be( 89,117),bee( 89,117),iaud( 89,117)/ 1579.5302, 0.0523,1/
      data be( 89,118),bee( 89,118),iaud( 89,118)/ 1589.9867, 0.0505,1/
      data be( 89,119),bee( 89,119),iaud( 89,119)/ 1598.4460, 0.0557,1/
      data be( 89,120),bee( 89,120),iaud( 89,120)/ 1608.4320, 0.0506,1/
      data be( 89,121),bee( 89,121),iaud( 89,121)/ 1616.5581, 0.0573,1/
      data be( 89,122),bee( 89,122),iaud( 89,122)/ 1626.2148, 0.0711,1/
      data be( 89,123),bee( 89,123),iaud( 89,123)/ 1634.2172, 0.0725,1/
      data be( 89,124),bee( 89,124),iaud( 89,124)/ 1643.4066, 0.0522,1/
      data be( 89,125),bee( 89,125),iaud( 89,125)/ 1651.1885, 0.0154,1/
      data be( 89,126),bee( 89,126),iaud( 89,126)/ 1659.6736, 0.0125,1/
      data be( 89,127),bee( 89,127),iaud( 89,127)/ 1665.6311, 0.0108,1/
      data be( 89,128),bee( 89,128),iaud( 89,128)/ 1673.1438, 0.0113,1/
      data be( 89,129),bee( 89,129),iaud( 89,129)/ 1679.0753, 0.0508,1/
      data be( 89,130),bee( 89,130),iaud( 89,130)/ 1686.4208, 0.0506,1/
      data be( 89,131),bee( 89,131),iaud( 89,131)/ 1692.3181, 0.0062,1/
      data be( 89,132),bee( 89,132),iaud( 89,132)/ 1699.6100, 0.0504,1/
      data be( 89,133),bee( 89,133),iaud( 89,133)/ 1705.5830, 0.0051,1/
      data be( 89,134),bee( 89,134),iaud( 89,134)/ 1712.4489, 0.0071,1/
      data be( 89,135),bee( 89,135),iaud( 89,135)/ 1718.1145, 0.0043,1/
      data be( 89,136),bee( 89,136),iaud( 89,136)/ 1724.7792, 0.0047,1/
      data be( 89,137),bee( 89,137),iaud( 89,137)/ 1730.1794, 0.0034,1/
      data be( 89,138),bee( 89,138),iaud( 89,138)/ 1736.7090, 0.0023,1/
      data be( 89,139),bee( 89,139),iaud( 89,139)/ 1741.7312, 0.0027,1/
      data be( 89,140),bee( 89,140),iaud( 89,140)/ 1747.9535, 0.0325,1/
      data be( 89,141),bee( 89,141),iaud( 89,141)/ 1752.9678, 0.3001,1/
      data be( 89,142),bee( 89,142),iaud( 89,142)/ 1758.9287, 0.1000,1/
      data be( 89,143),bee( 89,143),iaud( 89,143)/ 1763.7640, 0.1000,1/
      data be( 89,147),bee( 89,147),iaud( 89,147)/ 1783.9353, 0.0680,1/
      data be( 90,118),bee( 90,118),iaud( 90,118)/ 1591.7400, 0.0339,1/
      data be( 90,119),bee( 90,119),iaud( 90,119)/ 1599.9573, 0.0865,1/
      data be( 90,120),bee( 90,120),iaud( 90,120)/ 1610.5068, 0.0189,1/
      data be( 90,121),bee( 90,121),iaud( 90,121)/ 1618.7308, 0.0745,1/
      data be( 90,122),bee( 90,122),iaud( 90,122)/ 1628.6111, 0.0161,1/
      data be( 90,123),bee( 90,123),iaud( 90,123)/ 1636.6605, 0.0711,1/
      data be( 90,124),bee( 90,124),iaud( 90,124)/ 1646.1394, 0.0160,1/
      data be( 90,125),bee( 90,125),iaud( 90,125)/ 1654.0004, 0.0088,1/
      data be( 90,126),bee( 90,126),iaud( 90,126)/ 1662.6997, 0.0117,1/
      data be( 90,127),bee( 90,127),iaud( 90,127)/ 1668.8463, 0.0206,1/
      data be( 90,128),bee( 90,128),iaud( 90,128)/ 1676.7661, 0.0102,1/
      data be( 90,129),bee( 90,129),iaud( 90,129)/ 1682.7354, 0.0506,1/
      data be( 90,130),bee( 90,130),iaud( 90,130)/ 1690.6104, 0.0222,1/
      data be( 90,131),bee( 90,131),iaud( 90,131)/ 1696.4128, 0.0093,1/
      data be( 90,132),bee( 90,132),iaud( 90,132)/ 1704.2192, 0.0122,1/
      data be( 90,133),bee( 90,133),iaud( 90,133)/ 1710.1077, 0.0091,1/
      data be( 90,134),bee( 90,134),iaud( 90,134)/ 1717.5684, 0.0110,1/
      data be( 90,135),bee( 90,135),iaud( 90,135)/ 1723.3259, 0.0052,1/
      data be( 90,136),bee( 90,136),iaud( 90,136)/ 1730.5103, 0.0047,1/
      data be( 90,137),bee( 90,137),iaud( 90,137)/ 1735.9714, 0.0025,1/
      data be( 90,138),bee( 90,138),iaud( 90,138)/ 1743.0828, 0.0023,1/
      data be( 90,139),bee( 90,139),iaud( 90,139)/ 1748.3328, 0.0027,1/
      data be( 90,140),bee( 90,140),iaud( 90,140)/ 1755.1284, 0.0018,1/
      data be( 90,141),bee( 90,141),iaud( 90,141)/ 1760.2463, 0.0018,1/
      data be( 90,142),bee( 90,142),iaud( 90,142)/ 1766.6816, 0.0023,1/
      data be( 90,143),bee( 90,143),iaud( 90,143)/ 1771.4680, 0.0023,1/
      data be( 90,144),bee( 90,144),iaud( 90,144)/ 1777.6617, 0.0035,1/
      data be( 90,145),bee( 90,145),iaud( 90,145)/ 1782.0919, 0.0501,1/
      data be( 91,121),bee( 91,121),iaud( 91,121)/ 1618.3121, 0.0748,1/
      data be( 91,122),bee( 91,122),iaud( 91,122)/ 1628.3339, 0.0711,1/
      data be( 91,123),bee( 91,123),iaud( 91,123)/ 1636.5830, 0.0762,1/
      data be( 91,124),bee( 91,124),iaud( 91,124)/ 1646.2688, 0.0871,1/
      data be( 91,125),bee( 91,125),iaud( 91,125)/ 1654.4159, 0.0739,1/
      data be( 91,126),bee( 91,126),iaud( 91,126)/ 1663.2114, 0.0523,1/
      data be( 91,127),bee( 91,127),iaud( 91,127)/ 1669.6692, 0.0183,1/
      data be( 91,128),bee( 91,128),iaud( 91,128)/ 1677.8848, 0.0515,1/
      data be( 91,129),bee( 91,129),iaud( 91,129)/ 1684.0979, 0.0513,1/
      data be( 91,130),bee( 91,130),iaud( 91,130)/ 1692.1918, 0.0513,1/
      data be( 91,132),bee( 91,132),iaud( 91,132)/ 1706.3905, 0.0711,1/
      data be( 91,133),bee( 91,133),iaud( 91,133)/ 1712.9202, 0.0076,1/
      data be( 91,134),bee( 91,134),iaud( 91,134)/ 1720.5132, 0.0711,1/
      data be( 91,135),bee( 91,135),iaud( 91,135)/ 1726.8921, 0.0115,1/
      data be( 91,136),bee( 91,136),iaud( 91,136)/ 1734.1639, 0.0075,1/
      data be( 91,137),bee( 91,137),iaud( 91,137)/ 1740.1454, 0.0043,1/
      data be( 91,138),bee( 91,138),iaud( 91,138)/ 1747.2399, 0.0027,1/
      data be( 91,139),bee( 91,139),iaud( 91,139)/ 1753.0356, 0.0032,1/
      data be( 91,140),bee( 91,140),iaud( 91,140)/ 1759.8547, 0.0023,1/
      data be( 91,141),bee( 91,141),iaud( 91,141)/ 1765.4100, 0.0077,1/
      data be( 91,142),bee( 91,142),iaud( 91,142)/ 1771.9319, 0.0021,1/
      data be( 91,143),bee( 91,143),iaud( 91,143)/ 1777.1523, 0.0047,1/
      data be( 91,144),bee( 91,144),iaud( 91,144)/ 1783.2343, 0.0501,1/
      data be( 91,145),bee( 91,145),iaud( 91,145)/ 1788.2898, 0.1999,1/
      data be( 91,146),bee( 91,146),iaud( 91,146)/ 1794.0653, 0.1000,1/
      data be( 91,147),bee( 91,147),iaud( 91,147)/ 1799.0099, 0.0600,1/
      data be( 92,125),bee( 92,125),iaud( 92,125)/ 1656.7876, 0.0868,1/
      data be( 92,126),bee( 92,126),iaud( 92,126)/ 1665.6602, 0.0183,1/
      data be( 92,127),bee( 92,127),iaud( 92,127)/ 1672.3398, 0.0508,1/
      data be( 92,131),bee( 92,131),iaud( 92,131)/ 1702.0901, 0.0711,1/
      data be( 92,132),bee( 92,132),iaud( 92,132)/ 1710.2864, 0.0253,1/
      data be( 92,133),bee( 92,133),iaud( 92,133)/ 1716.6940, 0.0115,1/
      data be( 92,134),bee( 92,134),iaud( 92,134)/ 1724.8138, 0.0131,1/
      data be( 92,135),bee( 92,135),iaud( 92,135)/ 1731.1919, 0.0168,1/
      data be( 92,136),bee( 92,136),iaud( 92,136)/ 1739.0607, 0.0150,1/
      data be( 92,137),bee( 92,137),iaud( 92,137)/ 1745.1460, 0.0060,1/
      data be( 92,138),bee( 92,138),iaud( 92,138)/ 1752.8131, 0.0048,1/
      data be( 92,139),bee( 92,139),iaud( 92,139)/ 1758.6908, 0.0030,1/
      data be( 92,140),bee( 92,140),iaud( 92,140)/ 1765.9650, 0.0021,1/
      data be( 92,141),bee( 92,141),iaud( 92,141)/ 1771.7200, 0.0026,1/
      data be( 92,142),bee( 92,142),iaud( 92,142)/ 1778.5643, 0.0019,1/
      data be( 92,143),bee( 92,143),iaud( 92,143)/ 1783.8619, 0.0019,1/
      data be( 92,144),bee( 92,144),iaud( 92,144)/ 1790.4075, 0.0019,1/
      data be( 92,145),bee( 92,145),iaud( 92,145)/ 1795.5331, 0.0019,1/
      data be( 92,146),bee( 92,146),iaud( 92,146)/ 1801.6876, 0.0019,1/
      data be( 92,147),bee( 92,147),iaud( 92,147)/ 1806.4939, 0.0019,1/
      data be( 92,148),bee( 92,148),iaud( 92,148)/ 1812.4238, 0.0050,1/
      data be( 93,132),bee( 93,132),iaud( 93,132)/ 1711.7010, 0.0715,1/
      data be( 93,134),bee( 93,134),iaud( 93,134)/ 1726.8696, 0.0724,1/
      data be( 93,135),bee( 93,135),iaud( 93,135)/ 1733.9071, 0.0506,1/
      data be( 93,136),bee( 93,136),iaud( 93,136)/ 1741.7948, 0.0868,1/
      data be( 93,137),bee( 93,137),iaud( 93,137)/ 1748.4093, 0.0513,1/
      data be( 93,138),bee( 93,138),iaud( 93,138)/ 1756.0913, 0.0506,1/
      data be( 93,140),bee( 93,140),iaud( 93,140)/ 1769.9087, 0.0510,1/
      data be( 93,141),bee( 93,141),iaud( 93,141)/ 1775.9720, 0.0084,1/
      data be( 93,142),bee( 93,142),iaud( 93,142)/ 1782.9556, 0.0019,1/
      data be( 93,143),bee( 93,143),iaud( 93,143)/ 1788.6992, 0.0505,1/
      data be( 93,144),bee( 93,144),iaud( 93,144)/ 1795.2693, 0.0019,1/
      data be( 93,145),bee( 93,145),iaud( 93,145)/ 1800.7577, 0.0019,1/
      data be( 93,146),bee( 93,146),iaud( 93,146)/ 1806.9729, 0.0022,1/
      data be( 93,147),bee( 93,147),iaud( 93,147)/ 1812.0417, 0.0151,1/
      data be( 93,148),bee( 93,148),iaud( 93,148)/ 1818.1661, 0.0709,1/
      data be( 93,149),bee( 93,149),iaud( 93,149)/ 1823.0809, 0.1999,1/
      data be( 94,134),bee( 94,134),iaud( 94,134)/ 1730.6418, 0.0308,1/
      data be( 94,135),bee( 94,135),iaud( 94,135)/ 1737.3989, 0.0513,1/
      data be( 94,136),bee( 94,136),iaud( 94,136)/ 1745.9296, 0.0152,1/
      data be( 94,137),bee( 94,137),iaud( 94,137)/ 1752.6492, 0.0263,1/
      data be( 94,138),bee( 94,138),iaud( 94,138)/ 1760.6403, 0.0181,1/
      data be( 94,139),bee( 94,139),iaud( 94,139)/ 1767.0254, 0.0503,1/
      data be( 94,140),bee( 94,140),iaud( 94,140)/ 1774.7987, 0.0070,1/
      data be( 94,141),bee( 94,141),iaud( 94,141)/ 1781.0352, 0.0207,1/
      data be( 94,142),bee( 94,142),iaud( 94,142)/ 1788.3933, 0.0021,1/
      data be( 94,143),bee( 94,143),iaud( 94,143)/ 1794.2671, 0.0021,1/
      data be( 94,144),bee( 94,144),iaud( 94,144)/ 1801.2668, 0.0019,1/
      data be( 94,145),bee( 94,145),iaud( 94,145)/ 1806.9130, 0.0019,1/
      data be( 94,146),bee( 94,146),iaud( 94,146)/ 1813.4471, 0.0019,1/
      data be( 94,147),bee( 94,147),iaud( 94,147)/ 1818.6886, 0.0019,1/
      data be( 94,148),bee( 94,148),iaud( 94,148)/ 1824.9984, 0.0019,1/
      data be( 94,149),bee( 94,149),iaud( 94,149)/ 1830.0327, 0.0032,1/
      data be( 94,150),bee( 94,150),iaud( 94,150)/ 1836.0538, 0.0051,1/
      data be( 94,151),bee( 94,151),iaud( 94,151)/ 1840.7526, 0.0145,1/
      data be( 94,152),bee( 94,152),iaud( 94,152)/ 1846.6069, 0.0153,1/
      data be( 95,140),bee( 95,140),iaud( 95,140)/ 1777.8109, 0.0522,1/
      data be( 95,143),bee( 95,143),iaud( 95,143)/ 1798.2261, 0.0507,1/
      data be( 95,144),bee( 95,144),iaud( 95,144)/ 1805.3287, 0.0024,1/
      data be( 95,145),bee( 95,145),iaud( 95,145)/ 1811.2800, 0.0139,1/
      data be( 95,146),bee( 95,146),iaud( 95,146)/ 1817.9271, 0.0019,1/
      data be( 95,147),bee( 95,147),iaud( 95,147)/ 1823.4650, 0.0019,1/
      data be( 95,148),bee( 95,148),iaud( 95,148)/ 1829.8296, 0.0022,1/
      data be( 95,149),bee( 95,149),iaud( 95,149)/ 1835.1962, 0.0022,1/
      data be( 95,150),bee( 95,150),iaud( 95,150)/ 1841.2487, 0.0034,1/
      data be( 95,151),bee( 95,151),iaud( 95,151)/ 1846.2251, 0.0182,1/
      data be( 96,137),bee( 96,137),iaud( 96,137)/ 1758.2211, 0.0718,1/
      data be( 96,138),bee( 96,138),iaud( 96,138)/ 1766.8604, 0.0183,1/
      data be( 96,140),bee( 96,140),iaud( 96,140)/ 1781.8621, 0.0271,1/
      data be( 96,141),bee( 96,141),iaud( 96,141)/ 1788.5505, 0.0709,1/
      data be( 96,142),bee( 96,142),iaud( 96,142)/ 1796.4242, 0.0124,1/
      data be( 96,143),bee( 96,143),iaud( 96,143)/ 1802.7911, 0.0540,1/
      data be( 96,144),bee( 96,144),iaud( 96,144)/ 1810.2911, 0.0022,1/
      data be( 96,145),bee( 96,145),iaud( 96,145)/ 1816.3774, 0.0022,1/
      data be( 96,146),bee( 96,146),iaud( 96,146)/ 1823.3469, 0.0019,1/
      data be( 96,147),bee( 96,147),iaud( 96,147)/ 1829.0399, 0.0022,1/
      data be( 96,148),bee( 96,148),iaud( 96,148)/ 1835.8411, 0.0020,1/
      data be( 96,149),bee( 96,149),iaud( 96,149)/ 1841.3615, 0.0022,1/
      data be( 96,150),bee( 96,150),iaud( 96,150)/ 1847.8191, 0.0020,1/
      data be( 96,151),bee( 96,151),iaud( 96,151)/ 1852.9750, 0.0044,1/
      data be( 96,152),bee( 96,152),iaud( 96,152)/ 1859.1879, 0.0050,1/
      data be( 96,153),bee( 96,153),iaud( 96,153)/ 1863.9011, 0.0050,1/
      data be( 96,154),bee( 96,154),iaud( 96,154)/ 1869.7338, 0.0113,1/
      data be( 96,155),bee( 96,155),iaud( 96,155)/ 1874.1451, 0.0228,1/
      data be( 97,146),bee( 97,146),iaud( 97,146)/ 1826.7501, 0.0049,1/
      data be( 97,147),bee( 97,147),iaud( 97,147)/ 1832.7970, 0.0144,1/
      data be( 97,148),bee( 97,148),iaud( 97,148)/ 1839.7682, 0.0022,1/
      data be( 97,149),bee( 97,149),iaud( 97,149)/ 1845.6866, 0.0600,1/
      data be( 97,150),bee( 97,150),iaud( 97,150)/ 1852.2357, 0.0054,1/
      data be( 97,152),bee( 97,152),iaud( 97,152)/ 1864.0195, 0.0027,1/
      data be( 97,153),bee( 97,153),iaud( 97,153)/ 1868.9890, 0.0040,1/
      data be( 97,154),bee( 97,154),iaud( 97,154)/ 1874.7830, 0.0110,1/
      data be( 98,139),bee( 98,139),iaud( 98,139)/ 1778.2968, 0.0875,1/
      data be( 98,142),bee( 98,142),iaud( 98,142)/ 1802.4398, 0.0288,1/
      data be( 98,144),bee( 98,144),iaud( 98,144)/ 1817.2031, 0.0131,1/
      data be( 98,146),bee( 98,146),iaud( 98,146)/ 1831.2581, 0.0029,1/
      data be( 98,147),bee( 98,147),iaud( 98,147)/ 1837.4147, 0.0027,1/
      data be( 98,148),bee( 98,148),iaud( 98,148)/ 1844.7808, 0.0022,1/
      data be( 98,149),bee( 98,149),iaud( 98,149)/ 1850.8414, 0.0153,1/
      data be( 98,150),bee( 98,150),iaud( 98,150)/ 1857.7756, 0.0052,1/
      data be( 98,151),bee( 98,151),iaud( 98,151)/ 1863.3611, 0.0022,1/
      data be( 98,152),bee( 98,152),iaud( 98,152)/ 1869.9862, 0.0020,1/
      data be( 98,153),bee( 98,153),iaud( 98,153)/ 1875.0935, 0.0045,1/
      data be( 98,154),bee( 98,154),iaud( 98,154)/ 1881.2667, 0.0050,1/
      data be( 98,155),bee( 98,155),iaud( 98,155)/ 1886.0710, 0.0061,1/
      data be( 98,156),bee( 98,156),iaud( 98,156)/ 1892.1027, 0.0122,1/
      data be( 99,148),bee( 99,148),iaud( 99,148)/ 1847.5847, 0.0195,1/
      data be( 99,152),bee( 99,152),iaud( 99,152)/ 1873.9348, 0.0060,1/
      data be( 99,153),bee( 99,153),iaud( 99,153)/ 1879.2241, 0.0501,1/
      data be( 99,154),bee( 99,154),iaud( 99,154)/ 1885.5759, 0.0025,1/
      data be( 99,155),bee( 99,155),iaud( 99,155)/ 1890.6691, 0.0043,1/
      data be( 99,156),bee( 99,156),iaud( 99,156)/ 1896.6423, 0.0110,1/
      data be(100,146),bee(100,146),iaud(100,146)/ 1837.1218, 0.0155,1/
      data be(100,148),bee(100,148),iaud(100,148)/ 1851.5581, 0.0084,1/
      data be(100,149),bee(100,149),iaud(100,149)/ 1858.0018, 0.0062,1/
      data be(100,150),bee(100,150),iaud(100,150)/ 1865.5203, 0.0080,1/
      data be(100,151),bee(100,151),iaud(100,151)/ 1871.7120, 0.0153,1/
      data be(100,152),bee(100,152),iaud(100,152)/ 1878.9186, 0.0058,1/
      data be(100,153),bee(100,153),iaud(100,153)/ 1884.4586, 0.0035,1/
      data be(100,154),bee(100,154),iaud(100,154)/ 1890.9744, 0.0028,1/
      data be(100,155),bee(100,155),iaud(100,155)/ 1896.1497, 0.0048,1/
      data be(100,156),bee(100,156),iaud(100,156)/ 1902.5352, 0.0072,1/
      data be(100,157),bee(100,157),iaud(100,157)/ 1907.5031, 0.0064,1/
      data be(101,150),bee(101,150),iaud(101,150)/ 1867.9169, 0.0188,1/
      data be(101,154),bee(101,154),iaud(101,154)/ 1894.3247, 0.0066,1/
      data be(101,155),bee(101,155),iaud(101,155)/ 1899.6306, 0.0709,1/
      data be(101,156),bee(101,156),iaud(101,156)/ 1906.3140, 0.0028,1/
      data be(101,157),bee(101,157),iaud(101,157)/ 1911.6934, 0.0046,1/
      data be(102,150),bee(102,150),iaud(102,150)/ 1871.3047, 0.0093,1/
      data be(102,151),bee(102,151),iaud(102,151)/ 1877.8831, 0.0071,1/
      data be(102,152),bee(102,152),iaud(102,152)/ 1885.5898, 0.0099,1/
      data be(102,153),bee(102,153),iaud(102,153)/ 1891.5793, 0.0148,1/
      data be(102,154),bee(102,154),iaud(102,154)/ 1898.6327, 0.0079,1/
      data be(102,155),bee(102,155),iaud(102,155)/ 1904.2777, 0.0069,1/
      data be(103,152),bee(103,152),iaud(103,152)/ 1887.6570, 0.0176,1/
      data be(103,153),bee(103,153),iaud(103,153)/ 1893.9290, 0.0829,1/
      data be(104,152),bee(104,152),iaud(104,152)/ 1890.6748, 0.0179,1/
      data be(104,153),bee(104,153),iaud(104,153)/ 1897.0961, 0.0108,1/
      data be(104,154),bee(104,154),iaud(104,154)/ 1904.6930, 0.0320,1/
      data be(104,157),bee(104,157),iaud(104,157)/ 1923.9257, 0.0365,1/
      data be(105,154),bee(105,154),iaud(105,154)/ 1906.3337, 0.0531,1/
      data be(105,155),bee(105,155),iaud(105,155)/ 1913.0330, 0.0884,1/
      data be(106,154),bee(106,154),iaud(106,154)/ 1909.0698, 0.0205,1/
      data be(106,155),bee(106,155),iaud(106,155)/ 1915.6782, 0.0185,1/
      data be(108,156),bee(108,156),iaud(108,156)/ 1926.7750, 0.0288,1/
      data be(108,157),bee(108,157),iaud(108,157)/ 1933.2383, 0.0533,1/
      data be(110,159),bee(110,159),iaud(110,159)/ 1950.0985, 0.0570,1/
      end
        
      
